2013-09-25 18:04  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/search.php: Allow a few more fields in
	  our SELECT queries to fix OpenSearch support.

2013-09-25 13:52  Pierre Nault <pnault@users.sourceforge.net>

	* /branches/bleeding-edge/advanced_search.php: Fixed issue where
	  'preg_replace()' was trowing an "Unknown modifier 'a'"
	  This fix also a bug where value for sortRadio1-2-3 author, year
	  and publication where not "selected" in <input>, as of this,
	  multiples sort fields in dropdownmenu where not appearing.
	  Changing preg_replace pattern in
	  $sortSelector(1-2-3)DropDownItems correct these bugs.

2013-09-20 17:36  Pierre Nault <pnault@users.sourceforge.net>

	* /branches/bleeding-edge/locales/cn/common_utf8.inc,
	  /branches/bleeding-edge/locales/de/common.inc,
	  /branches/bleeding-edge/locales/de/common_utf8.inc,
	  /branches/bleeding-edge/locales/en/common.inc,
	  /branches/bleeding-edge/locales/en/common_utf8.inc,
	  /branches/bleeding-edge/locales/fr/common.inc,
	  /branches/bleeding-edge/locales/fr/common_utf8.inc,
	  /branches/bleeding-edge/locales/ja/common_utf8.inc,
	  /branches/bleeding-edge/locales/ru/common_utf8.inc,
	  /branches/bleeding-edge/user_login.php: I18N of /user_login.php;
	  adding 5 variables for language support.
	  -InOrderToLoginYouMustSupplyBothEmailAddressAndPassword
	  -LoginFailedYouProvidedAnIncorrectEmailAddressOrPassword
	  -YouNeedToLoginInOrderToMakeChangesToTheDatabase
	  -EmailAddress
	  -EmailAdressPassword
	  Added support for variables in all languages.

2013-08-29 20:34  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/search.php: More restrictions imposed on
	  SELECT statements to non-admin users

2013-04-29 21:45  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/includes/import.inc.php: function
	  'medlineToRefbase()' now copies the PubMed Central ID to the
	  'notes'
	  field and prefixes it with "PMCID:"

2013-04-17 08:28  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/includes/import.inc.php: function
	  'refworksToRefbase()': re-enabled the "OP" => "endPage" mapping
	  so
	  that last page info is recognized in RefWorks tagged data

2013-04-16 23:21  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/includes/import.inc.php: * function
	  'risToRefbase()': for the RIS types "CONF" and "CPAPER", we now
	  map
	  the RIS 'A2' tag to the 'conference' field (since bibutils uses
	  the 'A2' tag
	  to indicate conference titles)
	  * function 'risToRefbase()': the "DA" tag is now recognized as
	  publication date
	  * function 'risToRefbase()': removed the "T2" => "publication"
	  mapping for book
	  chapters ("CHAP")

2013-04-16 21:23  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/modify.php: for file uploads that were
	  meant to go in a subdirectory, the directory
	  structure wasn't generated correctly; fixed

2013-04-16 20:34  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/css/style.css,
	  /branches/bleeding-edge/locales/cn/common_utf8.inc,
	  /branches/bleeding-edge/locales/de/common.inc,
	  /branches/bleeding-edge/locales/de/common_utf8.inc,
	  /branches/bleeding-edge/locales/en/common.inc,
	  /branches/bleeding-edge/locales/en/common_utf8.inc,
	  /branches/bleeding-edge/locales/fr/common.inc,
	  /branches/bleeding-edge/locales/fr/common_utf8.inc,
	  /branches/bleeding-edge/locales/ja/common_utf8.inc,
	  /branches/bleeding-edge/locales/ru/common_utf8.inc: added support
	  for the "Register" link beneath the login form on the main page

2013-04-16 20:23  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/index.php: for '$addNewUsers=everyone', a
	  "Register" link to 'user_details.php' is now
	  printed beneath the login form

2013-04-16 10:37  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/duplicate_search.php,
	  /branches/bleeding-edge/includes/include.inc.php,
	  /branches/bleeding-edge/user_options.php: fixed an issue with
	  double-byte languages where 'preg_replace()' functions
	  that used "#" as delimiter could cause an "Unknown modifier ..."
	  warning

2013-04-16 09:23  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/AUTHORS,
	  /branches/bleeding-edge/install.sql,
	  /branches/bleeding-edge/install_utf8.sql,
	  /branches/bleeding-edge/update.php,
	  /branches/bleeding-edge/update.sql: added support for Japanese
	  localization

2013-04-16 09:10  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/locales/ja,
	  /branches/bleeding-edge/locales/ja/common_utf8.inc: initial
	  checkin (Japanese localization)

2013-04-15 19:20  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/includes/classes/org/simplepie/README.markdown,
	  /branches/bleeding-edge/includes/classes/org/simplepie/README.txt,
	  /branches/bleeding-edge/includes/classes/org/simplepie/SimplePie.compiled.php,
	  /branches/bleeding-edge/includes/classes/org/simplepie/simplepie.inc,
	  /branches/bleeding-edge/includes/import.inc.php: updated
	  SimplePie library to v1.3.1 (requires PHP 5.2.0 or newer)

2013-04-15 12:58  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/BUGS: added two notes concerning the
	  "clickable search links" feature

2012-11-12 22:43  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/includes/execute.inc.php: Remove BOM from
	  files, if present, to fix import bug

2012-10-13 19:46  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/includes/import.inc.php: Update RIS
	  import per current specification

2012-03-19 13:17  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/show.php: added new parameter 'approved'
	  which corresponds to the respective field in
	  table 'refs'; usage: 'show.php?approved=yes' or
	  'show.php?approved=no'

2012-03-05 10:19  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/sql_search.php: changed code to work with
	  PHP5 w/o emitting E_DEPRECATED errors, e.g. replaced
	  any 'ereg...()' and 'split...()' functions (which were deprecated
	  in PHP 5.3.0)

2012-02-29 10:37  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/duplicate_search.php: * localized text
	  entry field titles
	  * enhanced the help info text
	  * the search & display options as well as the help section are
	  now hidden by
	  default but can be made visible by clicking the triangle widgets

2012-02-29 00:55  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/user_details.php: * rearranged the order
	  of fields so that required/important ones come first
	  * optional fields are now hidden by default but can be made
	  visible by
	  clicking the little triangle widget underneath the form

2012-02-29 00:52  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/show.php: * added new parameters
	  'expedition', 'user_keys', 'user_notes' and
	  'user_groups' which correspond to the respective fields in table
	  'refs' or
	  'user_data', respectively (note that the 'user_*' parameters can
	  NOT be
	  queried with a user ID that's different from the current user's
	  own user ID)
	  * auto-completion of search terms in the web form now respects
	  the characters
	  ';, ' as term delimiters
	  * adopted the layout of the web form (to bring it more inline
	  with the other
	  search pages) and added CSS attributes (id/class names) to HTML
	  output where
	  appropriate
	  * enhanced the help info text and added an examples section
	  * the help & examples sections are now hidden by default but can
	  be made
	  visible by clicking the little triangle widget underneath the
	  form
	  * some changes to whitespace and comments

2012-02-29 00:48  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/search.php: added support for clickable
	  search links

2012-02-29 00:45  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/query_modify.php: some variables in a
	  SELECT SQL statement were not 'quote_smart'ed; fixed

2012-02-29 00:44  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/query_manager.php: * localized (almost)
	  all page elements
	  * the search & display options as well as the help sections are
	  now hidden by
	  default but can be made visible by clicking the triangle widgets

2012-02-29 00:42  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/opensearch.php: * section headings are
	  now styled solely via CSS (instead of using raw <b>
	  tags within the HTML)
	  * the previously named "Search Options" are now titled "Display
	  Options" which
	  is more inline with the other search pages
	  * localized more form elements (the help & examples text is still
	  not
	  localized) and provided more tooltips
	  * some changes to the HTML layout

2012-02-29 00:40  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/modify.php: * added 'phtml' and 'phtm' to
	  the list of invalid file name extensions
	  * some changes to whitespace

2012-02-29 00:37  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/locales/cn/common_utf8.inc,
	  /branches/bleeding-edge/locales/de/common.inc,
	  /branches/bleeding-edge/locales/de/common_utf8.inc,
	  /branches/bleeding-edge/locales/en/common.inc,
	  /branches/bleeding-edge/locales/en/common_utf8.inc,
	  /branches/bleeding-edge/locales/fr/common.inc,
	  /branches/bleeding-edge/locales/fr/common_utf8.inc,
	  /branches/bleeding-edge/locales/ru/common_utf8.inc: added new
	  locales and changed some of the existing ones

2012-02-29 00:30  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/install.php: the MySQL version check is
	  now done by function 'getMySQLversion()' (in
	  'include.inc.php')

2012-02-29 00:28  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/initialize/ini.inc.php: * variable
	  '$additionalFieldsCitationView': added the 'area' field to the
	  default list of fields
	  * variable '$displayResultsHeaderDefault': in Browse view, the
	  results header
	  is now visible by default
	  * added new variables '$showFieldItemLinks' and '$linkedFields'
	  which control
	  which views & fields shall contain clickable search links
	  * variable '$accessKeys': added an entry for the "CQL Search"
	  link in the
	  footer
	  * added new variable '$crossRefReqDat' which lets one specify the
	  CrossRef
	  account credentials that are now required for CrossRef
	  DOI/OpenURL queries
	  * some changes to comments

2012-02-29 00:20  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/includes/transtab_unicode_charset.inc.php:
	  just updated a web link in the comments

2012-02-29 00:18  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/includes/srwxml.inc.php: similar to
	  function 'modsCollection()', the variables
	  '$transtab_refbase_unicode' and
	  '$fieldSpecificSearchReplaceActionsArray' are
	  now defined in function 'srwCollection()'

2012-02-29 00:15  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/includes/openurl.inc.php: function
	  'openURL()': for OpenURL queries to the CrossRef OpenURL
	  resolver, we
	  now append the 'pid' parameter with the CrossRef account
	  credentials given in
	  variable '$crossRefReqDat' (in 'ini.inc.php')

2012-02-29 00:02  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/import/import_end2refbase.php: initial
	  checkin (imports records from 'Endnote tagged'-formatted data w/o
	  requiring Bibutils)

2012-02-28 23:56  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/includes/modsxml.inc.php: * renamed
	  function 'encodeField()' to 'encodeXMLField()'
	  * for theses, we now use <genre authority="marcgt">thesis</genre>
	  instead of
	  <genre authority="marcgt">theses</genre> (which is inline with
	  Bibutils 4.3
	  and the MARC Genre Terms
	  * function 'encodeXMLField()' now makes use of the new
	  incarnation of function
	  'encodeField()' (the latter has been moved to 'include.inc.php'
	  since it now
	  handles both HTML and XML output)

2012-02-28 23:53  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/includes/include.inc.php: * function
	  'start_session()' now uses function 'checkPath()' to ensure that
	  the paths/URLs given in the 'ini.inc.php' variables
	  '$databaseBaseURL',
	  '$filesBaseDir' and '$filesBaseURL' end with a slash
	  * function 'start_session()': when using PHP 5.1 or above, we now
	  set the
	  default timezone used by all date/time functions
	  * upon first connection, function 'connectToMySQLDatabase()' now
	  saves the
	  MySQL version information to a session variable (this was
	  previously done in
	  function 'start_session()')
	  * function 'getMySQLversion()' now uses any existing MySQL
	  connection (this
	  allows it to be used from within 'install.php')
	  * added new function 'linkifyFieldItems()' which generates
	  'show.php' HTML
	  links for individual items in the given field
	  * added new function 'checkPath()' which ensures that the given
	  file path or
	  URL ends with a slash
	  * function 'searchReplaceText()' now allows to use variable
	  '$loc' in
	  replacement patterns, e.g.: array("/(.+)/e" => "\$loc['\\1']")
	  * added new function 'encodeField()' which now handles encoding
	  of special
	  chars, performs charset conversions (if necessary) and applies
	  any
	  field-specific search & replace actions
	  * function 'generateURL()': slight fix for the check that ensures
	  that the
	  'maximumRecords/showRows' parameter is only added when its value
	  is
	  different from the default value

2012-02-28 23:39  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/includes/import.inc.php: * function
	  'crossrefToRefbase()': updated the pattern that splits the input
	  text into individual records to the modified CrossRef XML output
	  * function 'risToRefbase()': improved the pattern that removes
	  the refbase
	  attribution string ("exported from refbase...") from the notes
	  field
	  * function 'risToRefbase()': any text before and/or after the DOI
	  is now
	  stripped from the 'doi' field before import
	  * function 'risToRefbase()': the RIS tag "CP" was incorrectly
	  mapped to "city
	  of publication" (instead of being mapped to "issue"); fixed
	  * function 'risToRefbase()': added 'LA' as a recognized RIS field
	  (mapped to
	  the 'language' field)
	  * function 'risToRefbase()' now recognizes a DOI when given in
	  the 'DO' or
	  'M3' fields
	  * added function 'endnoteToRefbase()' which converts records from
	  Endnote
	  tagged (Endnote Refer) format into the standard "refbase" array
	  format
	  * function 'identifySourceFormat()': relaxed parsing logic for
	  Endnote tagged
	  records (which now must only contain the "%0" tag)
	  * function 'identifySourceFormat()': relaxed parsing logic for
	  BibTeX records
	  which may now contain whitespace between the type specifier and
	  the opening
	  curly bracket
	  * improved parsing logic in function 'parseRecords()'
	  * reformatted function 'fetchDOIsFromPubMed()' and changed some
	  variable names
	  * function 'standardizeFieldData()': fixed a minor bug when
	  generating PubMed
	  URLs from PubMed IDs given in the 'notes' field
	  * function 'fetchDataFromCrossRef()': the CrossRef account
	  credentials can now
	  be specified in variable '$crossRefReqDat' (in 'ini.inc.php') and
	  they now
	  get properly URL-encoded

2012-02-28 23:26  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/includes/footer.inc.php: * we now include
	  a link to 'opensearch.php' (in the GUI its named "CQL Search")
	  * if the admin is logged in, we also include a link to
	  'duplicate_manager.php'

2012-02-28 23:23  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/import_modify.php: just some changes to
	  comments (e.g. added a comment about an incorrect conversion
	  when importing MODS XML that contains encoded angle brackets)

2012-02-28 23:17  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/import/bibutils/import_end2refbase.php:
	  just some changes to comments (to clarify that this file deals
	  with the
	  Endnote *tagged* format as opposed to the Endnote *XML* format)

2012-02-28 23:14  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/duplicate_manager.php: * localized text
	  entry field titles
	  * enhanced the help info text and added an examples section
	  * the help & examples sections are now hidden by default but can
	  be made
	  visible by clicking the little triangle widget underneath the
	  form

2012-02-28 23:11  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/css/style_print.css: added support for
	  clickable search links

2012-02-28 23:09  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/css/style.css: * fixed incorrect
	  positioning of the quickSearch form
	  * added support for clickable search links
	  * the links that toggle the visibility of the results header &
	  footer are now
	  colored like regular links (to make them more discoverable)
	  * some more minor refinements

2012-02-28 23:05  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/cite/formats/cite_html.php: * added
	  support for clickable search links
	  * where appropriate, we now substitute field contents in the
	  "more info"
	  section (underneath citations) with localized field values (e.g.,
	  in case of
	  german we display 'ja' instead of 'yes', etc)
	  * HTML encoding of higher ASCII chars in fields contents is now
	  handled by
	  function 'encodeField()' (which also handles any field-specific
	  search &
	  replace actions)

2012-02-27 20:25  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/advanced_search.php,
	  /branches/bleeding-edge/cite/formats/cite_ascii.php,
	  /branches/bleeding-edge/cite/formats/cite_html.php,
	  /branches/bleeding-edge/cite/formats/cite_latex.php,
	  /branches/bleeding-edge/cite/formats/cite_latex_bbl.php,
	  /branches/bleeding-edge/cite/formats/cite_markdown.php,
	  /branches/bleeding-edge/cite/formats/cite_pdf.php,
	  /branches/bleeding-edge/cite/formats/cite_rtf.php,
	  /branches/bleeding-edge/cite/styles/cite_AMA.php,
	  /branches/bleeding-edge/cite/styles/cite_APA.php,
	  /branches/bleeding-edge/cite/styles/cite_AnnGlaciol_JGlaciol.php,
	  /branches/bleeding-edge/cite/styles/cite_Chicago.php,
	  /branches/bleeding-edge/cite/styles/cite_DeepSeaRes.php,
	  /branches/bleeding-edge/cite/styles/cite_Harvard_1.php,
	  /branches/bleeding-edge/cite/styles/cite_Harvard_2.php,
	  /branches/bleeding-edge/cite/styles/cite_Harvard_3.php,
	  /branches/bleeding-edge/cite/styles/cite_MLA.php,
	  /branches/bleeding-edge/cite/styles/cite_PolarBiol_MarBiol_MEPS.php,
	  /branches/bleeding-edge/cite/styles/cite_TextCitation.php,
	  /branches/bleeding-edge/cite/styles/cite_Vancouver.php,
	  /branches/bleeding-edge/contrib/import_templates/import_template_base.php,
	  /branches/bleeding-edge/contrib/mediawiki/refbase.php,
	  /branches/bleeding-edge/contrib/skins/mediawiki-monobook/footer.inc.php,
	  /branches/bleeding-edge/contrib/skins/mediawiki-monobook/header.inc.php,
	  /branches/bleeding-edge/duplicate_manager.php,
	  /branches/bleeding-edge/duplicate_modify.php,
	  /branches/bleeding-edge/duplicate_search.php,
	  /branches/bleeding-edge/extract.php,
	  /branches/bleeding-edge/import.php,
	  /branches/bleeding-edge/import_csa.php,
	  /branches/bleeding-edge/import_csa_modify.php,
	  /branches/bleeding-edge/import_modify.php,
	  /branches/bleeding-edge/includes/atomxml.inc.php,
	  /branches/bleeding-edge/includes/cite.inc.php,
	  /branches/bleeding-edge/includes/footer.inc.php,
	  /branches/bleeding-edge/includes/header.inc.php,
	  /branches/bleeding-edge/includes/import.inc.php,
	  /branches/bleeding-edge/includes/modsxml.inc.php,
	  /branches/bleeding-edge/includes/oaidcxml.inc.php,
	  /branches/bleeding-edge/includes/openurl.inc.php,
	  /branches/bleeding-edge/includes/srwxml.inc.php,
	  /branches/bleeding-edge/includes/webservice.inc.php,
	  /branches/bleeding-edge/index.php,
	  /branches/bleeding-edge/install.php,
	  /branches/bleeding-edge/modify.php,
	  /branches/bleeding-edge/opensearch.php,
	  /branches/bleeding-edge/query_history.php,
	  /branches/bleeding-edge/query_manager.php,
	  /branches/bleeding-edge/query_modify.php,
	  /branches/bleeding-edge/receipt.php,
	  /branches/bleeding-edge/record.php,
	  /branches/bleeding-edge/rss.php,
	  /branches/bleeding-edge/search.php,
	  /branches/bleeding-edge/show.php,
	  /branches/bleeding-edge/simple_search.php,
	  /branches/bleeding-edge/sitemap.php,
	  /branches/bleeding-edge/sru.php,
	  /branches/bleeding-edge/unapi.php,
	  /branches/bleeding-edge/user_details.php,
	  /branches/bleeding-edge/user_login.php,
	  /branches/bleeding-edge/user_options.php,
	  /branches/bleeding-edge/user_options_modify.php,
	  /branches/bleeding-edge/user_receipt.php,
	  /branches/bleeding-edge/user_validation.php,
	  /branches/bleeding-edge/users.php: changed code to work with PHP5
	  w/o emitting E_DEPRECATED errors, e.g. replaced
	  any 'ereg...()' and 'split...()' functions (which were deprecated
	  in PHP 5.3.0)

2012-02-27 20:15  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/includes/include.inc.php: * changed code
	  to work with PHP5 w/o emitting E_DEPRECATED errors, e.g. replaced
	  any 'ereg...()' and 'split...()' functions (which were deprecated
	  in PHP 5.3.0)
	  * function 'buildSELECTclause()': added a missing closing
	  parenthesis

2012-01-25 16:30  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/includes/include.inc.php: Allow for empty
	  $defaultFieldsListViewMinor

2010-05-11 20:43  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/AUTHORS,
	  /branches/bleeding-edge/import_modify.php,
	  /branches/bleeding-edge/includes/import.inc.php: Check PubMed for
	  DOIs before checking CrossRef (as the former often has more data
	  and has a more stable API and does not need user/pass).

2009-05-13 21:06  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/includes/openurl.inc.php: Specify ctc_enc
	  to be UTF-8 in COinS

2009-05-13 21:01  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/includes/openurl.inc.php: Force UTF-8
	  encoding in COinS, to work with various javascript processors
	  that use decodeURIComponent (which assumes UTF-8).

2008-12-15 13:29  thierry_lemaire

	* /branches/bleeding-edge/users.php: Add display default user

2008-12-13 19:20  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/includes/modsxml.inc.php: - added new
	  function 'encodeField()' which now triggers the encoding of
	  special chars, charset conversion and field-specific search &
	  replace
	  actions; these transformations are now applied just before
	  putting field
	  values into their XML objects; this fixes an issue with
	  ampersands in
	  multi-item fields such as the 'keywords' field (thanks to Dave
	  Burt for
	  identifying the problem and submitting an initial patch)
	  - function 'separateNames()' now requires the current field name
	  as additional
	  parameter and uses perl-style split patterns to separate author
	  initials;
	  this allows to parse initials which aren't separated by any
	  whitespace or
	  punctuation (such as in "Steffens, MT") and put them in separate
	  XML objects
	  - function 'separateNames()': improved the handling of
	  initials/forenames that
	  are connected with a hyphen to ensure that they are kept together
	  and that
	  the hyphen is maintained in the XML output
	  - moved the definition of variables 'transtab_refbase_unicode'
	  and
	  '$fieldSpecificSearchReplaceActionsArray' to function
	  'modsCollection()'

2008-12-05 09:55  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/locales/ru/common_utf8.inc: fixed
	  incorrect translation for "notes"

2008-12-05 00:05  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/AUTHORS,
	  /branches/bleeding-edge/initialize/ini.inc.php,
	  /branches/bleeding-edge/install.sql,
	  /branches/bleeding-edge/install_utf8.sql,
	  /branches/bleeding-edge/update.php,
	  /branches/bleeding-edge/update.sql: added support for Russian
	  localization

2008-12-04 23:34  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/locales/ru,
	  /branches/bleeding-edge/locales/ru/common_utf8.inc: initial
	  checkin (Russian localization; not completed yet)

2008-11-22 13:46  Matthias Steffens <refbase.extracts.de>

	* /tags/refbase-0.9.5: tagged the refbase-0.9.5 release

2008-11-22 13:41  Matthias Steffens <refbase.extracts.de>

	* /trunk/ChangeLog: added last-minute changes done before the
	  release of refbase-0.9.5

2008-11-22 13:40  Matthias Steffens <refbase.extracts.de>

	* /branches/bleeding-edge/ChangeLog: added last-minute changes done
	  before the release of refbase-0.9.5

2008-11-22 13:07  Matthias Steffens <refbase.extracts.de>

	* /tags/refbase-0.9.5: deleted incorrectly tagged refbase-0.9.5
	  release

2008-11-21 16:24  Matthias Steffens <refbase.extracts.de>

	* /tags/refbase-0.9.5: tag the refbase-0.9.5 release


2008-11-18 21:13  Matthias Steffens <refbase@extracts.de>

	* /trunk, /trunk/NEWS, /trunk/cite/formats/cite_html.php,
	  /trunk/contrib/command_line/refbase,
	  /trunk/contrib/skins/mediawiki-monobook/footer.inc.php,
	  /trunk/contrib/skins/mediawiki-monobook/header.inc.php,
	  /trunk/contrib/skins/mediawiki-monobook/main.css,
	  /trunk/css/style.css, /trunk/includes/header.inc.php,
	  /trunk/includes/include.inc.php, /trunk/index.php,
	  /trunk/install.sql, /trunk/install_utf8.sql,
	  /trunk/locales/cn/common_utf8.inc, /trunk/locales/en/common.inc,
	  /trunk/locales/en/common_utf8.inc, /trunk/locales/fr/common.inc,
	  /trunk/locales/fr/common_utf8.inc, /trunk/modify.php,
	  /trunk/receipt.php, /trunk/record.php, /trunk/search.php,
	  /trunk/show.php, /trunk/simple_search.php, /trunk/update.php,
	  /trunk/update.sql:
	  merged bleeding-edge branch changes r1320 into the trunk

2008-11-18 20:45  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/NEWS:
	  updated refbase-0.9.5 release date and changed case for "Mods" to "MODS"

2008-11-18 20:35  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/formats/cite_html.php:
	  increased width of the Links column to allow for correct wrapping of link
	  icons in Firefox (icon arrangement may need to be readdressed in the
	  future)

2008-11-18 15:07  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/css/style.css,
	  /branches/bleeding-edge/index.php:
	  for the login form, the widths of the labels & input fields are now
	  defined via CSS only, and the widths are now specified as percentages;
	  this should work better across multiple browsers & platforms

2008-11-14 14:43  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/css/style.css:
	  * decreased width of the login labels so that the labels & their text
	    entry fields get also printed on a single line for Firefox on Ubuntu
	  * added a comment for Firefox 2 users about a work-around for the missing
	    support for the 'inline-block' display type

2008-11-13 23:31  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/contrib/skins/mediawiki-monobook/header.inc.php,
	  /branches/bleeding-edge/includes/header.inc.php,
	  /branches/bleeding-edge/includes/include.inc.php,
	  /branches/bleeding-edge/record.php,
	  /branches/bleeding-edge/show.php,
	  /branches/bleeding-edge/simple_search.php:
	  when there wasn't any database yet, this could generate "undefined index"
	  warnings due to missing session variables; fixed

2008-11-13 21:08  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/contrib/command_line/refbase:
	  just updated the refbase version number in a comment ("0.9.1" -> "0.9.5")

2008-11-13 21:05  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/update.php,
	  /branches/bleeding-edge/update.sql:
	  tables 'user_options' & 'user_permissions': brought the field creation
	  statements inline with those in 'install.sql'

2008-11-13 18:20  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/css/style.css:
	  simplified & improved the CSS styling of the login form (form labels
	  should now be correctly aligned flush left in Firefox)

2008-11-12 10:08  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/css/style.css:
	  adjust positioning for the labels in the login form

2008-11-12 09:55  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/locales/cn/common_utf8.inc,
	  /branches/bleeding-edge/locales/fr/common.inc,
	  /branches/bleeding-edge/locales/fr/common_utf8.inc:
	  changes from 'locales/en/': denote that publications on index are recently
	  _added_ (to differentiate from those that are recently published)

2008-11-12 03:44  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/contrib/skins/mediawiki-monobook/footer.inc.php,
	  /branches/bleeding-edge/contrib/skins/mediawiki-monobook/main.css:
	  Update MediaWiki-Monobook skin

2008-11-12 03:40  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/index.php:
	  Shorten length of Email and Password fields in login form, to fit on
	  Firefox-3/Linux.  "Email:" and "Password:" are still not flush with one
	  another, but this would require a CSS change.

2008-11-11 19:57  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/modify.php,
	  /branches/bleeding-edge/receipt.php:
	  fixed/improved feedback behaviour after a record has been deleted

2008-11-10 19:44  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/install_utf8.sql:
	  the 'INSERT INTO user_options' statement was missing values for the new
	  'show_auto_completions' column; fixed

2008-11-10 19:41  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/install.sql,
	  /branches/bleeding-edge/update.sql:
		
	  the 'INSERT INTO user_options' statement was missing values for the new
	  'show_auto_completions' column; fixed

2008-11-10 02:28  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/NEWS:
	  Remark on file links in MODS XML output (as it improves Zotero
	  integration)

2008-11-10 02:25  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/locales/en/common.inc,
	  /branches/bleeding-edge/locales/en/common_utf8.inc:
	  Denote that publications on index are recently _added_ (to differentiate
	  from those that are recently published)

2008-11-10 01:05  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/includes/include.inc.php,
	  /branches/bleeding-edge/index.php,
	  /branches/bleeding-edge/search.php:
	  Move legend above hidden input in all fieldsets to allow for validation.

2008-11-07 20:39  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/ChangeLog, /trunk/ChangeLog:
	  Whitespace fixes to ChangeLog.

2008-11-07 20:30  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/ChangeLog, /trunk/ChangeLog:
	  Update ChangeLog

2008-11-07 16:38  Matthias Steffens <refbase@extracts.de>

	* /trunk, /trunk/advanced_search.php,
	  /trunk/contrib/skins/mediawiki-monobook/header.inc.php,
	  /trunk/includes/header.inc.php, /trunk/includes/include.inc.php,
	  /trunk/includes/modsxml.inc.php, /trunk/initialize/ini.inc.php,
	  /trunk/install.sql, /trunk/install_utf8.sql,
	  /trunk/library_search.php, /trunk/record.php, /trunk/show.php,
	  /trunk/simple_search.php, /trunk/update.php, /trunk/update.sql,
	  /trunk/user_login.php, /trunk/user_logout.php,
	  /trunk/user_options.php, /trunk/user_options_modify.php,
	  /trunk/user_receipt.php, /trunk/user_validation.php:
	  merged bleeding-edge branch changes r1299 into the trunk

2008-11-06 21:43  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/modsxml.inc.php:
	  function 'modsRecord()': for theses, the 'roleTerm' of the corporate
	  author (i.e. the corporate body granting the degree) is now set to "degree
	  grantor"  which causes Bibutils to copy its 'namePart' to the BibTeX
	  'school' field

2008-11-05 21:55  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/show.php:
	  - added support for a user-specific option to enable (or disable) the
	    auto-completion feature
	  - enlarged the size of the form's text entry field to achieve better
	    display of search suggestions for longish cite keys

2008-11-05 21:54  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/advanced_search.php,
	  /branches/bleeding-edge/contrib/skins/mediawiki-monobook/header.inc.php,
	  /branches/bleeding-edge/includes/header.inc.php,
	  /branches/bleeding-edge/includes/include.inc.php,
	  /branches/bleeding-edge/initialize/ini.inc.php,
	  /branches/bleeding-edge/install.sql,
	  /branches/bleeding-edge/install_utf8.sql,
	  /branches/bleeding-edge/library_search.php,
	  /branches/bleeding-edge/record.php,
	  /branches/bleeding-edge/simple_search.php,
	  /branches/bleeding-edge/update.php,
	  /branches/bleeding-edge/update.sql,
	  /branches/bleeding-edge/user_login.php,
	  /branches/bleeding-edge/user_logout.php,
	  /branches/bleeding-edge/user_options.php,
	  /branches/bleeding-edge/user_options_modify.php,
	  /branches/bleeding-edge/user_receipt.php,
	  /branches/bleeding-edge/user_validation.php:
	  added support for a user-specific option to enable (or disable) the
	  auto-completion feature

2008-11-04 08:44  Matthias Steffens <refbase@extracts.de>

	* /trunk, /trunk/AUTHORS, /trunk/BUGS, /trunk/INSTALL, /trunk/NEWS,
	  /trunk/README, /trunk/TODO, /trunk/UPDATE,
	  /trunk/advanced_search.php, /trunk/cite/formats/cite_ascii.php,
	  /trunk/cite/formats/cite_html.php,
	  /trunk/cite/formats/cite_latex.php,
	  /trunk/cite/formats/cite_markdown.php,
	  /trunk/cite/formats/cite_pdf.php,
	  /trunk/cite/formats/cite_rtf.php,
	  /trunk/cite/styles/cite_Harvard_2.php,
	  /trunk/cite/styles/cite_Harvard_3.php,
	  /trunk/contrib/command_line/refbase,
	  /trunk/contrib/command_line/refbase_import,
	  /trunk/contrib/skins/mediawiki-monobook/header.inc.php,
	  /trunk/css/style.css, /trunk/duplicate_modify.php,
	  /trunk/duplicate_search.php, /trunk/extract.php,
	  /trunk/img/refbase_credit.png, /trunk/img/rounded_box.png,
	  /trunk/import/import_crossref2refbase.php,
	  /trunk/import_modify.php, /trunk/includes/atomxml.inc.php,
	  /trunk/includes/classes/org/active-link/xml/Tag.php,
	  /trunk/includes/header.inc.php, /trunk/includes/import.inc.php,
	  /trunk/includes/include.inc.php, /trunk/includes/locales.inc.php,
	  /trunk/includes/oaidcxml.inc.php,
	  /trunk/includes/opensearch.inc.php,
	  /trunk/includes/results_header.inc.php,
	  /trunk/includes/srwxml.inc.php,
	  /trunk/includes/transtab_latin1_latex.inc.php,
	  /trunk/includes/transtab_refbase_ascii.inc.php,
	  /trunk/includes/transtab_refbase_html.inc.php,
	  /trunk/includes/transtab_refbase_latex.inc.php,
	  /trunk/includes/transtab_refbase_markdown.inc.php,
	  /trunk/includes/transtab_refbase_pdf.inc.php,
	  /trunk/includes/transtab_refbase_rtf.inc.php,
	  /trunk/includes/webservice.inc.php, /trunk/index.php,
	  /trunk/initialize/ini.inc.php, /trunk/install.php,
	  /trunk/javascript/builder.js, /trunk/javascript/common.js,
	  /trunk/javascript/controls.js, /trunk/javascript/dragdrop.js,
	  /trunk/javascript/effects.js, /trunk/javascript/prototype.js,
	  /trunk/javascript/scriptaculous.js, /trunk/javascript/show.js,
	  /trunk/javascript/slider.js, /trunk/library_search.php,
	  /trunk/locales/cn, /trunk/locales/cn/common_utf8.inc,
	  /trunk/locales/de/common.inc, /trunk/locales/de/common_utf8.inc,
	  /trunk/locales/en/common.inc, /trunk/locales/en/common_utf8.inc,
	  /trunk/locales/fr/common.inc, /trunk/locales/fr/common_utf8.inc,
	  /trunk/modify.php, /trunk/opensearch.php,
	  /trunk/query_history.php, /trunk/query_modify.php,
	  /trunk/record.php, /trunk/search.php, /trunk/show.php,
	  /trunk/simple_search.php, /trunk/sru.php, /trunk/unapi.php,
	  /trunk/update.php, /trunk/user_details.php,
	  /trunk/user_login.php, /trunk/user_options.php,
	  /trunk/user_options_modify.php, /trunk/user_receipt.php,
	  /trunk/user_validation.php, /trunk/users.php:
	  merged bleeding-edge branch changes r1295 into the trunk

2008-11-02 21:05  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/contrib/command_line/refbase:
	  - 'http://beta.refbase.net' is now used as the default host (same as for
	    'refbase_import' CLI)
	  - added 'http://refbase.textdriven.com/beta/' to the list of known hosts
	  - added support for the ADS export format
	  - for '-A|--append' mode, the "no records need to be added" feedback
	    wasn't triggered correctly if the query returned no results; fixed
	  - we now issue "binmode STDOUT" before printing the result content to
	    STDOUT; this avoids issues on Win32 systems where the output might
	    otherwise get garbled due to conversion of newline characters in text
	    mode

2008-11-02 18:55  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/locales/cn,
	  /branches/bleeding-edge/locales/cn/common_utf8.inc:
	  initial checkin (Chinese localization; not completed yet)

2008-11-02 18:41  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/srwxml.inc.php:
	  enabled version parameter for the <implementation> tag and bumped the
	  version number to 0.9.5

2008-11-02 18:40  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/atomxml.inc.php:
	  bumped version number to 0.9.5

2008-11-02 18:39  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/AUTHORS, /branches/bleeding-edge/BUGS,
	  /branches/bleeding-edge/INSTALL, /branches/bleeding-edge/NEWS,
	  /branches/bleeding-edge/README, /branches/bleeding-edge/TODO,
	  /branches/bleeding-edge/UPDATE:
	  updated text to refbase-0.9.5 (may need a second pass)

2008-11-02 18:37  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/advanced_search.php,
	  /branches/bleeding-edge/import/import_crossref2refbase.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/Tag.php,
	  /branches/bleeding-edge/includes/header.inc.php,
	  /branches/bleeding-edge/includes/import.inc.php,
	  /branches/bleeding-edge/includes/transtab_latin1_latex.inc.php,
	  /branches/bleeding-edge/unapi.php,
	  /branches/bleeding-edge/update.php:
	  just some changes to comments and/or whitespace

2008-10-30 18:16  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/contrib/command_line/refbase_import:
	  - added 'http://refbase.textdriven.com/beta/' to the list of known hosts
	  - we now support common output options from the 'refbase' CLI script; this
	    allows to instruct the refbase server to return all imported records in
	    any of the supported export or citation formats & styles (previously,
	    records were always returned as ASCII using the default citation style)
	  - we now issue "binmode STDOUT" before printing the result content to
	    STDOUT; this avoids issues on Win32 systems where the output might
	    otherwise get garbled due to conversion of newline characters in text
	    mode

2008-10-30 17:19  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/transtab_refbase_ascii.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_html.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_latex.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_markdown.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_pdf.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_rtf.inc.php:
	  commented out the line which contains the "" (hyphen) character since
	  it seems to cause PREG compilation errors on some UTF8-based systems

2008-10-28 00:23  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/users.php:
	  function 'showUsers()': internationalized link and image titles

2008-10-28 00:18  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/user_receipt.php:
	  - function 'showUserData()': localized the field names listed in the "Main
	    fields" section
	  - function 'showUserData()': internationalized image titles in edit/delete
	    links

2008-10-28 00:16  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/user_options_modify.php:
	  - the 'languageName', 'recordsPerPageNo' & 'mainFieldsSelector' form
	    elements were not correctly handled for anonymous users; fixed
	  - some changes to whitespace

2008-10-28 00:14  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/user_options.php:
	  changed some labels for the options that deal with cite key generation to
	  indicate that they'll also apply to import now

2008-10-28 00:12  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/user_details.php:
	  internationalized all field labels

2008-10-28 00:10  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/show.php:
	  internationalized an image title in the help text section

2008-10-28 00:09  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/search.php:
	  - functions 'displayColumns()', 'displayDetails()', 'generateExport()',
	    'nothingFound()' & 'printLinks()': internationalized link and image
	    titles
	  - function 'findDuplicates()': improved the regex pattern that replaces
	    the WHERE clause
	  - functions 'extractFormElementsQueryResults()' &
	    'extractFormElementsExtract()': added support for the 'creation-date'
	    sort order option
	  - function 'extractFormElementsQuick()': the value of the "main fields"
	    search option in the "Quick Search" dropdown menu is now named
	    "main_fields"

2008-10-28 00:06  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/record.php:
	  - search suggestions for the 'corporate_author' are now split on the ";"
	    char
	  - import of user-specific fields into the "Add record" form is now
	    possible
	  - added a missing 'id' attribute for the upload file button

2008-10-28 00:04  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/opensearch.php:
	  - if the 'main_fields' index (which, ATM, is only supported for search
	    suggestions) is used in conjunction with a non-"suggest" operation, we
	    replace the 'main_fields' index with 'cql.serverChoice'
	  - added new function 'searchSuggestions()' which now contains the code
	    that deals with search suggestions

2008-10-28 00:02  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/locales/de/common.inc,
	  /branches/bleeding-edge/locales/de/common_utf8.inc,
	  /branches/bleeding-edge/locales/en/common.inc,
	  /branches/bleeding-edge/locales/en/common_utf8.inc,
	  /branches/bleeding-edge/locales/fr/common.inc,
	  /branches/bleeding-edge/locales/fr/common_utf8.inc:
	  added new locales and changed some of the existing ones

2008-10-27 23:58  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/javascript/common.js:
	  function 'addCQLIndex()': added the special index 'main_fields' which is
	  used in search suggestions to indicate the user's preferred list of "main
	  fields"

2008-10-27 23:54  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/install.php:
	  when searching for 'mysql' or the Bibutils tools, we now also look into
	  some '/opt/local/...' paths (which are used by MacPorts on Mac OS X)

2008-10-27 23:51  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/index.php:
	  we now only fetch the most recently added publications if permissions
	  allow us to do so

2008-10-27 23:49  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/webservice.inc.php:
	  for OpenSearch search suggestions, if no index name and relation was
	  given, we now use the special 'main_fields' index by default

2008-10-27 23:46  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/oaidcxml.inc.php:
	  - functions 'oaidcRecord()': fixed bug where single and double quotation
	    marks were left out from the formatted citation (relevant elements were
	    missing in variable '$markupPatternsArrayPlain')
	  - function 'oaidcRecord()': the chosen citation style is now honoured for
	    the OAI_DC XML and SRW_DC XML export formats (previously, citations were
	    always formatted according to the default citation style)
	  - function 'oaidcRecord()': changed the regex pattern in the call to
	    function 'extractDetailsFromField()' which now requires perl-style regex
	    patterns

2008-10-27 23:44  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/include.inc.php:
	  - function 'addRecords()' now honours any existing cite keys/IDs (which
	    were mapped to the 'call_number' field by the import functions) and
	    copies them to the user's 'cite_key' field (note that an incrementing
	    number may be appended to the cite key to ensure uniqueness of cite
	    keys)
	  - function 'mapFieldNames()': added field name mappings from table 'users'
	    (that aren't covered by the existing mappings)
	  - function 'buildFieldNameLinks()': internationalized link titles
	  - function 'buildQuickSearchElements()': queries that query table 'users'
	    were included in the "Quick Search" form, which caused problems; fixed
	  - function 'buildQuickSearchElements()': renamed the value of the "main
	    fields" search option in the "Quick Search" dropdown menu to
	    "main_fields"
	  - function 'buildRefineSearchElements()': in the admin interface, search
	    suggestions are now omitted for the "Search within Results" form (since
	    they currently don't work with table 'users')
	  - function 'buildDisplayOptionsElements()': added the 'creation-date'
	    option to the sort order dropdown menu
	  - function 'extractFormElementsRefineDisplay()': added code that prevents
	    warnings when a user has changed the language setting on his options
	    page, and then reloads an existing page
	  - function 'extractFormElementsRefineDisplay()': added support for the
	    'creation-date' sort order option
	  - function 'extractFormElementsRefineDisplay()': the regex patterns which
	    remove a field from the list of fields in the SELECT clause were a bit
	    too greedy; fixed
	  - functions 'extractPartsFromString()' & 'extractDetailsFromField()': a
	    perl-style regex pattern must now be used for the split pattern that is
	    used to split the source string
	  - function 'parsePlaceholderString()': adopted/improved the split patterns
	    in calls to function 'extractDetailsFromField()' which must now be given
	    as perl-style regex patterns (and made them Unicode-aware where
	    necessary)
	  - added new function 'getUserCiteKeys()' which returns all cite keys for a
	    given user
	  - added new function 'ensureUniqueCiteKey()' which ensures that the given
	    cite key is unique among a given list of cite keys
	  - function 'generateCiteKey()': when generating cite keys, we now only
	    allow for letters, digits, or any of these characters:
	    !$&*+-./:;<>?[]^_`|
	  - function 'generateCiteKey()' now uses function 'ensureUniqueCiteKey()'
	    to make sure that the generated cite key is unique among a list of cite
	    keys
	  - function 'selectDistinct()' can now return results in form of an PHP
	    array, and offers an option to omit any enclosing HTML (or JSON)
	    structure
	  - function 'selectDistinct()': in case of JSON or unordered HTML lists, an
	    empty string is now returned if there were no results found; this
	    improves usability for the search suggestions feature
	  - functions 'extractWHEREclause()' & 'extractORDERBYclause()': improved
	    the regex patterns
	  - function 'generateURL()' now also adds the 'citeStyle' & 'citeOrder'
	    parameters to HTML & export URLs (if necessary)

2008-10-27 23:23  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/atomxml.inc.php:
	  - functions 'atomCollection()' & 'atomEntry()': where appropriate, the
	    chosen citation style and/or order is now maintained in link URLs of the
	    Atom XML output
	  - functions 'atomCollection()' & 'atomEntry()': fixed bug where single and
	    double quotation marks were left out from the formatted citation
	    (relevant elements were missing in variable '$markupPatternsArray' &
	    friends)
	  - function 'atomEntry()': the chosen citation style is now honoured for
	    the Atom XML export format (previously, citations were always formatted
	    according to the default citation style)
	  - function 'atomEntry()': changed the regex pattern in the call to
	    function 'extractDetailsFromField()' which now requires perl-style regex
	    patterns

2008-10-27 23:16  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/import_modify.php:
	  we now generate (or honour existing) cite keys/IDs for the import data,
	  and copy them to the user's 'cite_key' field; the uniqueness of cite keys
	  is ensured among all imported records as well as the user's existing
	  records

2008-10-27 23:12  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/extract.php:
	  added a 'creation-date' option to the sort order dropdown menu

2008-10-27 23:05  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/css/style.css:
	  tweaked some CSS definitions for the "Search within Results" form so that
	  they'll only apply to 'search.php' (but not to 'users.php')

2008-10-27 22:47  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/styles/cite_Harvard_2.php,
	  /branches/bleeding-edge/cite/styles/cite_Harvard_3.php:
	  fixed formatting issues where two spaces were printed instead of just one

2008-10-27 22:35  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/formats/cite_ascii.php,
	  /branches/bleeding-edge/cite/formats/cite_latex.php,
	  /branches/bleeding-edge/cite/formats/cite_markdown.php,
	  /branches/bleeding-edge/cite/formats/cite_pdf.php,
	  /branches/bleeding-edge/cite/formats/cite_rtf.php:
	  we now decode any HTML entities in the header message (which may be
	  necessary if the user's preferred display language is a non-English
	  language)

2008-10-27 22:27  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/formats/cite_html.php:
	  - for the 'abstract' field, we now transform runs of newline ('\n') or
	    return ('\r') characters into a single <br> tag
	  - internationalized all GUI strings and link titles
	  - the citation style is now included in export format links (if necessary)

2008-10-01 15:03  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/webservice.inc.php:
	  function 'parseCQL()': the regex pattern that adds the '*' wildcard
	  character for search suggestions wasn't Unicode-aware; fixed

2008-09-29 22:19  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/sru.php:
	  - a logged-in user can now query all of his user-specific fields (if the
	    user's email address is passed as authentication token); but as before,
	    only the 'cite_key' field can be queried by other/anonymous users
	  - improved/fixed the formatting of authentication error messages
	  - we now generate a diagnostic message if a user tries to query any of
	    another user's private fields

2008-09-29 22:17  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/simple_search.php:
	  - added code that'll trigger search suggestions for text entered by the
	    user (if variable '$autoCompleteUserInput' is set to "yes")
	  - added ID attributes for all HTML form elements
	  - removed the dropdown menu that listed unique values of the 'publication'
	    field since this functionality is now handled via search suggestions

2008-09-29 22:15  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/show.php:
	  - added code that'll trigger search suggestions for text entered by the
	    user (if variable '$autoCompleteUserInput' is set to "yes")
	  - added ID attributes for all HTML form elements

2008-09-29 22:13  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/search.php:
	  - fixed referrer-related problems that could cause unexpected behaviour
	    and incorrect warning/error messages
	  - function 'buildResultsFooter()': if variable '$useVisualEffects' is set
	    to "yes", we now use a sliding effect when a user toggles the display of
	    the results footer

2008-09-29 22:09  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/record.php:
	  - added code that'll trigger auto-completions of text entered by the user
	    (if variable '$autoCompleteUserInput' is set to "yes")
	  - added ID attributes for all HTML form elements
	  - adopted the size of some text entry fields to make room for the suggest
	    progress indicator

2008-09-29 22:08  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/query_modify.php:
	  - fixed a referrer-related problem that could cause unexpected behaviour
	    and incorrect warning/error messages
	  - we now return a more generic/appropriate warning message if nothing was
	    changed by the submitted form data; also, the warning message is now
	    displayed above the "Edit Query" form ('query_manager.php') and not
	    within 'index.php'

2008-09-29 22:05  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/opensearch.php:
	  - adopted the search suggestions feature so that suggestions can be
	    returned in an HTML <ul> list ('recordSchema=html')
	  - search suggestions: tweaked the split patterns for various refbase
	    fields
	  - querying of user-specific fields now works if a user is logged in
	  - function 'showQueryPage()': when submitting the Quick Search form from
	    'opensearch.php', search results were incorrectly returned as RIS data
	    (instead of HTML); fixed
	  - function 'showQueryFormAdvanced()': Added 'style="display: none;"' to
	    the 'searchopt' and 'helptxt' sections which fixes an issue with the new
	    variant of the 'toggleVisibility()' JavaScript function

2008-09-29 22:03  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/locales/de/common.inc,
	  /branches/bleeding-edge/locales/de/common_utf8.inc,
	  /branches/bleeding-edge/locales/en/common.inc,
	  /branches/bleeding-edge/locales/en/common_utf8.inc,
	  /branches/bleeding-edge/locales/fr/common.inc,
	  /branches/bleeding-edge/locales/fr/common_utf8.inc:
	  added one new locale ("RecentChanges")

2008-09-29 21:59  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/javascript/common.js:
	  - modified function 'toggleVisibility()' so that it works with (or
	    without) the script.aculo.us JavaScript framework
	  - added new function 'toggleVisibilitySlide()' which deploys a function
	    from the script.aculo.us JavaScript framework to show or hide the given
	    element using a slide effect
	  - added new function 'addCQLIndex()' which gets used in conjunction with
	    the script.aculo.us 'Ajax.Autocompleter' and which adds a CQL index &
	    default relation to the given search term

2008-09-29 21:55  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/index.php:
	  the heading of the first section now reads "Recent Changes" (instead of
	  "Recent Additions") which more accurately reflects the section's contents

2008-09-29 21:53  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/webservice.inc.php:
	  - function 'mapCQLIndexes()': if no context set & index name is given
	    ("cql.serverChoice") we'll now query the 'keywords' field by default
	  - function 'mapCQLIndexes()': enabled mappings for all user-specific
	    fields so that a logged in user can now use 'opensearch.php' or
	    'sru.php' to query any of his user-specific fields

2008-09-29 21:51  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/locales.inc.php:
	  moved code into a new function 'getUserLanguage()' (in 'ini.inc.php')
	  since it's now also used by the 'header.inc.php' files

2008-09-29 21:48  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/contrib/skins/mediawiki-monobook/header.inc.php,
	  /branches/bleeding-edge/includes/header.inc.php:
	  - function 'displayHTMLhead()' now uses function 'getUserLanguage()' to
	    set the "content-language" meta element in the HTML head; this fixes a
	    problem where the user's locale wasn't set correctly if it differed from
	    the one in '$defaultLanguage'
	  - function 'displayHTMLhead()': if necessary, we now include the Prototype
	    & script.aculo.us JavaScript frameworks

2008-09-29 21:43  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/duplicate_modify.php,
	  /branches/bleeding-edge/modify.php,
	  /branches/bleeding-edge/user_login.php,
	  /branches/bleeding-edge/user_options_modify.php,
	  /branches/bleeding-edge/user_validation.php:
	  fixed referrer-related problems that could cause unexpected behaviour and
	  incorrect warning/error messages

2008-09-29 21:39  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/css/style.css:
	  added CSS definitions for styling of search suggestions & the suggest
	  progress indicator

2008-09-29 21:36  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/formats/cite_html.php,
	  /branches/bleeding-edge/includes/results_header.inc.php:
	  if variable '$useVisualEffects' is set to "yes", we now use a sliding
	  effect when a user toggles the display of the results header or the "more
	  info" section underneath of a citation

2008-09-29 21:31  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/initialize/ini.inc.php:
	  - added new variable '$autoCompleteUserInput' which defines whether
	    auto-completions (or search suggestions) are provided for user input in
	    text entry fields
	  - added new variable '$useVisualEffects' which specifies whether visual
	    effects (such as a sliding effect) are used when a user toggles the
	    display of particular GUI sections
	  - changed the default set of access keys in variable '$accessKeys'

2008-09-29 21:28  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/include.inc.php:
	  - function 'showLogin()': tweaked the referrer logic for some of the
	    refbase scripts
	  - functions 'buildQuickSearchElements()' & 'buildRefineSearchElements()'
	    can now generate search suggestions for text entered by the user
	  - function 'buildGroupSearchElements()': when using 'opensearch.php' to
	    query the 'user_groups' index with a partial word (e.g.  "user_groups =
	    bact*", matching group name(s) didn't get selected correctly in the
	    dropdown menu of the "Show My Group" form in the results header; fixed
	  - added new function 'buildSuggestElements()' which provides HTML elements
	    that will generate auto-completions or search suggestions for text
	    entered by the user in text entry fields
	  - added new function 'getUserLanguage()' which returns the current user's
	    preferred interface language
	  - function 'selectDistinct()' can now return search suggestions in an HTML
	    <ul> list, trims whitespace from the beginning & end of strings, and
	    allows for perl-style regular expressions in split patterns
	  - function 'verifySQLQuery()' now only adds a generic 'WHERE' or 'ORDER
	    BY' clause if the SQL query is a 'SELECT ...' query

2008-09-29 21:20  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/javascript/builder.js,
	  /branches/bleeding-edge/javascript/controls.js,
	  /branches/bleeding-edge/javascript/dragdrop.js,
	  /branches/bleeding-edge/javascript/effects.js,
	  /branches/bleeding-edge/javascript/prototype.js,
	  /branches/bleeding-edge/javascript/scriptaculous.js,
	  /branches/bleeding-edge/javascript/slider.js:
	  initial checkin (Prototype & script.aculo.us JavaScript frameworks)

2008-09-18 14:09  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/javascript/show.js:
	  functions 'showRefs()' & 'stateChanged()': wrapped more messages within a
	  <div> container so that they can be styled via CSS

2008-09-18 14:07  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/opensearch.php:
	  the script can now return JSON-formatted search suggestions; this allows
	  browsers such as Firefox to present search suggestions for search terms
	  entered in the browser's search box

2008-09-18 13:59  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/webservice.inc.php:
	  - if no relation was given, function 'parseCQL()' now uses 'all' as the
	    default relation
	  - function 'parseCQL()': added support for OpenSearch search suggestions

2008-09-18 13:56  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/srwxml.inc.php:
	  function 'srwExplainResponse()': we now use 'all' as the default relation

2008-09-18 13:54  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/opensearch.inc.php:
	  function 'openSearchDescription()': added an URL template for search
	  suggestions ('type="application/x-suggestions+json"')

2008-09-18 13:47  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/advanced_search.php,
	  /branches/bleeding-edge/library_search.php,
	  /branches/bleeding-edge/simple_search.php:
	  adopted calls to the 'selectDistinct()' to its new form

2008-09-18 13:42  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/include.inc.php:
	  - reworked function 'buildSelectMenuOptions()' to make it more effective
	  - function 'selectDistinct()' can now return search suggestions in JSON
	    format

2008-09-15 14:10  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/users.php:
	  - improved parameter input verification for the 'showQuery', 'showLinks'
	    and 'showRows' URL parameters
	  - function 'showUsers()': the most recently searched field (i.e.  the
	    first field from the 'WHERE' clause) will now be auto-selected in field
	    dropdown menus of search results pages
	  - function 'showUsers()': updated function calls for functions
	    'buildBrowseLinks()' and 'buildFieldNameLinks()' which now require the
	    '$wrapResults' parameter

2008-09-15 14:07  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/user_receipt.php:
	  moved the call to function 'getMainFields()' higher up in the code so that
	  the "Quick Search" form is correctly updated after the list of "main
	  fields" has been changed by the user

2008-09-15 14:05  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/user_options.php:
	  we now use variable '$availableMainFields' (from 'ini.inc.php') to define
	  the list of fields that are available in the "main fields" selector of the
	  user's account options page

2008-09-15 14:03  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/show.php:
	  - improved parameter input verification for the 'showQuery' and
	    'showLinks' URL parameters
	  - we explicitly set '$wrapResults' to "0" if the 'wrapResults' URL
	    parameter is "0"

2008-09-15 13:59  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/search.php:
	  - improved parameter input verification for the 'showQuery' and
	    'showLinks' URL parameters
	  - we explicitly set '$wrapResults' to "0" if the 'wrapResults' URL
	    parameter is "0"
	  - function 'extractFormElementsQuick()' now requires '$sqlQuery' and
	    '$originalDisplayType' as input parameters, and it now also re-assigns/
	    returns the '$displayType' variable
	  - functions 'displayColumns()' & 'displayDetails()': we now omit the
	    results header, browse links & query form for CLI clients, and when
	    outputting only a partial document structure ('wrapResults=0')
	  - functions 'displayColumns()' & 'displayDetails()': the most recently
	    searched field (i.e. the first field from the 'WHERE' clause) will now
	    be auto-selected in field dropdown menus of search results pages
	  - functions 'displayColumns()' & 'displayDetails()': updated function
	    calls for functions 'buildBrowseLinks()' and 'buildFieldNameLinks()'
	    which now require the '$wrapResults' parameter
	  - function 'displayColumns()': fixed bug where the "show records" link did
	    not work correctly in Browse view when used in conjunction with
	    '$defaultView=Cite'
	  - function 'displayColumns()': fixed bug where clicking the "show records"
	    link in Browse view caused an SQL error after using "Search within
	    Results" with a user-specific field
	  - function 'displayColumns()': reworked code that generates the "show
	    records" link in Browse view so that it is easier to read & maintain
	  - function 'displayDetails()': localized items of the dropdown menu in the
	    Display Options form of the results header
	  - function 'displayDetails()': in case of CLI clients and include
	    mechanisms, we now generate absolute URLs for links and their link
	    images
	  - functions 'displayDetails()' & 'printLinks()': when generating DOI
	    links, the DOI is now URL encoded
	  - function 'extractFormElementsExtract()': cite keys which contained regex
	    metacharacters (such as the '+' character) could not be not found; fixed
	  - function 'extractFormElementsQuick()' now extracts & uses the SELECT
	    clause from any previous Details view query and respects any custom
	    ORDER BY clause chosen by the user (note that the redesigned "Quick
	    Search" form now generally respects many of the user's current display
	    options, e.g.  the current view type (List/Citation/Details view), the
	    number of records per page, and the current citation style & order)
	  - function 'extractFormElementsGroup()': fixed bug where records weren't
	    displayed in the user's default view if the 'groupSearch' form was
	    submitted from Browse view
	  - function 'printLinks()' now also outputs absolute links for include
	    mechanisms

2008-09-15 13:55  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/query_history.php:
	  we explicitly set '$wrapResults' to "0" if the 'wrapResults' URL parameter
	  is "0"

2008-09-15 13:53  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/opensearch.php:
	  updated locale name ("SearchDB" -> "DescriptionSearchDB")

2008-09-15 13:51  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/locales/de/common.inc,
	  /branches/bleeding-edge/locales/de/common_utf8.inc,
	  /branches/bleeding-edge/locales/en/common.inc,
	  /branches/bleeding-edge/locales/en/common_utf8.inc,
	  /branches/bleeding-edge/locales/fr/common.inc,
	  /branches/bleeding-edge/locales/fr/common_utf8.inc:
	  added new locales and changed some of the existing ones

2008-09-15 13:46  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/javascript/show.js:
	  - the HTML element that will contain the references should now be named
	    "includerefs" (instead of "refs")
	  - function 'showRefs()': we now use a relative URL for the 'show.php' URL
	  - function 'stateChanged()': the progress message is now wrapped inside a
	    <div> container, and the path to the 'progress.gif' image has been
	    updated
	  - some changes to comments

2008-09-15 13:44  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/index.php:
	  revamped the main page: all forms are now styled via CSS, the "Quick
	  Search" form has been moved to the page header, and citations of the most
	  recent publications are now dynamically included upon page load

2008-09-15 13:42  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/header.inc.php:
	  - function 'displayHTMLhead()': the '$defaultLanguage' is now used as the
	    "content-language" meta element in the HTML head; this enables the use
	    of the ':lang()' pseudo-class in CSS stylesheets
	  - function 'displayHTMLhead()': we now use absolute URLs for links to RSS
	    feeds in the HTML head
	  - function 'displayHTMLhead()': the common JavaScript functions are now
	    included via a separate file ('javascript/common.js')
	  - function 'showPageHeader()': redesigned the right-hand side of the
	    visible page header which now includes the "Quick Search" form so that
	    it's available on every page

2008-09-15 13:39  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/extract.php:
	  mentioned "cite keys" in descriptive texts (TODO: add an example that uses
	  cite keys to the "Example" section)

2008-09-15 13:37  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/duplicate_search.php:
	  improved parameter input verification for the 'showLinks' and 'showRows'
	  URL parameters

2008-09-15 13:35  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/css/style.css:
	  - added new CSS definitions for the redesigned right-hand side of the page
	    header as well as for the modified parts & forms of the revamped main
	    page
	  - tweaked some of the existing CSS definitions
	  - added ThrashBox CSS code which is used to produce rounded corner CSS
	    boxes

2008-09-15 13:32  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/contrib/skins/mediawiki-monobook/header.inc.php:
	  - added standard refbase file header
	  - updated function 'displayHTMLhead()' to match the new version of that
	    function in 'includes/header.inc.php'

2008-09-15 13:28  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/contrib/command_line/refbase_import:
	  - standardized file header: unified layout and added SVN keywords
	  - added 'beta.refbase.net', 'demo.refbase.net' and 'www.refbase.org' to
	    the list of known hosts
	  - adopted variables, code & help text for the import via ID feature to
	    make it less PubMed-centric (since import from arXiv ID, DOI & OpenURL
	    is now also supported)
	  - subroutine 'usage': the defined host shortcuts are now sorted before
	    output
	  - subroutine 'examples': added new examples and updated existing ones
	  - some changes to whitespace and comments

2008-09-15 13:26  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/formats/cite_html.php:
	  - in case of include mechanisms, permalinks now open in a new browser
	    window
	  - for CLI clients, we now omit the results header, browse links & query
	    form
	  - the most recently searched field (i.e. the first field from the 'WHERE'
	    clause) will now be auto-selected in field dropdown menus of search
	    results pages
	  - updated function call for function 'buildBrowseLinks()' which now
	    requires the '$wrapResults' parameter

2008-09-15 13:10  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/include.inc.php:
	  - refined function 'showLogin()' to account for the redesigned right-hand
	    side of the page header, and localized most (but still not all) strings
	  - functions 'buildFieldNameLinks()' & 'buildBrowseLinks()' now require the
	    '$wrapResults' parameter, and output absolute links for CLI clients and
	    include mechanisms
	  - functions 'buildBrowseLinks()', 'buildRefineSearchElements()',
	    'buildGroupSearchElements()' & 'buildDisplayOptionsElements()':
	    localized all strings that are visible in the GUI
	  - functions 'buildRefineSearchElements()', 'buildGroupSearchElements()' &
	    'buildDisplayOptionsElements()': the 'client' parameter is now included
	    in all forms of the results header which ensures correct function of
	    these forms in case of include mechanisms
	  - added new function 'buildQuickSearchElements()' which generates the new
	    version of the "Quick Search" form (in the page header)
	  - function 'extractFormElementsRefineDisplay()' now works with localized
	    submit button names
	  - worked around an issue where function 'scriptURL()' incorrectly returned
	    double slashes for path separators (e.g. "/refs//search.php")
	  - moved function 'fetchDataFromURL()' from 'includes/import.inc.php' to
	    'includes/include.inc.php' since it is now also used by 'index.php'
	  - function 'verifySQLQuery()' now adds generic 'WHERE' and 'ORDER BY'
	    clauses if they didn't exist in the original SQL query

2008-09-15 13:05  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/import.inc.php:
	  moved function 'fetchDataFromURL()' from 'includes/import.inc.php' to
	  'includes/include.inc.php' since it is now also used by 'index.php'

2008-09-15 13:04  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/initialize/ini.inc.php:
	  - added new variable '$availableMainFields' which defines the list of
	    fields that are available in the "main fields" selector of the user's
	    account options page
	  - added an entry for the new "Quick Search" form to variable '$accessKeys'
	    and remapped the "f" character to it (TODO: the current access key
	    mappings need to be revised)

2008-09-15 13:00  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/javascript/common.js:
	  initial checkin (common JavaScript functions)

2008-09-15 12:58  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/img/rounded_box.png:
	  initial checkin (used to produce rounded corner CSS boxes)

2008-09-15 12:57  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/img/refbase_credit.png:
	  initial checkin (.png version of refbase "powered by" logo)

2008-08-29 00:36  Matthias Steffens <refbase@extracts.de>

	* /trunk/INSTALL, /trunk/TODO, /trunk/advanced_search.php,
	  /trunk/cite/formats/cite_ascii.php,
	  /trunk/cite/formats/cite_html.php,
	  /trunk/cite/formats/cite_latex.php,
	  /trunk/cite/formats/cite_latex_bbl.php,
	  /trunk/cite/formats/cite_markdown.php,
	  /trunk/cite/formats/cite_pdf.php,
	  /trunk/cite/formats/cite_rtf.php,
	  /trunk/cite/styles/cite_AMA.php, /trunk/cite/styles/cite_APA.php,
	  /trunk/cite/styles/cite_AnnGlaciol_JGlaciol.php,
	  /trunk/cite/styles/cite_Chicago.php,
	  /trunk/cite/styles/cite_DeepSeaRes.php,
	  /trunk/cite/styles/cite_Harvard_1.php,
	  /trunk/cite/styles/cite_Harvard_2.php,
	  /trunk/cite/styles/cite_Harvard_3.php,
	  /trunk/cite/styles/cite_MLA.php,
	  /trunk/cite/styles/cite_PolarBiol_MarBiol_MEPS.php,
	  /trunk/cite/styles/cite_Vancouver.php,
	  /trunk/contrib/command_line/refbase, /trunk/contrib/mediawiki,
	  /trunk/contrib/mediawiki/README,
	  /trunk/contrib/mediawiki/refbase.php,
	  /trunk/contrib/skins/mediawiki-monobook/README,
	  /trunk/contrib/skins/mediawiki-monobook/footer.inc.php,
	  /trunk/contrib/skins/mediawiki-monobook/header.inc.php,
	  /trunk/css/style.css, /trunk/css/style_mobile.css,
	  /trunk/css/style_print.css, /trunk/duplicate_manager.php,
	  /trunk/duplicate_modify.php, /trunk/duplicate_search.php,
	  /trunk/error.php, /trunk/export/bibutils/export_xml2ads.php,
	  /trunk/export/bibutils/export_xml2ris.php,
	  /trunk/export/bibutils/export_xml2word.php,
	  /trunk/export/export_atomxml.php,
	  /trunk/export/export_oaidcxml.php,
	  /trunk/export/export_srwxml.php, /trunk/extract.php,
	  /trunk/img/closed.gif, /trunk/img/favicon.ico,
	  /trunk/img/logo_small.png, /trunk/img/open.gif,
	  /trunk/img/progress.gif, /trunk/import.php,
	  /trunk/import/import_arxiv2refbase.php,
	  /trunk/import/import_crossref2refbase.php, /trunk/import_csa.php,
	  /trunk/import_modify.php, /trunk/includes/atomxml.inc.php,
	  /trunk/includes/cite.inc.php,
	  /trunk/includes/classes/org/active-link/xml/Tag.php,
	  /trunk/includes/classes/org/simplepie,
	  /trunk/includes/classes/org/simplepie/LICENSE.txt,
	  /trunk/includes/classes/org/simplepie/README.txt,
	  /trunk/includes/classes/org/simplepie/simplepie.inc,
	  /trunk/includes/execute.inc.php, /trunk/includes/footer.inc.php,
	  /trunk/includes/header.inc.php, /trunk/includes/import.inc.php,
	  /trunk/includes/include.inc.php, /trunk/includes/install.inc.php,
	  /trunk/includes/modsxml.inc.php,
	  /trunk/includes/oaidcxml.inc.php, /trunk/includes/odfxml.inc.php,
	  /trunk/includes/opensearch.inc.php,
	  /trunk/includes/openurl.inc.php,
	  /trunk/includes/results_header.inc.php,
	  /trunk/includes/srwxml.inc.php,
	  /trunk/includes/transtab_bibtex_refbase.inc.php,
	  /trunk/includes/transtab_endnotexml_refbase.inc.php,
	  /trunk/includes/transtab_latin1_charset.inc.php,
	  /trunk/includes/transtab_refbase_ascii.inc.php,
	  /trunk/includes/transtab_refbase_bibtex.inc.php,
	  /trunk/includes/transtab_refbase_html.inc.php,
	  /trunk/includes/transtab_refbase_latex.inc.php,
	  /trunk/includes/transtab_refbase_markdown.inc.php,
	  /trunk/includes/transtab_refbase_pdf.inc.php,
	  /trunk/includes/transtab_refbase_rtf.inc.php,
	  /trunk/includes/transtab_refbase_unicode.inc.php,
	  /trunk/includes/transtab_unicode_charset.inc.php,
	  /trunk/includes/transtab_unicode_latin1.inc.php,
	  /trunk/includes/transtab_unicode_refbase.inc.php,
	  /trunk/includes/unapi.inc.php,
	  /trunk/includes/webservice.inc.php, /trunk/index.php,
	  /trunk/initialize/ini.inc.php, /trunk/install.php,
	  /trunk/install.sql, /trunk/install_utf8.sql, /trunk/javascript,
	  /trunk/javascript/show.js, /trunk/library_search.php,
	  /trunk/locales/de/common.inc, /trunk/locales/de/common_utf8.inc,
	  /trunk/locales/en/common.inc, /trunk/locales/en/common_utf8.inc,
	  /trunk/locales/en/dcDictionary.xml,
	  /trunk/locales/en/modsDictionary.xml,
	  /trunk/locales/fr/common.inc, /trunk/locales/fr/common_utf8.inc,
	  /trunk/modify.php, /trunk/opensearch.php, /trunk/queries.php,
	  /trunk/query_history.php, /trunk/query_manager.php,
	  /trunk/query_modify.php, /trunk/receipt.php, /trunk/record.php,
	  /trunk/rss.php, /trunk/search.php, /trunk/show.php,
	  /trunk/simple_search.php, /trunk/sitemap.php,
	  /trunk/sql_search.php, /trunk/sru.php,
	  /trunk/srwExplainResponse2html.xsl, /trunk/srwdc2html.xsl,
	  /trunk/srwmods2html.xsl, /trunk/unapi.php, /trunk/update.php,
	  /trunk/update.sql, /trunk/user_details.php,
	  /trunk/user_login.php, /trunk/user_logout.php,
	  /trunk/user_options.php, /trunk/user_options_modify.php,
	  /trunk/user_receipt.php, /trunk/user_removal.php,
	  /trunk/user_validation.php, /trunk/users.php:
	  merged bleeding-edge branch changes r1213 into the trunk

2008-08-28 22:46  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/classes/org/simplepie/simplepie.inc:
	  added properties svn:mime-type and svn:eol-style

2008-08-19 21:01  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/install.sql,
	  /branches/bleeding-edge/install_utf8.sql,
	  /branches/bleeding-edge/update.php,
	  /branches/bleeding-edge/update.sql:
	  - added an entry for the "pdftotext" utility to table 'depends'
	  - added the new "Harvard *" and "Vancouver" citation styles to table
	    'styles'
	  - updated table 'user_styles' to match the new style IDs in table 'styles'

2008-08-19 20:50  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/users.php:
	  user permissions in the "feature" dropdown menu of the results footer (in
	  the admin interface) are now localized, and the new 'allow_list_view'
	  permission has been added to the dropdown menu

2008-08-19 20:47  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/user_options.php:
	  - the HTTP referrer is now globally set in function 'start_session()' (in
	    'include.inc.php')
	  - permission entries in the "User Permissions" section are now localized

2008-08-19 20:43  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/search.php:
	  - the HTTP referrer is now globally set in function 'start_session()' (in
	    'include.inc.php')
	  - users were allowed to execute custom SQL queries via 'sql_search.php'
	    even if they had no permission to do so; fixed (though see notes above
	    the "NoPermission_ForSQL" error message)
	  - fixed a problem where the export of records failed if a refbase URL
	    contained a non-empty 'headerMsg' parameter (instead of initiating a
	    file export, records were displayed in List view)

2008-08-19 20:36  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/initialize/ini.inc.php:
	  - added the new "Harvard *" and "Vancouver" citation styles to variable
	    '$defaultUserStyles'
	  - replaced "Polar Biol" with the more generic "Mar Biol" in
	    '$defaultUserStyles'

2008-08-19 20:08  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/transtab_refbase_rtf.inc.php:
	  we now use the RTF control words "\ldblquote", "\rdblquote" and "\endash"
	  for curly quotes and en-dashes, respectively

2008-08-19 20:05  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/transtab_latin1_charset.inc.php,
	  /branches/bleeding-edge/includes/transtab_unicode_charset.inc.php:
	  added '$dash' variable which contains an expression to match dashes &
	  hyphens

2008-08-19 20:00  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/odfxml.inc.php:
	  export to ODF XML caused errors when the user-specific fields were missing
	  from the SQL query; fixed

2008-08-19 19:57  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/include.inc.php:
	  - the HTTP referrer is now globally set in function 'start_session()'
	  - improved some regex patterns that match the current (or referring)
	    script
	  - added the '$dash' variable to the list of globally defined variables
	    that are used for Unicode-aware pattern matching
	  - function 'parsePlaceholderString()': improved regex patterns for the
	    '<:startPage:>' and '<:endPage:>' placeholders

2008-08-19 19:50  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/import.inc.php:
	  - added the '$dash' variable to the list of globally defined variables
	    that are used for Unicode-aware pattern matching
	  - in case of generic network errors, function 'fetchDataFromURL()' now
	    writes the error message to the global '$errors' array (whose contents
	    will be displayed in the 'import.php' interface)
	  - function 'csaToRefbase()' now transforms CSA markup for the greek small
	    letter mu (U+03BC) into appropriate refbase markup ("[mu]"); previously
	    it was replaced with a literal micro sign character (U+00B5)

2008-08-19 19:42  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/cite.inc.php:
	  added new function 'formatPageInfo()' which reformats page information
	  such as page ranges or single-page locators; this function is used by the
	  various 'cite_*.php' styles

2008-08-19 19:35  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/import_modify.php:
	  - in case of 'import_modify.php', the referrer is now always set to
	    'import.php'
	  - we now ensure that '$formVars['formType']' exists before using it; this
	    avoids "undefined index" warnings
	  - corrected a typo ("if" -> "elseif")

2008-08-19 17:36  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/atomxml.inc.php,
	  /branches/bleeding-edge/includes/oaidcxml.inc.php:
	  for UTF-8 based databases, we now use an Unicode-aware expression to match
	  dashes & hyphens in page ranges

2008-08-19 17:16  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/import.php:
	  we now ensure that '$formVars['formType']' exists before using it; this
	  avoids "undefined index" warnings

2008-08-19 17:13  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/export/bibutils/export_xml2ris.php:
	  we now ensure that the trailing whitespace in closing RIS 'ER - ' tags
	  doesn't get chopped off (the PHP 'exec()' command does not include
	  trailing whitespace in its output array)

2008-08-19 17:08  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/rss.php:
	  - we now include the citation functions which are required by function
	    'citeRecord()' (which is called from within function 'generateRSS()')
	  - the HTTP referrer is now globally set in function 'start_session()' (in
	    'include.inc.php')

2008-08-19 17:05  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/query_manager.php:
	  - the HTTP referrer is now globally set in function 'start_session()' (in
	    'include.inc.php')
	  - added support for the "Mobile" view type

2008-08-19 16:57  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/duplicate_modify.php,
	  /branches/bleeding-edge/duplicate_search.php,
	  /branches/bleeding-edge/error.php,
	  /branches/bleeding-edge/modify.php,
	  /branches/bleeding-edge/queries.php,
	  /branches/bleeding-edge/query_history.php,
	  /branches/bleeding-edge/query_modify.php,
	  /branches/bleeding-edge/receipt.php,
	  /branches/bleeding-edge/user_login.php,
	  /branches/bleeding-edge/user_logout.php,
	  /branches/bleeding-edge/user_options_modify.php,
	  /branches/bleeding-edge/user_receipt.php,
	  /branches/bleeding-edge/user_removal.php,
	  /branches/bleeding-edge/user_validation.php:
	  the HTTP referrer is now globally set in function 'start_session()' (in
	  'include.inc.php')

2008-08-19 16:40  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/css/style.css:
	  tweaked some CSS classes so that the "more info" section in Cite view
	  appears less "heavy" and more subdued

2008-08-19 16:37  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/styles/cite_DeepSeaRes.php,
	  /branches/bleeding-edge/cite/styles/cite_PolarBiol_MarBiol_MEPS.php:
	  - we now use function 'formatPageInfo()' (in 'cite.inc.php') to reformat
	    page information such as page ranges or single-page locators
	  - for UTF-8 based databases, we now use an Unicode-aware expression to
	    match dashes & hyphens in page ranges

2008-08-19 16:30  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/styles/cite_AMA.php,
	  /branches/bleeding-edge/cite/styles/cite_APA.php,
	  /branches/bleeding-edge/cite/styles/cite_AnnGlaciol_JGlaciol.php,
	  /branches/bleeding-edge/cite/styles/cite_Chicago.php,
	  /branches/bleeding-edge/cite/styles/cite_MLA.php:
	  we now use function 'formatPageInfo()' (in 'cite.inc.php') to reformat
	  page information such as page ranges or single-page locators

2008-08-19 16:24  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/formats/cite_pdf.php:
	  - we now make use of a feature of the pdf-php package which let's one
	    replace an (unused) character for any other PostScript char; this allows
	    us to support characters (such as curly quotes) which aren't part of the
	    latin1 character set
	  - added new markup patterns to '$markupPatternsArray' to allow for
	    format-specific curly single & double quotes

2008-08-19 16:20  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/formats/cite_latex.php,
	  /branches/bleeding-edge/cite/formats/cite_latex_bbl.php:
	  - enabled the markup patterns for "underline" which are used by the
	    "Harvard 1" and "Vancouver" citation styles (note that this requires
	    '\usepackage{soul}')
	  - added new markup patterns to '$markupPatternsArray' to allow for
	    format-specific curly single & double quotes

2008-08-19 16:16  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/formats/cite_ascii.php,
	  /branches/bleeding-edge/cite/formats/cite_html.php,
	  /branches/bleeding-edge/cite/formats/cite_markdown.php,
	  /branches/bleeding-edge/cite/formats/cite_rtf.php:
	  added new markup patterns to '$markupPatternsArray' to allow for
	  format-specific curly single & double quotes

2008-08-19 15:48  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/styles/cite_Harvard_1.php,
	  /branches/bleeding-edge/cite/styles/cite_Harvard_2.php,
	  /branches/bleeding-edge/cite/styles/cite_Harvard_3.php:
	  initial checkin (variants of the Harvard citation style)

2008-08-19 15:47  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/styles/cite_Vancouver.php:
	  initial checkin (Vancouver citation style)

2008-07-31 14:56  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/import_modify.php,
	  /branches/bleeding-edge/record.php:
	  when importing single records via the web interface (ATM, these get loaded
	  into the 'record.php' form) we now pass import data via a session variable
	  instead of including the data directly in the URL path; this works around
	  a limitation in Internet Explorer which has a maximum URL path length of
	  merely 2,048 characters

2008-07-30 15:28  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/transtab_refbase_rtf.inc.php:
	  - we now convert refbase __underline__ markup to RTF-specific markup
	  - changed the RTF code for curly quotes
	  - for UTF-8, the last search & replace action now uses the "u" (PCRE_UTF8)
	    pattern modifier which causes PHP/PCRE to treat pattern strings as UTF-8
	    (otherwise this conversion pattern would garble UTF-8 characters such as
	    the "Ö" character)

2008-07-30 15:23  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/transtab_refbase_bibtex.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_pdf.inc.php:
	  refbase __underline__ markup is now recognized (in case of LaTeX/BibTeX,
	  underline markup is currently removed since AFAIK it's not supported
	  natively, i.e. without the use of an extra LaTeX package)

2008-07-30 14:50  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/transtab_refbase_ascii.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_html.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_latex.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_markdown.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_unicode.inc.php:
	  - we now convert refbase __underline__ markup to format-specific markup
	    (or remove any underline markup if it's not supported natively by the
	    target format)
	  - for UTF-8, the last search & replace action now uses the "u" (PCRE_UTF8)
	    pattern modifier which causes PHP/PCRE to treat pattern strings as UTF-8
	    (otherwise this conversion pattern would garble UTF-8 characters such as
	    the "Ö" character)

2008-07-30 14:16  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/transtab_bibtex_refbase.inc.php,
	  /branches/bleeding-edge/includes/transtab_endnotexml_refbase.inc.php:
	  added support for conversion of format-specific underline markup to
	  appropriate refbase markup (__...__)

2008-07-30 11:08  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/search.php:
	  function 'findDuplicates()' now uses an Unicode-aware expression to match
	  & remove any punctuation (if necessary)

2008-07-30 11:04  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/contrib/mediawiki/refbase.php:
	  - added support for conversion of refbase __underline__ markup to
	    appropriate HTML in variable '$transtab_refbase_html'
	  - removed a search & replace pattern from variable
	    '$transtab_refbase_html' which could cause havoc to some Unicode
	    characters (such as the "Ö" character)

2008-07-30 11:01  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/odfxml.inc.php:
	  enlarged the list of fields to which search & replace actions (for
	  conversion from refbase markup to Unicode entities) will be applied

2008-07-30 10:58  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/modsxml.inc.php:
	  - added "abbrev_journal" to the list of fields to which search & replace
	    actions (for conversion from refbase markup to Unicode entities) will be
	    applied
	  - if any PubMed or arXiv IDs are given in the 'notes' field, we'll extract
	    them and write them to a MODS <identifier> tag

2008-07-30 10:55  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/atomxml.inc.php,
	  /branches/bleeding-edge/includes/oaidcxml.inc.php:
	  - removed some code that is not required anymore
	  - added "abbrev_journal" to the list of fields to which search & replace
	    actions (for conversion from refbase markup to Unicode entities) will be
	    applied

2008-07-30 10:52  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/formats/cite_markdown.php:
	  - enabled support for underline fontshape markup
	  - added "abbrev_journal" to the list of fields to which search & replace
	    actions (for conversion from refbase markup to format-specific markup)
	    will be applied

2008-07-30 10:49  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/formats/cite_ascii.php,
	  /branches/bleeding-edge/cite/formats/cite_latex.php,
	  /branches/bleeding-edge/cite/formats/cite_latex_bbl.php,
	  /branches/bleeding-edge/cite/formats/cite_pdf.php,
	  /branches/bleeding-edge/cite/formats/cite_rtf.php,
	  /branches/bleeding-edge/includes/openurl.inc.php:
	  added "abbrev_journal" to the list of fields to which search & replace
	  actions (for conversion from refbase markup to format-specific markup)
	  will be applied

2008-07-30 10:45  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/initialize/ini.inc.php:
	  added "publication" and "abbrev_journal" to the list of fields in variable
	  '$searchReplaceActionsArray'

2008-07-30 10:43  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/import.inc.php:
	  - for UTF-8, functions 'isiToCsa()', 'crossrefToRefbase()',
	    'arxivToRefbase()', 'medlineToRefbase()', 'scifinderToRefbase()',
	    'parseRecords()', 'standardizeFieldData()', and 'csaToRefbase()' now use
	    Unicode-aware expressions to match, remove (or split on) any
	    punctuation, letters or uppercase/lowercase characters
	  - function 'risToRefbase()' now generates a resolvable PubMed URL from any
	    PubMed ID (such as "PM:17302433") that was copied by Bibutils 'xml2ris'
	    to the 'UR' tag
	  - functions 'risToRefbase()' and refworksToRefbase()' now convert RefWorks
	    indicators for underline text to refbase markup
	  - function 'standardizeFieldData()': if the 'url' field is empty but the
	    'notes' field contains a PubMed ID, we extract the PubMed ID and copy a
	    resolvable URL (that points to the PubMed article's abstract page) to
	    the 'url' field

2008-07-30 01:10  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/include.inc.php:
	  - depending on the used character encoding, we now include a file that
	    provides appropriate variables for matching and conversion of charset
	    case & classes
	  - function 'reArrangeAuthorContents()': replaced POSIX-style regex
	    patterns such as "[:upper:]" with variables that provide for
	    Unicode-aware equivalents if necessary; this fixes a problem with UTF-8
	    based databases, where an author's given name wasn't correctly reduced
	    to initials (upon import or cite) if it contained any higher ASCII
	    chars; another symptom of this issue was an empty author list

2008-07-30 01:05  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/transtab_latin1_charset.inc.php,
	  /branches/bleeding-edge/includes/transtab_unicode_charset.inc.php:
	  checkin (variables for matching and conversion of charset case &
	  classes)

2008-07-08 12:52  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/javascript,
	  /branches/bleeding-edge/javascript/show.js:
	  initial checkin (Javascripts to dynamically include refbase results in
	  foreign web pages)

2008-07-08 12:34  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/img/progress.gif:
	  initial checkin (circular spinning progress indicator used for include
	  mechanisms)

2008-06-23 16:36  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/users.php:
	  - error, warning and notification messages are now generated by function
	    'returnMsg()', which also handles the saving of messages to a session
	    variable as well as client-specific message formatting
	  - adopted function calls to functions 'modifyUserGroups()' and
	    'updateUserPermissions()' to their new form

2008-06-23 16:26  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/user_options_modify.php:
	  adopted function call to function 'updateUserPermissions()' to its new
	  form

2008-06-23 16:21  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/show.php:
	  we now honour the new user-specific setting for the default view (which is
	  stored in session variable 'userDefaultView')

2008-06-23 16:19  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/search.php:
	  - we now honour the new user-specific setting for the default view (which
	    is stored in session variable 'userDefaultView')
	  - under certain circumstances, if the user clicked the 'Add/Remove'
	    button, the feedback action could trigger a cite/export instead of a
	    HTML page; fixed
	  - fixed issue were the "No records selected" feedback got triggered
	    incorrectly
	  - function 'displayColumns()': the value of the '$displayType' variable
	    wasn't included as hidden tag in the 'queryResults' form; fixed
	  - function 'generateExport()' now supports the ADS tagged format
	  - function 'buildResultsFooter()': modified the JavaScript calling
	    mechanism for the triangle widget (which toggles the display of the
	    cite/group/export options) so that the page doesn't move when clicking
	    the triangle
	  - function 'buildResultsFooter()': the text next to the triangle widget
	    wasn't correctly URL encoded; fixed
	  - function 'extractFormElementsQueryResults()' now works correctly for the
	    "All found records" option if the user clicked the 'Add/Remove' button
	  - function 'extractFormElementsQuick()': rearranged some code to avoid
	    "Undefined variable..." error messages
	  - function 'extractFormElementsGroup()': meta characters in group names
	    were not escaped which caused the generated SQL query to fail; fixed

2008-06-23 16:15  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/record.php:
	  the script now accepts file URLs with full URL paths passed from
	  'import.php'

2008-06-23 15:47  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/opensearch.php:
	  - modified the JavaScript calling mechanism for the triangle widgets
	    (which toggle the display of the search options & help/examples) so that
	    the page doesn't move when clicking one of the triangles
	  - the text next to the triangle widgets wasn't URL encoded; fixed

2008-06-23 15:45  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/modify.php:
	  function 'recursiveMkdir()': added some code (in comments) that might work
	  better for some (shared) server setups

2008-06-23 15:44  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/results_header.inc.php:
	  - modified the JavaScript calling mechanism for the triangle widget (which
	    toggles the display of the search/display options) so that the page
	    doesn't move when clicking the triangle
	  - the text next to the triangle widget wasn't correctly URL encoded; fixed

2008-06-23 15:42  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/openurl.inc.php:
	  if the 'publication' field is empty, we now duplicate the abbreviated
	  journal name to 'rft.title' since the CrossRef resolver seems to require
	  'rft.title'

2008-06-23 15:31  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/include.inc.php:
	  - we now include the new "unicode -> latin1/refbase" transliteration
	    tables
	  - function 'start_session()' now establishes the default view for any
	    anonymous user and saves it to a session variable ('userDefaultView')
	  - function 'showLogin()': for 'opensearch.php' and 'query_history.php', we
	    don't include any URL parameters in the login/logout links since they
	    aren't needed
	  - function 'buildSELECTclause()' now honours the new user-specific setting
	    for the default view (which is stored in session variable
	    'userDefaultView')
	  - function 'buildSELECTclause()' now ensures that all fields given in
	    variable '$additionalFieldsCitationView' get included in the query's
	    SELECT clause
	  - function 'buildBrowseLinks()': fixed some incorrect display in Browse
	    view
	  - reworked function 'modifyUserGroups()' so that it now works correctly
	    for the "All found records" option; this also fixes an old escaping bug
	  - added new function 'getDefaultView()' which sets the default view for
	    the current user according to his '*_view' permissions
	  - function 'updateUserPermissions()' now requires an array as first input
	    param
	  - added new function 'getFieldContents()' which returns (distinct) values
	    from a given MySQL field and table
	  - added new function 'detectCharacterEncoding()' which detects the
	    character encoding of the given string (ATM, only ISO-8859-1 and UTF-8
	    are supported)
	  - function 'convertToCharacterEncoding()' can now convert from a source
	    charset other than the default database charset but will default to the
	    latter if no source charset was given
	  - function 'convertToCharacterEncoding()': when converting from UTF-8 to
	    ISO-8859-1, we now attempt to convert Unicode entities to refbase
	    markup, and transliterate (or strip) any remaining non-latin1 chars
	  - added new functions 'decodeHTML()', 'decodeHTMLspecialchars()' and
	    'charNumToCharString()' which are used to decode HTML entities & special
	    chars
	  - function 'verifySQLQuery()' now ensures that the 'LEFT JOIN...' part
	    gets added to the 'FROM' clause in Citation view
	  - function 'generateURL()' now supports the ADS tagged format and respects
	    an existing 'exportType' parameter

2008-06-23 15:20  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/import.inc.php:
	  - we now include the SimplePie library (simplepie.org) which is used to
	    parse Atom feeds from arXiv.org
	  - function 'crossrefToRefbase()' now allows for batch import of CrossRef
	    records, and presents per-record error messages if a DOI record wasn't
	    found in CrossRef
	  - function 'crossrefToRefbase()' now converts any HTML font attributes,
	    removes '<![CDATA[...]]>' wrappers, catches subtitles & name suffixes,
	    and decodes HTML special chars
	  - added new function 'arxivToRefbase()' which imports records from
	    arXiv.org's Atom XML Opensearch format
	  - function 'risToRefbase()' now converts <b>boldface</b> HTML to refbase
	    markup
	  - function 'medlineToRefbase()' now tries to recognize PubMed error
	    messages that are wrapped within HTML
	  - added new function 'identifySourceID()' that attempts to identify the
	    type of the given IDs (ATM, it supports PubMed IDs, arXiv IDs, DOIs and
	    OpenURLs)
	  - function 'validateRecords()' now better handles PubMed Medline errors
	  - function 'standardizeFieldData()': besides the type, ISSN/DOI numbers
	    and URLs are now also excluded from any case transformations
	  - function 'standardizeFieldData()': improved matching of DOIs
	  - added new functions 'fetchDataFromPubMed()', 'fetchDataFromArXiv()' and
	    'fetchDataFromCrossRef()' which fetch record metadata from PubMed.gov,
	    arXiv.org and CrossRef.org, respectively

2008-06-23 15:08  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/import.php:
	  adopted variables & help text for the import via ID feature to make it
	  less PubMed-centric (since import from arXiv ID, DOI & OpenURL is now also
	  supported)

2008-06-23 15:06  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/import_modify.php:
	  - besides PubMed IDs, the script can now detect and import from arXiv IDs,
	    DOIs and OpenURLs
	  - In case of a latin1-based database, we now detect UTF-8 encoded source
	    data, and attempt to convert UTF-8 data to refbase markup & the latin1
	    charset

2008-06-23 14:58  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/duplicate_search.php,
	  /branches/bleeding-edge/user_login.php,
	  /branches/bleeding-edge/user_logout.php:
	  we now honour the new user-specific setting for the default view (which is
	  stored in session variable 'userDefaultView')

2008-06-23 14:55  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/contrib/skins/mediawiki-monobook/header.inc.php:
	  added new JavaScript functions (and changed existing ones) according to
	  'header.inc.php' (TODO: move these JavaScript functions into their own
	  files)

2008-06-23 14:52  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/css/style.css,
	  /branches/bleeding-edge/css/style_print.css:
	  added new CSS definitions for the links at the bottom of the "more info"
	  section that can be displayed in Citation view underneath each citation

2008-06-19 20:31  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/update.php:
	  - table 'formats': added 'ADS' export format and 'arXiv XML' import format
	  - removed "Atom XML" from the list of formats that get enabled by default
	    since it's use as an end-user exchange format is probably limited

2008-06-19 20:25  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/install.sql,
	  /branches/bleeding-edge/install_utf8.sql,
	  /branches/bleeding-edge/update.sql:
	  table 'formats': added 'ADS' export format and 'arXiv XML' import format

2008-06-19 20:12  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/initialize/ini.inc.php:
	  - removed "Atom XML" from the list of default export formats given in
	    variable '$defaultUserExportFormats' since it's use as an end-user
	    exchange format is probably limited
	  - renamed variable '$showMoreInfoCitationView' to
	    '$additionalFieldsCitationView' and changed its type from binary
	    (yes/no) into an array of fields so that one can customize the list of
	    fields that will be displayed in the "more info" section underneath a
	    citation
	  - modified the values of variables '$displayResultsHeaderDefault' and
	    '$displayResultsFooterDefault' so that the results header is now always
	    closed by default while the results footer is displayed open in List &
	    Details view

2008-06-19 19:43  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/contrib/skins/mediawiki-monobook/header.inc.php:
	  removed an erroneous angle bracket

2008-06-19 19:02  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/formats/cite_html.php:
	  - added a permalink and links to cite/export a record at the bottom of the
	    "more info" section that can be displayed by clicking the little
	    triangle widget underneath each citation
	  - only fields with content will now be shown in the "more info" section,
	    and the list of fields can now be customized via variable
	    '$additionalFieldsCitationView' in 'initialize/ini.inc.php'
	  - we now use full paths to point to images so that they still get
	    displayed correctly when refbase results are included into foreign web
	    sites
	  - modified the JavaScript calling mechanism for the triangle widgets
	    underneath each citation so that the page doesn't move when clicking one
	    of the triangles
	  - the value of the '$displayType' variable wasn't included as hidden tag
	    in the 'queryResults' form; fixed

2008-06-19 18:19  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/atomxml.inc.php:
	  links to ODF XML now have the 'exportType' parameter set to 'file' which
	  ensures that the whole .ods package gets exported (and not only the
	  'content.xml' file)

2008-06-19 17:56  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/transtab_unicode_refbase.inc.php:
	  initial checkin (conversion table from UTF-8 to refbase markup)

2008-06-19 17:55  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/transtab_unicode_latin1.inc.php:
	  initial checkin (conversion table from UTF-8 to ISO-8859-1)

2008-06-19 17:50  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/import/import_arxiv2refbase.php:
	  initial checkin (imports arXiv.org's Atom XML OpenSearch format)

2008-06-19 17:47  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/export/bibutils/export_xml2ads.php:
	  initial checkin (exports records to SAO/NASA ADS format)

2008-06-19 17:41  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/classes/org/simplepie,
	  /branches/bleeding-edge/includes/classes/org/simplepie/LICENSE.txt,
	  /branches/bleeding-edge/includes/classes/org/simplepie/README.txt,
	  /branches/bleeding-edge/includes/classes/org/simplepie/simplepie.inc:
	  initial checkin (SimplePie v1.1.1 that's used to parse RSS/Atom feeds)

2008-05-22 13:40  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/sitemap.php:
	  added SVN properties

2008-05-22 13:20  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/sitemap.php:
	  - we now use function 'generateISO8601TimeStamp()' to generate the
	    ISO-8601 date/time stamp for the <lastmod> element; this fixes an issue
	    where the timezone designation wasn't correctly set for the given
	    date/time
	  - some changes to whitespace

2008-05-22 12:57  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/include.inc.php:
	  function
	  'generateISO8601TimeStamp()':
	  for PHP4 support, we now manually
	  insert
	  a colon in the timezone designation

2008-05-19 00:12  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/sitemap.php:
	  - Add checking of modified date
	  - Add modified time
	  - Index local, visible attachments
	  - Improve documentation

2008-05-18 00:27  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/sitemap.php:
	  Simple sitemap.xml generation for search engine indexing

2008-05-17 20:36  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/TODO,
	  /branches/bleeding-edge/cite/formats/cite_html.php,
	  /branches/bleeding-edge/contrib/skins/mediawiki-monobook/header.inc.php,
	  /branches/bleeding-edge/includes/header.inc.php,
	  /branches/bleeding-edge/search.php:
	  - Change the state of the All/Selected records radio button when a
	    checkbox is clicked (based on whether there are any checkboxes checked
	    at the time).
	  - Added remark about how we should strive to reuse more code, as this
	    change had to be made in three different forms (one for each view) and
	    two different headers (for the two skins). I think the mediawiki skin
	    will need more work if we don't break javascript out--it seems to have
	    only two of the new functions right now.

2008-05-14 22:52  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/webservice.inc.php:
	  function 'addMetaElement()': the given object wasn't passed as reference;
	  fixed

2008-05-14 22:50  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/atomxml.inc.php:
	  function 'atomLink()': the given object wasn't passed as reference; fixed

2008-05-14 17:08  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/contrib/skins/mediawiki-monobook/header.inc.php:
	  we now ensure that the checks for the given view type are case insensitive

2008-05-14 17:04  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/users.php:
	  fixed bug where an incorrect display type was accepted if the admin
	  clicked either the 'Add', 'Remove', 'Allow' or 'Disallow' button of the
	  'queryResults' form in the admin interface

2008-05-14 17:02  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/user_validation.php:
	  - when adding new users, the language given in variable '$defaultLanguage'
	    (in 'ini.inc.php') is now used as the user's default interface language
	  - when establishing session variables for a newly added user, settings are
	    now taken from variable '$defaultUserOptions' (in 'ini.inc.php')

2008-05-14 16:59  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/user_logout.php:
	  - upon logout, we now ensure to delete session variable 'queryHistory' if
	    it exists
	  - logout from 'query_history.php' will now relocate back to 'index.php'

2008-05-14 16:57  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/show.php:
	  if a single serial number was entered in the 'show.php' web form, the
	  'serial' field was incorrectly added to the SELECT clause of the Details
	  view query; fixed

2008-05-14 16:54  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/search.php:
	  - we now save the last 30 queries of the user's current session to a
	    session variable ('queryHistory')
	  - when saving the current query to the 'oldQuery' and
	    'oldMultiRecordQuery' session variables, we now exclude queries for
	    export formats & citation formats other than HTML
	  - query links in the header message were printed incorrectly under certain
	    circumstances; fixed
	  - added a "history" link to the query links of the header message which
	    lets one recall any previous query of the current session
	  - some query links in the header message now feature access keys (if
	    enabled in 'initialize/ini.inc.php')
	  - function 'displayDetails()': we now only attempt to hide the 'related'
	    field if it is actually present in the SELECT clause of the query
	  - function 'buildResultsFooter()': localized the link title of the
	    triangle widget that toggles visibility of the results footer
	  - function 'buildResultsFooter()': the link that toggles visibility of the
	    results footer as well as the "Cite" & "Export" buttons in the results
	    footer now feature access keys (if enabled in 'initialize/ini.inc.php')

2008-05-14 16:47  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/record.php:
	  - fixed typo in locale name ('WarningInputDataError' ->
	    'Warning_InputDataError')
	  - we now ensure that all variables are properly initialized to ease
	    customization of 'record.php' (e.g. removal of fields from the "Add/Edit
	    record" mask)

2008-05-14 16:44  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/opensearch.php:
	  - the text next to the triangle widgets that expand/collapse the options &
	    help sections is now clickable
	  - the "toggle visibility" links now feature access keys (if enabled in
	    'initialize/ini.inc.php')

2008-05-14 16:35  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/modify.php:
	  we now ensure that all variables are properly initialized to ease
	  customization of 'record.php' (e.g. removal of fields from the "Add/Edit
	  record" mask)

2008-05-14 16:29  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/initialize/ini.inc.php:
	  - added named array keys to variable '$defaultUserOptions' so that scripts
	    can refer to individual array elements
	  - added new variable '$showUserSpecificFieldsDetailsViewDefault' which
	    specifies whether user-specific fields shall be displayed in Details
	    view by default
	  - added new variable '$accessKeys' which defines 'accesskey' values for
	    keyboard navigation of the refbase interface; to avoid conflicts with
	    other keyboard shortcuts we may need to disable some (or all) access
	    keys by default

2008-05-14 16:20  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/results_header.inc.php:
	  - localized the link title of the triangle widget that toggles visibility
	    of the results header
	  - the "toggle visibility" link now features an access key (if enabled in
	    'initialize/ini.inc.php')

2008-05-14 16:15  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/include.inc.php:
	  - function 'showLogin()': the generated links now feature access keys (if
	    enabled in 'initialize/ini.inc.php')
	  - added new function 'addAccessKey()' which generates an 'accesskey'
	    attribute (or a keyboard hint for the title attribute) for the specified
	    link/form element
	  - function 'buildSELECTclause()' now omits user-specific fields from the
	    SELECT clause in Details view if variable
	    '$showUserSpecificFieldsDetailsViewDefault' is set to "no"
	  - function 'buildBrowseLinks()': the home & previous/next links as well as
	    the view/print links now feature access keys (if enabled in
	    'initialize/ini.inc.php')
	  - functions 'buildRefineSearchElements()' &
	    'buildDisplayOptionsElements()': text entry fields now feature access
	    keys (if enabled in 'initialize/ini.inc.php')
	  - function 'verifySQLQuery()' now only adds user-specific fields to the
	    SELECT clause in Details view if variable
	    '$showUserSpecificFieldsDetailsViewDefault' is set to "yes"

2008-05-14 16:09  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/footer.inc.php,
	  /branches/bleeding-edge/includes/header.inc.php:
	  some links now feature access keys (if enabled in
	  'initialize/ini.inc.php')

2008-05-14 16:05  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/css/style.css,
	  /branches/bleeding-edge/css/style_mobile.css,
	  /branches/bleeding-edge/css/style_print.css:
	  added new CSS definitions to support styling of a user's query history

2008-05-14 16:02  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/formats/cite_html.php:
	  localized the link title of the triangle widget that's printed below each
	  citation

2008-05-14 16:00  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/advanced_search.php:
	  changed HTTP transfer method of the query form back to POST since some
	  versions of Internet Explorer choke on the length of the GET request

2008-05-14 15:57  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/query_history.php:
	  initial checkin (displays a query history for the user's current session)

2008-05-02 10:08  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/include.inc.php:
	  - updated parameter list for various function calls
	  - the 'citeStyle', 'citeOrder' and 'headerMsg' URL parameters are now
	    included in many more links & forms so that their values are retained
	    while navigating or refining the results list
	  - function 'buildSELECTclause()': for Details view, less important fields
	    can now be omitted ('$showAdditionalFieldsDetailsViewDefault=no'), and
	    SQL queries for Citation view (or RSS) now include the 'keywords' and
	    'abstract' fields
	  - function 'buildBrowseLinks()': (De-)Select links are again omitted when
	    outputting HTML for CLI clients, and now a "Home" link is displayed
	    instead
	  - function 'buildBrowseLinks()' now recognizes any previous Details view
	    query that's stored in a session variable ('lastDetailsViewQuery')
	  - functions 'buildRefineSearchElements()', 'buildGroupSearchElements()'
	    and 'buildDisplayOptionsElements()': the forms of the results header now
	    use divs & CSS styling (instead of a table-based layout)
	  - function 'buildDisplayOptionsElements()': for Citation view, the Display
	    Options form now offers to change the citation style and sort order; and
	    for Details view, the form now lets you omit some of the fields
	  - function 'extractFormElementsRefineDisplay()' now always uses function
	    'buildSELECTclause()' to build the SELECT clause
	  - adopted function 'extractFormElementsRefineDisplay()' so that it can
	    process the new variants of the "Display Options" form
	  - function 'verifySQLQuery()' now doesn't automatically add the 'location'
	    field anymore, since, for '$showAdditionalFieldsDetailsViewDefault=yes'
	    (with additional fields being hidden), it causes the 'location' field to
	    reappear when clicking any of the sort/browse/view links

2008-05-01 22:34  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/css/style.css,
	  /branches/bleeding-edge/css/style_mobile.css,
	  /branches/bleeding-edge/css/style_print.css:
	  - the CSS styling is now done using an em-based layout with sans-serif
	    fonts (some further tweaking may be needed)
	  - removed unused CSS definitions
	  - in Details view, the grey background color is now slightly lighter, and
	    divider lines between multiple records are also printed lighter/thinner
	  - added new CSS definitions (e.g. to account for the new results header),
	    and renamed (or refined) some of the existing ones

2008-05-01 21:52  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/users.php:
	  - instead of the 'citeStyle' URL parameter we now use variable
	    '$defaultCiteStyle' if necessary
	  - updated parameter list for various function calls

2008-05-01 20:31  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/extract.php:
	  if the 'user_styles' session variable isn't set, we now default to the
	  style given in '$defaultCiteStyle' (in 'ini.inc.php') instead of disabling
	  the entire form

2008-05-01 20:28  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/duplicate_search.php:
	  we now extract (and
	  pass thru) the values of the 'citeStyle' and 'citeOrder'
	  URL parameters

2008-05-01 20:24  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/user_logout.php:
	  upon logout, we now ensure to delete session variables 'adminUserGroups'
	  and 'lastDetailsViewQuery' if they exist

2008-05-01 20:18  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/show.php:
	  we now recognize any previous Details view query that's stored in a
	  session variable ('lastDetailsViewQuery')

2008-05-01 19:51  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/search.php:
	  - we now attempt to URL decode the 'headerMsg' URL parameter before using
	    it
	  - updated parameter list for various function calls
	  - the 'citeStyle', 'citeOrder' and 'headerMsg' URL parameters are now
	    included in many more links & forms so that their values are retained
	    while navigating or refining the results list
	  - function 'displayColumns()' now honours variable
	    '$displayResultsHeaderDefault'
	  - function 'displayDetails()': fixed an old bug where the 'related' field
	    was inadvertently displayed in Details view when the field given in
	    '$fileVisibilityException[0]' was added by 'search.php' to the SQL query
	  - function 'displayDetails()': the forms of the results header are now
	    available in Details view, and their display can be controlled via
	    variable '$displayResultsHeaderDefault' (in 'ini.inc.php'); for Details
	    view, the Display Options form now offers to omit some of the fields
	  - function 'displayDetails()': since some fields can now be hidden from
	    Details view, we now save the current Details view query to a session
	    variable so that it can be reapplied later
	  - function 'displayDetails()': for consistency reasons, there's now a
	    divider line ('<hr>') before the results footer in Details view
	  - function 'generateExport()': the export file name for SRW_DC XML was
	    incorrectly set to 'oaidc_export.xml'; fixed
	  - function 'buildResultsFooter()': the text next to the triangle widget
	    that expands/collapses the results footer is now clickable
	  - function 'extractFormElementsGroup()' now recognizes any previous
	    Details view query that's stored in a session variable
	    ('lastDetailsViewQuery')

2008-05-01 18:28  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/results_header.inc.php:
	  reworked function 'displayResultsHeader()' so that it now uses divs & CSS
	  styling (instead of a table-based layout); similar to the new results
	  footer, the results header can now be collapsed/expanded via a triangle
	  widget; defaults can be set via variable '$displayResultsHeaderDefault'
	  (in 'ini.inc.php')

2008-05-01 17:46  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/formats/cite_html.php:
	  - for 'citeOrder=year|type|type-year', the colspan value of heading cells
	    was calculated incorrectly, fixed
	  - the forms of the results header are now available in Citation view, and
	    their display can be controlled via variable
	    '$displayResultsHeaderDefault' (in 'ini.inc.php'); for Citation view,
	    the Display Options form now offers to change the citation style and
	    sort order
	  - in case of include mechanisms ('client=inc...'), when outputting a full
	    HTML document structure ('wrapResults=1'), we now include the results
	    header & footer (this may change again, though); opposed to that, the
	    results header & footer are omitted when outputting HTML for CLI clients
	    ('client=cli...')
	  - additional record info (keywords, abstract, etc) can now be displayed in
	    Citation view via a small triangle widget below each citation
	  - adopted the function call to function 'buildResultsFooter()' to its new
	    form

2008-05-01 14:23  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/user_receipt.php:
	  adopted existing HTML and added CSS attributes (id/class names) to account
	  for the upcoming changes in CSS styling

2008-05-01 14:15  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/record.php:
	  moved the 'keywords', 'abstract' and 'address' fields higher up in the
	  edit form

2008-05-01 14:03  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/initialize/ini.inc.php:
	  - added new variable '$showMoreInfoCitationView' which specifies whether
	    more info (keywords, abstract, etc) can be displayed in Citation view
	    via a small triangle widget below each citation
	  - added new variable '$showAdditionalFieldsDetailsViewDefault' which
	    specifies whether less-important fields (such as publisher or series
	    info) shall be displayed in Details view by default
	  - variable '$displayResultsFooterDefault': for List view, the results
	    footer is now closed by default

2008-05-01 13:52  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/index.php:
	  adopted the HTML ('<div class="header">' -> '<h5>') to the upcoming
	  changes in CSS styling

2008-05-01 11:51  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/import.inc.php:
	  function 'risToRefbase()' now recognizes the incorrect RIS "CHAPTER" type
	  that is used e.g. by SpringerLink.com

2008-05-01 11:27  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/formats/cite_rtf.php:
	  - header messages passed via the 'headerMsg' URL parameter are now
	    correctly rendered (any refbase markup is converted into format-specific
	    markup & entities)
	  - worked around an issue where on some systems the '\f' in RTF font
	    declarations (such as '\f\fs24') got incorrectly interpreted as a
	    linefeed character

2008-05-01 11:25  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/formats/cite_ascii.php,
	  /branches/bleeding-edge/cite/formats/cite_latex.php,
	  /branches/bleeding-edge/cite/formats/cite_markdown.php,
	  /branches/bleeding-edge/cite/formats/cite_pdf.php:
	  header messages passed via the 'headerMsg' URL parameter are now correctly
	  rendered (any refbase markup is converted into format-specific markup &
	  entities)

2008-04-22 18:24  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/import_modify.php,
	  /branches/bleeding-edge/modify.php:
	  inserted missing "break" statements in shift/case sections (thanks to
	  Philippe Teuwen for reporting the issue)

2008-04-17 14:43  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/locales/en/modsDictionary.xml:
	  initial checkin (localized terms for MODS used by 'srwmods2html.xsl')

2008-04-17 14:37  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/srwmods2html.xsl:
	  updated stylesheet to match the layout & functionality of
	  'srwdc2html.xsl': the refbase page header & footer is now included, and
	  identifiers (DOI, ISBN, ISSN) as well as URLs are now hyperlinked. Also
	  added support for CSS styling and proper rendering of diagnostics.

2008-04-16 23:52  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/locales/en/dcDictionary.xml:
	  initial checkin (localized terms for Dublin Core used by 'srwdc2html.xsl')

2008-04-16 23:45  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/srwdc2html.xsl:
	  initial checkin (converts DC v1.1 records that are wrapped in SRW XML to
	  HTML)

2008-04-16 16:12  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/error.php,
	  /branches/bleeding-edge/modify.php:
	  the '$oldQuery' variable was incorrectly set to an empty string (instead
	  of an empty array) when the 'oldQuery' session variable wasn't defined;
	  fixed

2008-04-16 16:09  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/formats/cite_html.php:
	  function 'citeRecords()': adjusted the 'cellpadding' attribute value of
	  the results table to achieve a more compact layout

2008-04-16 16:07  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/search.php:
	  - the '$oldQuery' variable was incorrectly set to an empty string (instead
	    of an empty array) when the 'oldQuery' session variable wasn't defined;
	    fixed
	  - function 'displayColumns()': adjusted the 'cellpadding' attribute value
	    of the results table to achieve a more compact layout
	  - function 'buildResultsFooter()': changed help text of the group dropdown
	    menu

2008-04-16 14:54  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/update.php,
	  /branches/bleeding-edge/update.sql:
	  Table 'user_permissions': for anonymous users, the 'allow_export' and
	  'allow_batch_export' permissions are now set to "yes", i.e. by default,
	  the export feature is now enabled for anonymous users

2008-04-16 14:51  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/install.sql,
	  /branches/bleeding-edge/install_utf8.sql:
	  - Table 'user_formats': the export formats 'Atom XML', 'MODS XML', 'ODF
	    XML' and 'Word XML' are now enabled by default for anonymous users
	  - Table 'user_permissions': for anonymous users, the 'allow_export' and
	    'allow_batch_export' permissions are now set to "yes", i.e. by default,
	    the export feature is now enabled for anonymous users

2008-04-16 12:50  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/install.sql,
	  /branches/bleeding-edge/install_utf8.sql:
	  - tables 'deleted' and 'refs': changed type of the 'edition' field to
	    VARCHAR, added "Honours thesis" as ENUM value to the 'thesis' field, and
	    added a new 'version' field
	  - table 'formats': renamed export formats 'OpenSearch RSS' and 'SRW XML'
	    to 'Atom XML' and 'SRW_MODS XML', respectively
	  - table 'formats': added 'OAI_DC XML' & 'SRW_DC XML' export formats
	  - tables 'formats' and 'styles': changed all values of the 'order_by'
	    field
	  - table 'styles': added 'AMA' and 'Chicago' citation styles
	  - updated tables 'user_formats' and 'user_styles' to account for newly
	    added import/export formats and citation styles
	  - table 'user_permissions': added new permission setting 'allow_list_view'

2008-04-15 22:39  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/users.php:
	  - since the default view can now be changed to something other than List
	    view, we now ensure that List view is used by default for the refbase
	    admin interface
	  - removed the '$oldQuery' parameter from code & function calls since the
	    query URL of the formerly displayed results page is now stored in a
	    session variable
	  - added initial support for 'Mobile' view (intended for mobile devices)
	  - we now ensure that the checks for the given view type are case
	    insensitive
	  - function 'showUsers()': we now honour the value of variable
	    '$maximumBrowseLinks' (in 'initialize/ini.inc.php') that defines the
	    max. no.  of results pages per page
	  - function 'showUsers()': adopted function calls to functions
	    'buildGroupSearchElements()', 'buildRefineSearchElements()' and
	    'buildDisplayOptionsElements()' to their new form
	  - added CSS attributes (id/class names) to HTML output where appropriate
	  - changed HTTP transfer method of the query form from POST to GET
	    (similarly, changed '$_POST' to '$_REQUEST' in all form-parsing
	    functions)
	  - function 'showUsers()': we now use function 'getMySQLFieldInfo()' to
	    fetch column names
	  - function 'extractFormElementsGroup()' now uses functions
	    'extractSELECTclause()' and 'extractORDERBYclause()' to extract the
	    SELECT/ORDER BY clause from an SQL query
	  - function 'extractFormElementsGroup()': fixed incorrect default
	    SELECT/ORDER BY clauses

2008-04-15 15:29  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/sru.php:
	  - improved verification of the 'operation', 'recordSchema' and
	    'recordPacking' parameters
	  - we now assign the default stylesheet based on the requested operation
	    and response format
	  - simple Dublin Core ('recordSchema=dc') can now be requested as SRU
	    response format, which causes refbase to export records as 'SRW_DC XML'
	  - renamed the 'SRW XML' export format to 'SRW_MODS XML'
	  - function 'buildSELECTclause()' is now used to build the SELECT clause
	  - we now use function 'generateURL()' to generate the final 'search.php'
	    URL

2008-04-15 13:10  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/import_modify.php:
	  to display imported records, we now call 'show.php' with consecutive
	  serial numbers transformed into a range, i.e. instead of
	  'show.php?records=1,2,3,4,5' we now use 'show.php?records=1-5'

2008-04-15 12:57  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/formats/cite_html.php:
	  - for citation output, the colspan value of HTML table tags is now
	    computed correctly for 'citeOrder=type' & 'citeOrder=type-year'
	  - we now ensure that the checks for the given view type are case
	    insensitive

2008-04-15 11:41  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/opensearch.php:
	  we now set the '$displayType' explicitly (based on the given response
	  format and view type); in case of Mobile view, we enforce the compact
	  Citation view

2008-04-15 11:36  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/header.inc.php,
	  /branches/bleeding-edge/query_manager.php,
	  /branches/bleeding-edge/search.php:
	  we now ensure that the checks for the given view type are case insensitive

2008-04-15 11:31  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/install.inc.php,
	  /branches/bleeding-edge/install.php:
	  removed the '$oldQuery' parameter from all function calls since the query
	  URL of the formerly displayed results page is now stored in a session
	  variable

2008-04-14 23:25  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/unapi.php:
	  added support for the new export formats "Atom XML", "OAI_DC XML" &
	  "SRW_DC XML"

2008-04-14 23:07  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/unapi.inc.php:
	  function 'unapiExplainResponse()': added 'atom', 'oai_dc' and 'srw_dc' to
	  the list of supported unAPI formats

2008-04-14 22:52  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/import.inc.php:
	  - function 'risToRefbase()': we now copy contents of the 'U2' field to the
	    user-specific 'user_notes' field
	  - functions 'risToRefbase()' & 'standardizeFieldData()': in case of
	    multiple 'UR' tags, we now extract any DOI (given as dx.doi.org URL) to
	    the 'doi' field, and copy the first of the remaining "non-DOI" URLs to
	    the 'url' field
	  - function 'standardizePersonNames()': adopted function call to function
	    'reArrangeAuthorContents()' to its new form

2008-04-14 17:07  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/import.php:
	  - removed the '$oldQuery' parameter from all function calls since the
	    query URL of the formerly displayed results page is now stored in a
	    session variable
	  - made some minor changes to the help text

2008-04-14 17:04  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/import_csa.php:
	  removed the '$oldQuery' parameter from all function calls since the query
	  URL of the formerly displayed results page is now stored in a session
	  variable

2008-04-14 17:02  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/export/export_srwxml.php:
	  - the number of found rows is now saved by 'search.php' to variable
	    '$rowsFound'
	  - made some minor text format changes to the error description

2008-04-14 17:00  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/export/bibutils/export_xml2word.php:
	  renamed the Bibutils 'xml2word' command line tool to 'xml2wordbib'
	  according to the name changes in Bibutils v3.40

2008-04-14 16:56  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/receipt.php:
	  - removed the '$oldQuery' parameter from code & function calls since the
	    query URL of the formerly displayed results page is now stored in a
	    session variable
	  - function 'buildSELECTclause()' is now used to build the SELECT clause
	  - we now extract the query URL of the last multi-record search result from
	    session variable 'oldMultiRecordQuery', and use function 'generateURL()'
	    to generate a 'search.php' URL that points to the formerly displayed
	    results page

2008-04-14 16:50  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/srwExplainResponse2html.xsl:
	  - added CSS attributes (id/class names) to HTML output where appropriate
	  - updated URL of CQL home page
	  - removed all links from the page footer that are also available in the
	    page header, and re-arranged remaining footer elements so that they fit
	    on a single line

2008-04-13 17:46  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/srwxml.inc.php:
	  - added support for the new 'SRW_DC' export format
	  - function 'srwExplainResponse()': feed URLs are now generated via
	    function 'generateURL()' and will output either RSS or Atom XML
	    depending on the setting of variable '$defaultFeedFormat' (in
	    'initialize/ini.inc.php')
	  - function 'srwExplainResponse()': added more indices & modified existing
	    ones
	  - function 'srwExplainResponse()': the default index is now
	    'cql.serverChoice'
	  - function 'srwDiagnostics()': moved code that maps SRU/W diagnostic
	    numbers to their corresponding messages into a new function
	    'mapSRWDiagnostics()' in 'webservice.inc.php' (SRU/W diagnostics are
	    used for both, SRU & OpenSearch)
	  - function 'srwDiagnostics()' now honours and outputs the given stylesheet
	  - some changes to whitespace and comments

2008-04-13 16:49  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/contrib/command_line/refbase:
	  - added support for the new export formats 'atom', 'oai_dc' and 'srw_dc'
	  - renamed the 'srw' format to 'srw_mods' (for backwards compatibility,
	    'search.php' will still recognize 'srw' and map it to 'srw_mods')
	  - added support for '--view=Mobile' and '--order=creation-date'

2008-04-12 19:08  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/modify.php:
	  - removed the '$oldQuery' parameter from code & function calls since the
	    query URL of the formerly displayed results page is now stored in a
	    session variable
	  - we now extract the query URL of the last multi-record search result from
	    the session variable 'oldMultiRecordQuery'; after an add/edit/delete
	    action, it will be included as a link ["Display previous search
	    results"] in the feedback header message if 'oldQuery' points to a
	    single record (together with other changes this obviates 'receipt.php')

2008-04-12 19:07  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/record.php:
	  - removed the '$oldQuery' parameter from code & function calls since the
	    query URL of the formerly displayed results page is now stored in a
	    session variable
	  - function 'buildSELECTclause()' is now used to build the SELECT clause

2008-04-12 18:32  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/user_receipt.php:
	  - improved verification of the 'userID' parameter
	  - we now check if the logged-in user is allowed to modify his account
	    details
	  - removed the '$oldQuery' parameter from all function calls since the
	    query URL of the formerly displayed results page is now stored in a
	    session variable
	  - added 'allow_list_view' to the list of supported user permissions

2008-04-12 18:24  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/contrib/skins/mediawiki-monobook/footer.inc.php,
	  /branches/bleeding-edge/contrib/skins/mediawiki-monobook/header.inc.php:
	  removed the '$oldQuery' parameter from code & function calls since the
	  query URL of the formerly displayed results page is now stored in a
	  session variable

2008-04-12 17:16  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/user_options_modify.php:
	  - removed the '$oldQuery' parameter from all function calls since the
	    query URL of the formerly displayed results page is now stored in a
	    session variable
	  - for anonymous users, avoid validating any of the disabled fields

2008-04-12 17:14  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/user_options.php:
	  - removed the '$oldQuery' parameter from all function calls since the
	    query URL of the formerly displayed results page is now stored in a
	    session variable
	  - improved verification of the 'userID' parameter
	  - we now check if the logged-in user is allowed to modify his account
	    details
	  - for anonymous users, we disable those options that'll be taken from
	    global variables in 'ini.inc.php' (i.e. display language, no. of records
	    per page & the "main fields" search option)
	  - added 'allow_list_view' to the list of available user permissions

2008-04-12 17:12  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/user_logout.php:
	  added support for the new session variables 'cqlQuery', 'oldQuery',
	  'oldMultiRecordQuery' and 'lastListViewQuery'

2008-04-12 17:11  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/user_details.php:
	  - removed the '$oldQuery' parameter from all function calls since the
	    query URL of the formerly displayed results page is now stored in a
	    session variable
	  - we now check if the logged-in user is allowed to modify his account
	    details

2008-04-11 13:43  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/rss.php:
	  - renamed "responseFormat" parameter to "recordSchema"
	  - we now attempt to sanitize the given WHERE clause from SQL injection
	    attacks
	  - function 'buildSELECTclause()' is now used to build the SELECT clause
	  - removed the '$oldQuery' parameter from all function calls since the
	    query URL of the formerly displayed results page is now stored in a
	    session variable

2008-04-11 13:00  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/index.php:
	  - feed URLs are now generated via function 'generateURL()' and will output
	    either RSS or Atom XML depending on the setting of variable
	    '$defaultFeedFormat' (in 'initialize/ini.inc.php')
	  - removed the '$oldQuery' parameter from all function calls since the
	    query URL of the formerly displayed results page is now stored in a
	    session variable
	  - we now only include a link to 'library_search.php' if variable
	    '$librarySearchPattern' (in 'initialize/ini.inc.php') isn't empty

2008-04-11 12:48  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/query_modify.php:
	  - renamed "citeStyleSelector" parameter to "citeStyle"
	  - removed the '$oldQuery' parameter from code & function calls since the
	    query URL of the formerly displayed results page is now stored in a
	    session variable

2008-04-11 12:36  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/query_manager.php:
	  - removed the '$oldQuery' parameter from code & function calls since the
	    query URL of the formerly displayed results page is now stored in a
	    session variable
	  - renamed "citeStyleSelector" parameter to "citeStyle"
	  - function 'buildSELECTclause()' is now used to build the default SELECT
	    clause

2008-04-11 10:25  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/duplicate_search.php:
	  - function 'buildSELECTclause()' is now used to build the default SELECT
	    clause
	  - by default, found records will now be displayed in the view that's
	    specified in variable '$defaultView' (in 'initialize/ini.inc.php')
	  - removed the '$oldQuery' parameter from all function calls since the
	    query URL of the formerly displayed results page is now stored in a
	    session variable
	  - changed HTTP transfer method of the query form from POST to GET

2008-04-11 10:02  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/error.php:
	  - removed the '$oldQuery' parameter from code & function calls since the
	    query URL of the formerly displayed results page is now stored in a
	    session variable
	  - we now use function 'generateURL()' to generate the 'search.php' URL
	    that points to the formerly displayed results page
	  - added CSS attributes (id/class names) to HTML output where appropriate
	  - some changes to whitespace and comments

2008-04-11 09:47  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/css/style.css:
	  made the appearance of the <hr> tags before & after the results list more
	  subtle

2008-04-10 23:03  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/duplicate_manager.php,
	  /branches/bleeding-edge/duplicate_modify.php,
	  /branches/bleeding-edge/queries.php,
	  /branches/bleeding-edge/user_login.php,
	  /branches/bleeding-edge/user_removal.php,
	  /branches/bleeding-edge/user_validation.php:
	  removed the '$oldQuery' parameter from all function calls since the query
	  URL of the formerly displayed results page is now stored in a session
	  variable

2008-04-10 22:34  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/extract.php:
	  - removed the '$oldQuery' parameter from all function calls since the
	    query URL of the formerly displayed results page is now stored in a
	    session variable
	  - added a title attribute to the "showRows" form entry field
	  - added new value "Mobile" to the "viewType" dropdown menu
	  - renamed "citeStyleSelector" parameter to "citeStyle"

2008-04-10 22:15  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/sql_search.php:
	  - renamed "citeStyleSelector" parameter to "citeStyle"
	  - removed the '$oldQuery' parameter from code & function calls since the
	    query URL of the formerly displayed results page is now stored in a
	    session variable
	  - function 'buildSELECTclause()' is now used to build the default SELECT
	    clause
	  - changed HTTP transfer method of the query form from POST to GET
	  - added a title attribute to the "showRows" form entry field
	  - added new value "Mobile" to the "viewType" dropdown menu

2008-04-10 21:46  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/advanced_search.php,
	  /branches/bleeding-edge/library_search.php,
	  /branches/bleeding-edge/simple_search.php:
	  - removed the '$oldQuery' parameter from all function calls since the
	    query URL of the formerly displayed results page is now stored in a
	    session variable
	  - changed HTTP transfer method of the query form from POST to GET
	  - added a title attribute to the "showRows" form entry field
	  - some changes to whitespace and comments

2008-04-10 18:07  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/styles/cite_MLA.php:
	  - adopted function call to function 'reArrangeAuthorContents()' to its new
	    form
	  - URLs are now URL encoded if necessary
	  - improved handling of the 'pages' & 'edition' fields
	  - edition, volume & series info is now included for book chapters & whole
	    books (and similar types)
	  - editor & online publication info now also gets included for whole books
	  - some more minor changes & fixes, as well as changes to whitespace and
	    comments

2008-04-10 18:03  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/styles/cite_APA.php:
	  - adopted function call to function 'reArrangeAuthorContents()' to its new
	    form
	  - URLs as well as the ampersand character are now URL encoded if necessary
	  - improved handling of the 'edition' field
	  - series info is now printed before the publication info
	    (thesis/place/publisher)
	  - editor & volume info as well as retrieved dates are now included for
	    whole books (and similar types)
	  - some changes to whitespace and comments

2008-04-10 17:54  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/styles/cite_AnnGlaciol_JGlaciol.php,
	  /branches/bleeding-edge/cite/styles/cite_DeepSeaRes.php,
	  /branches/bleeding-edge/cite/styles/cite_PolarBiol_MarBiol_MEPS.php:
	  - adopted function call to function 'reArrangeAuthorContents()' to its new
	    form
	  - some changes to whitespace and comments

2008-04-10 14:23  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/formats/cite_html.php:
	  - function 'citeRecords()': removed the '$oldQuery' parameter from code &
	    function parameter list since the query URL of the formerly displayed
	    results page is now stored in a session variable
	  - function 'citeRecords()' now requires the '$queryURL' parameter
	  - function 'citeRecords()': added more inline text markup patterns
	  - function 'citeRecords()': added support for 'viewType=Mobile' which uses
	    divs + CSS styling (i.e. no table-based layout, other views should
	    follow suit)
	  - function 'citeRecords()': we now honour variable
	    '$displayResultsFooterDefault' (in 'initialize/ini.inc.php') that
	    defines the default display state of the results footer
	    (open/closed/hidden)
	  - function 'citeRecords()': added CSS attributes (id/class names) to HTML
	    output where appropriate
	  - function 'citeRecords()': if the results footer is not hidden we now
	    include a checkbox column with original/duplicate indicators and unAPI
	    tags
	  - some changes to whitespace and comments

2008-04-10 13:18  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/formats/cite_ascii.php,
	  /branches/bleeding-edge/cite/formats/cite_latex.php,
	  /branches/bleeding-edge/cite/formats/cite_latex_bbl.php,
	  /branches/bleeding-edge/cite/formats/cite_markdown.php,
	  /branches/bleeding-edge/cite/formats/cite_pdf.php,
	  /branches/bleeding-edge/cite/formats/cite_rtf.php:
	  - function 'citeRecords()': removed the '$oldQuery' parameter from
	    function parameter list since the query URL of the formerly displayed
	    results page is now stored in a session variable
	  - function 'citeRecords()' now requires the '$queryURL' parameter
	  - function 'citeRecords()': added more inline text markup patterns
	  - some changes to whitespace and comments

2008-04-10 12:40  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/css/style_mobile.css:
	  initial checkin (CSS stylesheet to be used for mobile view)

2008-04-10 12:38  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/css/style.css,
	  /branches/bleeding-edge/css/style_print.css:
	  - reformatted all existing CSS definitions
	  - added new CSS definitions that match the newly added CSS attributes
	    (id/class names) in the refbase HTML output

2008-04-09 17:31  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/show.php:
	  - added support for List view ('displayType=List')
	  - added initial support for 'Mobile' view (intended for mobile devices)
	  - we now accept 'showRows=0' to support 'opensearch.php?maximumRecords=0'
	  - we now extract (and pass thru) any stylesheet information that has been
	    specified for XML export formats in the 'exportStylesheet' parameter
	  - the 'records' parameter now supports consecutive serial number ranges
	    (such as in 'show.php?records=123-131' or
	    'show.php?records=123-141,145,147,150-152')
	  - by default, found records will now be displayed in the view that's
	    specified in variable '$defaultView' (in 'initialize/ini.inc.php')
	  - removed the '$oldQuery' parameter from all function calls since the
	    query URL of the formerly displayed results page is now stored in a
	    session variable
	  - changed HTTP transfer method of the 'show.php' HTML form from POST to
	    GET
	  - function 'buildSELECTclause()' is now used to build the SELECT clause
	  - values of the 'displayType' parameter can now be case insensitive
	  - added support for 'citeOrder=creation-date' which sorts records such
	    that newly added/edited records get listed top of the list
	  - renamed 'search.php' parameters 'citeStyleSelector' and
	    'exportFormatSelector' to 'citeStyle' and 'exportFormat', respectively
	  - we now use function 'generateURL()' to generate the final 'search.php'
	    URL
	  - some changes to whitespace and comments

2008-04-09 16:20  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/modsxml.inc.php:
	  - function 'modsRecord()': date/time formatting is now handled by function
	    'generateRFC2822TimeStamp()'
	  - some changes to comments

2008-04-09 16:06  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/execute.inc.php:
	  function 'readFromFile()' now attempts to detect Mac (CR) EOL conventions

2008-04-09 15:44  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/results_header.inc.php:
	  - function 'displayResultsHeader()': adjusted table column widths; future
	    versions should use divs & CSS styling (instead of a table-based layout)
	  - function 'displayResultsHeader()': added CSS attributes (id/class names)
	    to HTML output where appropriate

2008-04-09 15:34  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/locales/de/common.inc,
	  /branches/bleeding-edge/locales/de/common_utf8.inc,
	  /branches/bleeding-edge/locales/en/common.inc,
	  /branches/bleeding-edge/locales/en/common_utf8.inc,
	  /branches/bleeding-edge/locales/fr/common.inc,
	  /branches/bleeding-edge/locales/fr/common_utf8.inc:
	  added new locales to support OpenSearch, the new Mobile & List view
	  functionality as well as other newly added strings

2008-04-08 12:56  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/header.inc.php:
	  - function 'displayHTMLhead()': Keywords in the HTML <head> are now taken
	    from variable '$databaseKeywords' (in 'initialize/ini.inc.php')
	  - function 'displayHTMLhead()': added initial support for 'Mobile' view
	  - function 'displayHTMLhead()': added support for Atom XML as default feed
	    format
	  - function 'displayHTMLhead()': we now include an autodiscovery link to
	    the OpenSearch description document
	  - function 'displayHTMLhead()': modified JavaScript function 'checkall()'
	    so that it auto-selects the appropriate radio button in the results
	    footer when one of the "(De-)Select All" links is clicked
	  - function 'displayHTMLhead()': added new JavaScript function
	    'toggleVisibility()' which toggles the visisbility of the given HTML
	    element (replacing its contents with the given placeholder text); it is
	    used to display/hide the results footer
	  - function 'displayHTMLhead()': added new JavaScript function
	    'toggleRadio()' which toggles the "checked" attribute of the two given
	    radio buttons
	  - function 'showPageHeader()': removed the '$oldQuery' parameter from code
	    & function parameter list since the query URL of the formerly displayed
	    results page is now stored in a session variable
	  - function 'showPageHeader()': added CSS attributes (id/class names) to
	    HTML output where appropriate
	  - some changes to whitespace and comments

2008-04-07 07:32  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/footer.inc.php:
	  - removed the '$oldQuery' parameter from the 'showPageFooter()' function
	    call since the query URL of the formerly displayed results page is now
	    stored in a session variable
	  - function 'showPageFooter()': added CSS attributes (id/class names) to
	    HTML output where appropriate
	  - function 'showPageFooter()': removed all links from the page footer that
	    are also available in the page header, and re-arranged remaining footer
	    elements so that they fit on a single line
	  - function 'showPageFooter()': we now only include a link to
	    'library_search.php' if variable '$librarySearchPattern' (in
	    'initialize/ini.inc.php') isn't empty

2008-04-06 22:33  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/search.php:
	  - we now include files 'includes/atomxml.inc.php',
	    'includes/oaidcxml.inc.php' and 'includes/opensearch.inc.php' which
	    contain functions that deal with Atom XML, OAI_DC XML and the OpenSearch
	    response
	  - by default, found records will now be displayed in the view that's
	    specified in variable '$defaultView' (in 'initialize/ini.inc.php')
	  - added support for the new 'allow_list_view' permission setting
	  - added support for the new OpenSearch gateway ('opensearch.php')
	  - renamed parameters 'citeStyleSelector' and 'exportFormatSelector' to
	    'citeStyle' and 'exportFormat', respectively
	  - we now attempt to standardize XML export format names
	  - the query URL of the formerly displayed results page is now stored in a
	    session variable (previously, it was stored in the '$oldQuery' variable)
	  - removed code that kept the selection state of records across different
	    pages/logins (which got never fully implemented & which should be
	    re-thought)
	  - fixed incorrect attempt to verify the SQL query even if it was empty
	  - removed the '$oldQuery' parameter from all code, functions & function
	    calls
	  - function 'findDuplicates()' now requires '$originalDisplayType' as input
	    parameter, and all query-generating functions now require variables
	    '$showLinks' and '$userID'
	  - function 'extractFormElementsQuick()' now requires 'displayType' as
	    input parameter, and functions 'findDuplicates()' &
	    'extractFormElementsGroup()' now also re-assign/return the
	    '$displayType' variable
	  - adopted code so that 'search.php' can cite/group/export ALL found
	    records (instead of only the selected records)
	  - the query URL of the last multi-record search result is now stored in a
	    separate session variable ('oldMultiRecordQuery'); after an
	    add/edit/delete action, it will be included as a link ["Display previous
	    search results"] in the feedback header message if 'oldQuery' points to
	    a single record (together with other changes this obviates
	    'receipt.php')
	  - query feed URLs are now generated via function 'generateURL()' and will
	    output either RSS or Atom XML depending on the setting of variable
	    '$defaultFeedFormat' (in 'initialize/ini.inc.php')
	  - reformatted link-generating code to increase readability
	  - added initial support for 'Mobile' view (intended for mobile devices)
	  - function 'displayColumns()' now saves the current List view query to a
	    session variable ('lastListViewQuery') which is needed to build the List
	    view link in function 'buildBrowseLinks()' (in
	    'includes/include.inc.php')
	  - function 'displayColumns()' now uses the default list of dropdown fields
	    as specified in the appropriate variables in 'initialize/ini.inc.php'
	  - added CSS attributes (id/class names) to HTML output where appropriate
	  - we now honour the value of variable '$maximumBrowseLinks' (in
	    'initialize/ini.inc.php') that defines the max. no. of results pages per
	    page
	  - changed HTTP transfer method in all form-generating functions from POST
	    to GET
	  - we now honour the setting of variable '$displayResultsFooterDefault' (in
	    'initialize/ini.inc.php') that defines the default display state of the
	    results footer (open/closed/hidden) for each of the supported display
	    types
	  - functions 'displayColumns()', 'displayDetails()' & 'findDuplicates()'
	    now use function 'getMySQLFieldInfo()' to fetch column names
	  - wherever possible, function 'buildSELECTclause()' is now used to build
	    the SELECT clause
	  - function 'generateExport()': added support for "Atom XML" & "OAI_DC XML"
	  - function 'citeRecords()' now requires the '$queryURL' parameter
	  - function 'buildResultsFooter()' now uses divs & CSS styling (instead of
	    a table-based layout); the results header should be re-built accordingly
	  - function 'findDuplicates()' now uses functions 'newSELECTclause()' and
	    'newORDERclause()' to replace the existing SELECT/ORDER BY clause
	  - function 'extractFormElementsQuick()' now honours the default List view
	    fields as specified in the appropriate variables in
	    'initialize/ini.inc.php'
	  - function 'extractFormElementsGroup()' now uses function
	    'extractORDERBYclause()' to extract the custom ORDER BY clause chosen by
	    the user
	  - added new function 'addToSelectClause()' which adds given columns to the
	    List View SELECT clause if they were marked in the search form interface
	  - function 'printLinks()' now uses a 'show.php' URL for the "show details"
	    link since it is much shorter and easier to bookmark as a permanent link
	  - some changes to whitespace and comments

2008-04-05 19:13  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/include.inc.php:
	  - removed the '$oldQuery' parameter from all functions and function calls
	    since the query URL of the formerly displayed results page is now stored
	    in a session variable
	  - added new function 'getMySQLFieldInfo()' which fetches column
	    information from a given MySQL result resource
	  - renamed "citeStyleSelector" parameter to "citeStyle" (in all functions)
	  - function 'addRecords()': improved handling of 'call_number' field
	  - function 'addRecords()' can now import data into user-specific fields
	  - function 'generateCalculationFieldContent()': adopted function call to
	    function 'reArrangeAuthorContents()' to its new form
	  - moved code that maps MySQL field names to their localized names from
	    function 'buildFieldNameLinks()' into a new function 'mapFieldNames()'
	  - function 'buildFieldNameLinks()' now uses function
	    'getMySQLFieldInfo()', and link-generating code was reformatted to
	    increase readability
	  - added new function 'buildSELECTclause()' which builds a SELECT clause
	    that's suitable for the given display type
	  - function 'newORDERclause()': URL encoding is now optional
	  - added new function 'newSELECTclause()' which replaces an existing SELECT
	    clause with a new one
	  - function 'buildBrowseLinks()': added support for 'viewType=Mobile' which
	    uses divs + CSS styling (i.e. no table-based layout, other views should
	    follow suit)
	  - function 'buildBrowseLinks()': (De-)Select links are now only included
	    if the results footer is not hidden, and we now generate links to all
	    display types (List view, Citation view, Details view) that are
	    permitted for the user
	  - wherever possible, function 'buildSELECTclause()' is now used to build
	    the SELECT clause
	  - removed function 'reactivateOldQuery()' which is not needed anymore
	  - changed HTTP transfer method in all form-generating functions from POST
	    to GET (similarly, changed '$_POST' to '$_REQUEST' in all form-parsing
	    functions)
	  - added CSS attributes (id/class names) to HTML output where appropriate
	  - adopted parameter list and code in functions
	    'buildRefineSearchElements()' & 'buildDisplayOptionsElements()' since
	    dropdown fields are now passed as a whole
	  - adopted parameter list and code in function 'reArrangeAuthorContents()'
	    so that the number of authors that's included in the citation can differ
	    from the number of authors that triggers the "et al." string (which is
	    appended to the author list); e.g. AMA requires "et al." to be appended
	    if there are more than 6 authors, but only the first 3 authors should to
	    be included in the citation
	  - function 'getPermissions()': added support for the 'allow_list_view'
	    setting, and we now make use of function 'getMySQLFieldInfo()'
	  - function 'changeCase()' now supports conversion to "heading" case
	  - function 'setSystemLocale()' now allows to set the char set explicitly
	  - function 'generateUNIXTimeStamp()' now returns the current date/time if
	    no specific date/time was given; also the date/time format returned is
	    now the integer product given by 'mktime()' (and not a formatted
	    date/time string)
	  - added new functions 'generateISO8601TimeStamp()' &
	    'generateRFC2822TimeStamp()' which now handle date/time formatting
	    (according to ISO-8601 & RFC-2822)
	  - added new functions 'extractSELECTclause()' & 'extractORDERBYclause()'
	    which extract the SELECT/ORDER BY clause from an SQL query
	  - renamed function 'extractWhereClause()' to 'extractWHEREclause()' and
	    improved its regex pattern
	  - replaced function 'generateRSSURL()' with the more generic
	    'generateURL()' function that can generate an URL to 'opensearch.php',
	    'rss.php', 'search.php', 'show.php' and 'sru.php'
	  - function 'generateRSS()': added more inline text markup patterns, and
	    the date/time formatting is now handled by function
	    'generateRFC2822TimeStamp()'
	  - some changes to whitespace and comments

2008-04-04 17:49  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/update.php:
	  - removed the '$oldQuery' parameter from all function calls since the
	    query URL of the formerly displayed results page is now stored in a
	    session variable
	  - tables 'deleted' and 'refs': changed type of the 'edition' field to
	    VARCHAR, added "Honours thesis" as ENUM value to the 'thesis' field, and
	    added a new 'version' field
	  - table 'user_permissions': added new permission setting 'allow_list_view'
	  - tables 'styles' and 'formats': changed all values of the 'order_by'
	    field (and re-ordered UPDATE queries accordingly)
	  - table 'styles': added 'AMA' and 'Chicago' citation styles
	  - table 'formats': renamed export formats 'OpenSearch RSS' and 'SRW XML'
	    to 'Atom XML' and 'SRW_MODS XML', respectively
	  - table 'formats': added 'OAI_DC XML' & 'SRW_DC XML' export formats
	  - table 'user_formats': the existing export formats 'BibTeX', 'Endnote' &
	    'RIS' are now enabled by default for anonymous users
	  - some changes to whitespace and comments

2008-04-04 17:46  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/update.sql:
	  - tables 'deleted' and 'refs': changed type of the 'edition' field to
	    VARCHAR, added "Honours thesis" as ENUM value to the 'thesis' field, and
	    added a new 'version' field
	  - tables 'styles' and 'formats': changed all values of the 'order_by'
	    field
	  - table 'formats': renamed export formats 'OpenSearch RSS' and 'SRW XML'
	    to 'Atom XML' and 'SRW_MODS XML', respectively
	  - table 'formats': added 'OAI_DC XML' & 'SRW_DC XML' export formats
	  - table 'styles': added 'AMA' and 'Chicago' citation styles
	  - table 'user_permissions': added new permission setting 'allow_list_view'

2008-04-04 15:56  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/webservice.inc.php:
	  - function 'parseCQL()': if no context set/index name and relation was
	    given we'll now use 'cql.serverChoice any ...' by default
	  - function 'parseCQL()': if the given CQL query was empty we'll now return
	    all records
	  - added new function 'addMetaElement()' which adds given metadata to the
	    given object (used to output Dublin Core & PRISM elements in Atom &
	    OAI_DC XML)
	  - added new function 'getPersons()' which splits a string of person names
	    (authors/editors) into an array of individual persons
	  - function 'mapCQLIndexes()': mapped more CQL indexes to refbase fields
	  - moved code (from function 'srwDiagnostics()' in 'srwxml.inc.php') that
	    maps SRU/W diagnostic numbers to their corresponding messages into a new
	    function 'mapSRWDiagnostics()' (SRU/W diagnostics are used for both, SRU
	    & OpenSearch)
	  - added new function 'mapDCTypes()' which maps refbase types to the
	    corresponding eprint/resource types suggested for Simple Dublin Core
	  - some changes to whitespace and comments

2008-04-04 11:53  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/initialize/ini.inc.php:
	  - added variable '$mobileStyleSheet' which specifies the path to the CSS
	    stylesheet that will be used for mobile view (intended for mobile
	    devices)
	  - variable '$defaultUserPermissions': added permission setting
	    'allow_list_view' which controls whether a user is allowed to display
	    records in list view
	  - added new export format "Atom XML" to variable
	    '$defaultUserExportFormats'
	  - added new citation styles "AMA" and "Chicago" to variable
	    '$defaultUserStyles'
	  - added new variables '$defaultFieldsListViewMajor' &
	    '$defaultFieldsListViewMinor' which define the list of fields that will
	    be displayed by default in List view
	  - added new variables '$defaultDropDownFieldsEveryone' &
	    '$defaultDropDownFieldsLogin' which define the default list of fields
	    that will be available in dropdown menus of the results header
	  - added new variable '$allowAnonymousGUIExport' which controls whether
	    export of data should be allowed via the refbase GUI for anyone who
	    isn't logged in
	  - added new variable '$defaultFeedFormat' which specifies whether RSS XML
	    or Atom XML will be offered as default feed format
	  - added new variable '$defaultView' which defines the default view that is
	    displayed for found results; this allows to generally display records
	    in, say, Citation view (instead of List view)
	  - added new variables '$displayResultsHeaderDefault' &
	    '$displayResultsFooterDefault' which specify whether the results header
	    & footer should be displayed open or closed by default, or whether they
	    should be entirely hidden from the interface
	  - variable '$showLinkTypesInCitationView': we now include the full set of
	    links in Citation view since it's now possible to use this view as the
	    main view
	  - some changes to whitespace and comments

2008-04-04 08:58  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/img/closed.gif:
	  initial checkin (small "closed" triangle widget for show/hide toggle
	  mechanisms)

2008-04-04 08:58  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/img/open.gif:
	  initial checkin (small "open" triangle widget for show/hide toggle
	  mechanisms)

2008-04-04 08:58  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/img/logo_small.png:
	  initial checkin (small version of new refbase logo)

2008-04-04 08:57  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/img/favicon.ico:
	  initial checkin (favicon of new refbase logo)

2008-04-04 08:14  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/export/export_oaidcxml.php:
	  initial checkin (export format file for export to OAI_DC XML)

2008-04-04 08:12  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/export/export_atomxml.php:
	  initial checkin (export format file for export to OpenSearch Atom XML)

2008-04-04 07:45  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/styles/cite_Chicago.php:
	  initial checkin (citation style for use with Chicago/Turabian-based
	  citations)

2008-04-04 07:40  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/styles/cite_AMA.php:
	  initial checkin (citation style used by the American Medical Association
	  (AMA))

2008-04-04 07:07  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/opensearch.inc.php:
	  initial checkin (common OpenSearch functions)

2008-04-04 07:04  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/oaidcxml.inc.php:
	  initial checkin (common OAI_DC XML functions)

2008-04-04 07:03  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/atomxml.inc.php:
	  initial checkin (common OpenSearch Atom XML functions)

2008-04-04 07:01  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/opensearch.php:
	  initial checkin (OpenSearch gateway)

2008-03-04 22:51  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/openurl.inc.php:
	  - function 'openURL()' now allows to pass a custom openURL resolver
	  - function 'coins()': for patents, 'rft_val_fmt' is now set to "patent"
	  - function 'contextObject()': fixed typo where refbase type "Book Whole"
	    was incorrectly referred to as "Book"
	  - function 'contextObject()': added appropriate genre values for refbase
	    types "Conference Article", "Conference Volume", "Manuscript", and
	    "Report"

2008-02-21 22:59  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/import.inc.php:
	  - conversion of upper case to title case is now handled by function
	    'changeCase()' in 'include.inc.php'
	  - function 'crossrefToRefbase()': added code to prefer an ISSN tag with
	    attribute 'media_type="print"' (if available)
	  - function 'crossrefToRefbase()': field data are now standardized, i.e. we
	    now use function 'standardizeFieldData()' to perform case
	    transformation, normalize page ranges, and reformat person names
	    according to preference, etc
	  - added new function 'standardizeFieldData()': moved code that
	    standardizes field data from function 'parseRecords()' into a new
	    function 'standardizeFieldData()', and added code for case
	    transformation as well as standardization of ISSN numbers
	  - function 'identifySourceFormat()': renamed "CrossRef" import format to
	    "CrossRef XML"
	  - some changes to whitespace & comments

2008-02-21 22:23  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/include.inc.php:
	  function 'changeCase()' can now transform a given string to title case

2008-02-21 22:08  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/install.sql,
	  /branches/bleeding-edge/install_utf8.sql,
	  /branches/bleeding-edge/update.sql:
	  table 'formats': added 'CrossRef XML' import format

2008-02-21 21:55  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/update.php:
	  adopted format name & order_by value for CrossRef import format

2008-02-16 02:48  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/contrib/mediawiki/README,
	  /branches/bleeding-edge/contrib/mediawiki/refbase.php,
	  /branches/bleeding-edge/import/import_crossref2refbase.php:
	  Modify SVN properties (keywords,mime,eol)

2008-02-16 02:16  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/INSTALL,
	  /branches/bleeding-edge/contrib/mediawiki,
	  /branches/bleeding-edge/contrib/mediawiki/README,
	  /branches/bleeding-edge/contrib/mediawiki/refbase.php,
	  /branches/bleeding-edge/contrib/skins/mediawiki-monobook/README:
	  Add MediaWiki citation, which exports refbase data as a Wikipedia-style
	  citation template.

2008-02-16 00:58  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/import/import_crossref2refbase.php,
	  /branches/bleeding-edge/includes/import.inc.php,
	  /branches/bleeding-edge/update.php:
	  Add the CrossRef 'unixref XML' import format. This works from the
	  'import.php' sheet with the following limitations:
	  - install.sql and update.sql should be modified & update.php should be
	    edited if the order_by should be something else
	  - Currently assumes that it can only import a single journal article &
	    that this will always be successful
	  - No validation or reformatting is done on any of the fields
	  - We may miss some information that CrossRef might be emitting (there
	    seems to be poor documentation at the moment)

2008-02-15 01:40  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/includes/classes/org/active-link/xml/Tag.php:
	  Some distributions of php do not have ctype_alpha, which is required for
	  the active-link parser to work. If we encounter such a distribution, we'll
	  just replace that function with one that checks for a unicode character in
	  a string.

2008-01-29 13:25  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/initialize/ini.inc.php:
	  - moved variable '$databaseBaseURL' further down since it's set
	    automatically by default and most users won't need to fiddle with it
	  - added new variable '$databaseKeywords' which sets the keywords/tags
	    that'll be included in HTML pages & the OpenSearch description document
	  - moved variables '$defaultLanguage' and '$defaultNumberOfRecords' higher
	    up to increase their visibility
	  - added new variables that let you specify a small logo image as well as a
	    favicon image (which are required for OpenSearch)
	  - added new variable '$maximumBrowseLinks' that specifies the maximum
	    number of links to found results pages that are displayed per page
	  - removed the refbase account data in variable '$openURLResolver' (which
	    no longer works with the CrossRef resolver) and adopted the accompanying
	    comments accordingly

2007-11-07 08:04  Matthias Steffens <refbase@extracts.de>

	* /trunk/advanced_search.php, /trunk/cite/formats/cite_ascii.php,
	  /trunk/cite/formats/cite_html.php,
	  /trunk/cite/formats/cite_latex.php,
	  /trunk/cite/formats/cite_latex_bbl.php,
	  /trunk/cite/formats/cite_markdown.php,
	  /trunk/cite/formats/cite_pdf.php,
	  /trunk/cite/formats/cite_rtf.php,
	  /trunk/cite/styles/cite_APA.php,
	  /trunk/cite/styles/cite_AnnGlaciol_JGlaciol.php,
	  /trunk/cite/styles/cite_DeepSeaRes.php,
	  /trunk/cite/styles/cite_MLA.php,
	  /trunk/cite/styles/cite_PolarBiol_MarBiol_MEPS.php,
	  /trunk/contrib/command_line/README,
	  /trunk/contrib/command_line/refbase,
	  /trunk/contrib/import_templates/import_template_base.php,
	  /trunk/contrib/skins/README, /trunk/duplicate_manager.php,
	  /trunk/duplicate_modify.php, /trunk/duplicate_search.php,
	  /trunk/img/logo.gif, /trunk/img/logo.jpg, /trunk/img/logo.png,
	  /trunk/img/refbase_credit.gif, /trunk/import.php,
	  /trunk/import/bibutils/import_endx2refbase.php,
	  /trunk/import_csa_modify.php, /trunk/import_modify.php,
	  /trunk/includes/cite.inc.php, /trunk/includes/execute.inc.php,
	  /trunk/includes/footer.inc.php, /trunk/includes/header.inc.php,
	  /trunk/includes/import.inc.php, /trunk/includes/include.inc.php,
	  /trunk/includes/install.inc.php, /trunk/includes/modsxml.inc.php,
	  /trunk/includes/odfxml.inc.php, /trunk/includes/srwxml.inc.php,
	  /trunk/includes/transtab_endnotexml_refbase.inc.php,
	  /trunk/includes/transtab_refbase_latex.inc.php,
	  /trunk/includes/transtab_refbase_rtf.inc.php,
	  /trunk/includes/webservice.inc.php, /trunk/index.php,
	  /trunk/initialize/ini.inc.php, /trunk/install.sql,
	  /trunk/install_utf8.sql, /trunk/library_search.php,
	  /trunk/locales/de/common.inc, /trunk/locales/de/common_utf8.inc,
	  /trunk/locales/en/common.inc, /trunk/locales/en/common_utf8.inc,
	  /trunk/locales/fr/common.inc, /trunk/locales/fr/common_utf8.inc,
	  /trunk/modify.php, /trunk/queries.php, /trunk/query_manager.php,
	  /trunk/query_modify.php, /trunk/receipt.php, /trunk/record.php,
	  /trunk/rss.php, /trunk/search.php, /trunk/show.php,
	  /trunk/simple_search.php, /trunk/sql_search.php, /trunk/sru.php,
	  /trunk/srwExplainResponse2html.xsl, /trunk/srwmods2html.xsl,
	  /trunk/update.php, /trunk/update.sql, /trunk/user_login.php,
	  /trunk/user_logout.php, /trunk/user_options.php,
	  /trunk/user_options_modify.php, /trunk/user_receipt.php,
	  /trunk/user_validation.php, /trunk/users.php:
	  merged bleeding-edge branch changes r1008 into the trunk

2007-09-27 17:30  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/contrib/command_line/README,
	  /branches/bleeding-edge/contrib/skins/README:
	  just some minor fixes/changes/additions

2007-09-27 15:34  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/contrib/command_line/refbase:
	  - standardized file header: unified layout and added SVN keywords
	  - added 'demo.refbase.net' and 'www.refbase.org' to the list of known
	    hosts
	  - added options '-A|--append' and '-B|--update' (as well as subroutines
	    'append' and 'update') which let you append found records to an offline
	    BibTeX or MODS/SRW XML file (if they don't yet exist in that file), and
	    update existing records in that file if their modification date on the
	    server is more recent
	  - for '-A|--append' mode, records of the target file can now be sorted by
	    cite key after any records have been appended and/or updated
	  - by default, a backup file is now created before adding or changing
	    anything in '-A|--append' mode
	  - added '-E|--extract' option which extracts citation IDs from a file and
	    retrieves matching records from refbase (supported file types: .aux,
	    .bbl, .bib, .enw, .ris, .tex, and (MODS|SRW|Endnote) .xml)
	  - added support for the 'LaTeX .bbl' cite format as well as for the 'ISI'
	    and 'Word XML' export formats
	  - all HTTP requests to the refbase database are now sent as POST requests;
	    this is done to retain large param/value strings (that would exceed the
	    maximum string limit for GET requests)
	  - renamed some variables to avoid conflicts and moved some code
	  - added subroutine 'splitRecs' which splits the source text into an array
	    of separate records
	  - added subroutine 'parseRecs' which takes an array of records and
	    extracts & parses all records containing a refbase serial number & UNIX
	    time stamp
	  - added subroutine 'sortRecs' which sorts an array of records by cite key
	  - added subroutine 'uniquify' which removes duplicate items from an array
	  - subroutine 'usage': the defined host shortcuts are now sorted before
	    output
	  - subroutine 'examples': added examples for '-A|--append', '-B|--update'
	    and '-E|--extract'
	  - some changes to whitespace and comments

2007-09-27 15:29  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/user_receipt.php:
	  - user permissions are now printed in a separate column to the right of
	    the display options
	  - for consistency reasons, the icons 'edit.gif', 'delete.gif' and
	    'options.gif' are now used as links for the respective pages/actions
	  - some changes to whitespace

2007-09-27 15:27  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/user_logout.php,
	  /branches/bleeding-edge/user_options_modify.php,
	  /branches/bleeding-edge/user_validation.php:
	  - we now honour the new user-specific settings for records per page and
	    the list of main fields
	  - some changes to whitespace and comments

2007-09-27 15:26  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/user_options.php:
	  - added new options to specify the number of records per page and the list
	    of fields that will be searched by the "main fields" search option
	  - added HTML anchor tags for the headings of each options section
	  - some changes to whitespace and comments

2007-09-27 15:24  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/user_login.php:
	  - besides POST requests, login requests are now also accepted via GET
	  - we now honour the new user-specific settings for records per page and
	    the list of main fields
	  - some changes to whitespace and comments

2007-09-27 15:22  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/update.php,
	  /branches/bleeding-edge/update.sql:
	  - table 'formats': added 'LaTeX .bbl' cite format and 'Text
	    (Tab-Delimited)' import format
	  - table 'refs': if the 'thesis' field is empty, we now set it back to
	    NULL; this ensures correct sorting when outputting citations with
	    'citeOrder=type' or 'citeOrder=type-year'
	  - table 'refs': added update actions that rename resource types and remove
	    any 'Unsupported' labels for the newly supported resource types
	  - table 'types': updated existing resource types and added new types:
	    Abstract, Magazine Article
	  - table 'user_options': added options 'records_per_page' and 'main_fields'
	    to support new user-specific settings

2007-09-27 15:16  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/srwExplainResponse2html.xsl:
	  adopted the logo URL path & dimensions to the new refbase logo

2007-09-27 15:15  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/show.php:
	  - we now honour the new user-specific setting for records per page
	  - the 'citeType' parameter now supports the 'LaTeX .bbl' citation format
	  - we now save request data to a session variable if the original request
	    received by 'show.php' was sent as a POST (as is the case for the
	    refbase command line client, v1.2 or greater); this allows to retain
	    large param/ value strings that would exceed the maximum string limit
	    for GET requests
	  - some changes to whitespace and comments

2007-09-27 15:12  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/search.php:
	  - we now read out POST data that were saved as a session variable
	  - we now honour the new user-specific setting for records per page
	  - added support for the 'LaTeX .bbl' citation format
	  - function 'buildResultsFooter()': improved regex pattern that selects the
	    user's previously chosen cite style in the style drop-down menu
	  - function 'extractFormElementsQuick()': added support for the new "main
	    fields" search option
	  - some changes to whitespace and comments

2007-09-27 15:08  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/modify.php:
	  - if the 'thesis' field is empty, we now set it back to NULL; this ensures
	    correct sorting when outputting citations with 'citeOrder=type' or
	    'citeOrder=type-year'
	  - some changes to whitespace

2007-09-27 15:04  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/locales/de/common.inc,
	  /branches/bleeding-edge/locales/de/common_utf8.inc,
	  /branches/bleeding-edge/locales/en/common.inc,
	  /branches/bleeding-edge/locales/en/common_utf8.inc,
	  /branches/bleeding-edge/locales/fr/common.inc,
	  /branches/bleeding-edge/locales/fr/common_utf8.inc:
	  - added new locales to support new resource types (Abstract, Magazine
	    Article) as well as the new "main fields" search option
	  - renamed locale 'DropDownFieldName_AbbrevSeries_title' to
	    'DropDownFieldName_AbbrevSeriesTitle'

2007-09-27 14:58  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/install.sql,
	  /branches/bleeding-edge/install_utf8.sql:
	  - table 'formats': added 'LaTeX .bbl' cite format and 'Text
	    (Tab-Delimited)' import format
	  - table 'types': updated existing resource types and added new types:
	    Abstract, Magazine Article
	  - updated tables 'user_formats' and 'user_types' to account for newly
	    added cite/import formats and resource types
	  - table 'user_options': added options 'records_per_page' and 'main_fields'
	    to support new user-specific settings

2007-09-27 14:55  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/styles/cite_APA.php,
	  /branches/bleeding-edge/cite/styles/cite_AnnGlaciol_JGlaciol.php,
	  /branches/bleeding-edge/cite/styles/cite_DeepSeaRes.php,
	  /branches/bleeding-edge/cite/styles/cite_MLA.php,
	  /branches/bleeding-edge/cite/styles/cite_PolarBiol_MarBiol_MEPS.php:
	  function 'citeRecord()': added support for more resource types: Abstract,
	  Magazine Article; magazine articles will be formatted similar to journal
	  articles while abstracts will be formatted like book chapters

2007-09-27 14:53  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/formats/cite_ascii.php,
	  /branches/bleeding-edge/cite/formats/cite_html.php,
	  /branches/bleeding-edge/cite/formats/cite_latex.php,
	  /branches/bleeding-edge/cite/formats/cite_markdown.php,
	  /branches/bleeding-edge/cite/formats/cite_pdf.php,
	  /branches/bleeding-edge/cite/formats/cite_rtf.php:
	  function 'citeRecords()': added "newline" to the list of supported markup
	  patterns

2007-09-27 14:47  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/advanced_search.php,
	  /branches/bleeding-edge/duplicate_search.php,
	  /branches/bleeding-edge/library_search.php,
	  /branches/bleeding-edge/query_manager.php,
	  /branches/bleeding-edge/query_modify.php,
	  /branches/bleeding-edge/rss.php,
	  /branches/bleeding-edge/simple_search.php,
	  /branches/bleeding-edge/sql_search.php,
	  /branches/bleeding-edge/sru.php,
	  /branches/bleeding-edge/users.php:
	  - we now honour the new user-specific setting for records per page
	  - some changes to whitespace

2007-09-27 14:11  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/import/bibutils/import_endx2refbase.php:
	  we now convert Endnote XML text style markup (such as italic or bold
	  fontshapes as well as super- and subscript) into proper refbase markup

2007-09-27 14:09  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/import.php:
	  - when importing multiple records, ALL records are now imported by default
	  - some changes to whitespace

2007-09-27 14:06  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/index.php:
	  - we now honour the new user-specific settings for records per page and
	    the list of main fields
	  - renamed function call 'getNumberOfRecords()' to its new name
	    'getTotalNumberOfRecords()'
	  - adopted dimensions of the 'refbase_credit.gif' logo to its new version
	  - some changes to whitespace

2007-09-27 14:04  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/webservice.inc.php:
	  - moved function 'appendToWhereClause()' to file 'include.inc.php'
	  - some changes to whitespace

2007-09-27 14:02  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/transtab_refbase_latex.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_rtf.inc.php:
	  escaping of curly brackets is now done first so that the conversion is
	  only applied to field contents and doesn't mess with the generated
	  LaTeX/RTF code

2007-09-27 13:59  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/srwxml.inc.php:
	  - renamed function call 'getNumberOfRecords()' to its new name
	    'getTotalNumberOfRecords()'
	  - we now honour the new user-specific setting for records per page
	  - the logo URL path is now taken from variable '$logoImageURL' in
	    'ini.inc.php'

2007-09-27 13:57  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/odfxml.inc.php:
	  function 'initializeArrays()': added/changed mapping of newly added
	  resource types (this may need some further fine-tuning)

2007-09-27 13:54  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/modsxml.inc.php:
	  - resource type names must match exactly, otherwise the defaults will be
	    used
	  - added support for new resource types: Abstract, Magazine Article
	  - for theses, we standardize the thesis names so that Bibutils will
	    recognize them
	  - single page items given as a page range with equal start & end numbers
	    (e.g. "12-12") are now output correctly (e.g. "12")

2007-09-27 13:51  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/header.inc.php:
	  the logo URL path & dimensions are now taken from variables
	  '$logoImageURL', '$logoImageWidth' and '$logoImageHeight' in 'ini.inc.php'

2007-09-27 13:49  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/cite.inc.php:
	  - function 'generateTypeTitle()': added support for new resource types:
	    Abstract, Magazine Article
	  - some changes to whitespace

2007-09-27 13:46  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/import.inc.php:
	  - added function 'standardizeEndnoteXMLInput()' which converts Endnote XML
	    text style markup into proper refbase markup
	  - we now include the translation table
	    'transtab_endnotexml_refbase.inc.php', which is required by function
	    'standardizeEndnoteXMLInput()'
	  - added commas after the last item of some mapping arrays to allow for
	    easier (and more fool-proof) editing
	  - function 'risToRefbase()': added postprocessor action that removes the
	    refbase attribution string ("exported from refbase...") from the notes
	    field
	  - function 'risToRefbase()': for theses, contents of the 'BT' tag are now
	    imported into the 'series_title' field (was: 'publication' field), and
	    contents of the 'SN' tag are now imported into the 'isbn' field (was:
	    'issn' field)
	  - function 'risToRefbase()': the type of thesis (such as "Masters thesis"
	    or "Ph.D. thesis") is now recognized when given in the 'U1' field (as is
	    done by Bibutils v3.35 or greater)
	  - functions 'risToRefbase()' and 'refworksToRefbase()': added support for
	    additional resource types: Abstract, Magazine Article
	  - function 'medlineToRefbase()': added refbase type mapping for
	    "Editorial"
	  - function 'parseRecords()' now recognizes and standardizes names of the
	    different thesis types
	  - fixed some typos in comments

2007-09-27 13:41  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/include.inc.php:
	  - functions 'start_session()' and 'seekInMySQLResultsToOffset()' now
	    honour the new user-specific settings for records per page and the list
	    of main fields
	  - added function 'getMainFields()' which fetches the list of "main fields"
	    for the current user and saves it to a session variable
	  - renamed function 'getNumberOfRecords()' to 'getTotalNumberOfRecords()'
	  - added function 'getDefaultNumberOfRecords()' which fetches the default
	    number of records per page for the current user and saves it to a
	    session variable
	  - function 'quote_smart()': we now remove any leading or trailing
	    whitespace from the processed string
	  - added function 'sendPostRequest()' which sends given data as a POST
	    request
	  - function 'verifySQLQuery()': removed again the code that disallowed
	    display/querying of the 'created_by' and 'modified_by' fields if the
	    user isn't logged in (since it caused undesired behaviour)
	  - functions 'verifySQLQuery()' and 'stripFieldFromSQLQuery()': regex
	    patterns that deal with the WHERE clause now account for 'OR' queries
	  - moved function 'appendToWhereClause()' from 'webservice.inc.php' to
	    'include.inc.php' and updated it
	  - function 'generateRSS()': added "newline" to the list of supported
	    markup patterns, and the logo URL path is now taken from variable
	    '$logoImageURL' in 'ini.inc.php'
	  - some changes to whitespace

2007-09-27 13:33  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/initialize/ini.inc.php:
	  - added new variables '$logoImageURL', '$logoImageWidth' and
	    '$logoImageHeight' which now define the logo URL path & dimensions
	  - moved variable '$defaultLanguage' higher up in the file
	  - added new resource types to variable '$defaultUserTypes': Abstract,
	    Magazine Article
	  - added new variable '$defaultMainFields' which defines the default list
	    of fields that will be searched by the "main fields" search option
	  - added new options to variable '$defaultUserOptions' to account for the
	    new options 'records_per_page' and 'main_fields' in table 'user_options'
	  - some changes to comments

2007-09-27 13:24  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/transtab_endnotexml_refbase.inc.php:
	  initial checkin (conversion table from Endnote XML markup to refbase
	  markup)

2007-09-27 13:22  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/formats/cite_latex_bbl.php:
	  initial checkin (outputs citations in LaTeX bibliography (.bbl) format)

2007-09-27 13:17  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/img/logo.gif,
	  /branches/bleeding-edge/img/logo.jpg,
	  /branches/bleeding-edge/img/logo.png,
	  /branches/bleeding-edge/img/refbase_credit.gif:
	  replaced refbase logo image files with updated ones

2007-07-05 14:47  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/search.php:
	  function 'extractFormElementsExtract()': we now check whether the
	  extracted serial numbers and cite keys exist in the database and report
	  any missing record identifiers

2007-06-27 11:07  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/import.inc.php:
	  function 'risToRefbase()': we now make sure that HTML encoded source data
	  (such as "&auml;", "&#xF6;" or "&#233;") get decoded before import

2007-06-27 00:33  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/include.inc.php:
	  - added new function 'returnMsg()' which is used to generate error,
	    warning and notification messages; the function also handles the saving
	    of messages to a session variable as well as client-specific message
	    formatting
	  - started to internationalize error, warning and notification messages
	    (this isn't done yet)
	  - function 'buildBrowseLinks()': added support for the 'client' parameter
	  - function 'verifySQLQuery()': we now disallow display/querying of the
	    'created_by' and 'modified_by' fields if the user isn't logged in (this
	    is similar to how the 'location' field is handled)

2007-06-27 00:20  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/search.php:
	  - error, warning and notification messages are now generated by function
	    'returnMsg()', which also handles the saving of messages to a session
	    variable as well as client-specific message formatting
	  - started to internationalize error, warning and notification messages
	    (this isn't done yet)
	  - added support for include mechanisms: for citation output,
	    'wrapResults=0' causes refbase to output only a partial HTML document
	    structure containing solely the search results table (i.e. without any
	    header or footer markup)

2007-06-26 23:56  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/contrib/import_templates/import_template_base.php:
	  - error, warning and notification messages are now generated by function
	    'returnMsg()', which also handles the saving of messages to a session
	    variable as well as client-specific message formatting
	  - started to internationalize error, warning and notification messages
	    (this isn't done yet)

2007-06-26 23:45  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/srwmods2html.xsl:
	  avoid enclosing headings with <p>...</p> tags

2007-06-26 23:43  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/show.php:
	  - added support for include mechanisms: for citation output,
	    'wrapResults=0' causes refbase to output only a partial HTML document
	    structure containing solely the search results table (i.e. without any
	    header or footer markup)
	  - improved parameter input verification for the "without" parameter
	  - merged some localization strings to allow for better translations to
	    languages such as spanish or chinese
	  - error, warning and notification messages are now generated by function
	    'returnMsg()', which also handles the saving of messages to a session
	    variable as well as client-specific message formatting

2007-06-26 23:40  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/queries.php:
	  - error, warning and notification messages are now generated by function
	    'returnMsg()', which also handles the saving of messages to a session
	    variable as well as client-specific message formatting
	  - started to internationalize error, warning and notification messages
	    (this isn't done yet)
	  - fixed a bug where the "Edit Query" button on the main page didn't work
	    if the localized button string did contain any non-ASCII character(s).

2007-06-26 23:37  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/locales/de/common.inc,
	  /branches/bleeding-edge/locales/de/common_utf8.inc,
	  /branches/bleeding-edge/locales/en/common.inc,
	  /branches/bleeding-edge/locales/en/common_utf8.inc,
	  /branches/bleeding-edge/locales/fr/common.inc,
	  /branches/bleeding-edge/locales/fr/common_utf8.inc:
	  added/changed locales and removed unused ones (note that the french
	  localization of strings isn't finished yet)

2007-06-26 23:33  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/library_search.php:
	  just added a TODO comment about I18n to the file header

2007-06-26 23:31  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/install.sql,
	  /branches/bleeding-edge/install_utf8.sql,
	  /branches/bleeding-edge/update.php,
	  /branches/bleeding-edge/update.sql:
	  added initial support for spanish and chinese localizations

2007-06-26 23:26  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/import_modify.php:
	  - error, warning and notification messages are now generated by function
	    'returnMsg()', which also handles the saving of messages to a session
	    variable as well as client-specific message formatting
	  - started to internationalize error, warning and notification messages
	    (this isn't done yet)
	  - added support for the Bookends desktop reference management application

2007-06-26 23:24  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/import.php:
	  just renamed "Cambridge Scientific Abstracts (CSA)" to "CSA Illumina"

2007-06-26 23:16  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/duplicate_manager.php,
	  /branches/bleeding-edge/duplicate_modify.php,
	  /branches/bleeding-edge/import_csa_modify.php,
	  /branches/bleeding-edge/includes/install.inc.php,
	  /branches/bleeding-edge/modify.php,
	  /branches/bleeding-edge/query_manager.php,
	  /branches/bleeding-edge/query_modify.php,
	  /branches/bleeding-edge/receipt.php,
	  /branches/bleeding-edge/rss.php,
	  /branches/bleeding-edge/user_options_modify.php,
	  /branches/bleeding-edge/user_validation.php:
	  - error, warning and notification messages are now generated by function
	    'returnMsg()', which also handles the saving of messages to a session
	    variable as well as client-specific message formatting
	  - started to internationalize error, warning and notification messages
	    (this isn't done yet)

2007-06-26 23:01  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/index.php:
	  changed or merged some localization strings to allow for better
	  translations to languages such as spanish or chinese

2007-06-26 22:47  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/formats/cite_html.php:
	  added support for include mechanisms: for citation output, 'wrapResults=0'
	  causes refbase to output only a partial HTML document structure containing
	  solely the search results table (i.e. without any header or footer markup)

2007-06-26 22:45  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/formats/cite_ascii.php,
	  /branches/bleeding-edge/cite/formats/cite_latex.php,
	  /branches/bleeding-edge/cite/formats/cite_markdown.php,
	  /branches/bleeding-edge/cite/formats/cite_pdf.php,
	  /branches/bleeding-edge/cite/formats/cite_rtf.php:
	  added variable '$wrapResults' (which is used for include mechanisms) to
	  the parameter list of the 'citeRecords()' function

2007-06-26 22:34  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/advanced_search.php,
	  /branches/bleeding-edge/includes/footer.inc.php,
	  /branches/bleeding-edge/includes/header.inc.php,
	  /branches/bleeding-edge/record.php,
	  /branches/bleeding-edge/simple_search.php,
	  /branches/bleeding-edge/sql_search.php:
	  changed or merged some localization strings to allow for better
	  translations to languages such as spanish or chinese

2007-06-25 19:46  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/import.inc.php:
	  - function 'identifySourceFormat()' now recognizes the Endnote XML format
	  - function 'parseRecords()': if the 'url' field actually contains a DOI
	    prefixed with "http://dx.doi.org/" (AND the 'doi' field is empty), we'll
	    extract the DOI and move it to the 'doi' field

2007-06-24 10:56  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/initialize/ini.inc.php:
	  added new variable '$sessionTempDir' which defines the session/temp dir
	  path

2007-06-24 10:54  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/execute.inc.php:
	  - the session/temp dir path is now set in variable '$sessionTempDir' in
	    'ini.inc.php' which obviates variable '$tempDirPath' and function
	    'getTempDirPath()'
	  - renamed functions 'string2File()' and 'array2File()' to 'stringToFile()'
	    and 'arrayToFile()', respectively
	  - some changes to whitespace

2007-06-23 21:16  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/styles/cite_APA.php:
	  improved regex patterns to avoid false positives when matching single page
	  items that are specified using a page range with equal start & end numbers
	  (like: "127-127")

2007-06-23 20:06  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/transtab_refbase_latex.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_rtf.inc.php:
	  curly brackets in field contents are now escaped to avoid incorrect code

2007-05-23 19:36  Matthias Steffens <refbase@extracts.de>

	* /trunk/AUTHORS, /trunk/BUGS, /trunk/COPYING, /trunk/ChangeLog,
	  /trunk/INSTALL, /trunk/NEWS, /trunk/README, /trunk/TODO,
	  /trunk/UPDATE, /trunk/advanced_search.php,
	  /trunk/cite/formats/cite_ascii.php,
	  /trunk/cite/formats/cite_html.php,
	  /trunk/cite/formats/cite_latex.php,
	  /trunk/cite/formats/cite_markdown.php,
	  /trunk/cite/formats/cite_pdf.php,
	  /trunk/cite/formats/cite_rtf.php,
	  /trunk/cite/styles/cite_APA.php,
	  /trunk/cite/styles/cite_AnnGlaciol_JGlaciol.php,
	  /trunk/cite/styles/cite_DeepSeaRes.php,
	  /trunk/cite/styles/cite_MLA.php,
	  /trunk/cite/styles/cite_PolarBiol_MarBiol_MEPS.php,
	  /trunk/cite/styles/cite_TextCitation.php,
	  /trunk/contrib/command_line/README,
	  /trunk/contrib/command_line/refbase,
	  /trunk/contrib/command_line/refbase_import,
	  /trunk/contrib/endnote/README,
	  /trunk/contrib/endnote/en-importer.sh,
	  /trunk/contrib/endnote/endnote2mysql.php,
	  /trunk/contrib/import_templates/import_template_base.php,
	  /trunk/contrib/skins/README,
	  /trunk/contrib/skins/mediawiki-monobook/README,
	  /trunk/contrib/skins/mediawiki-monobook/footer.inc.php,
	  /trunk/contrib/skins/mediawiki-monobook/header.inc.php,
	  /trunk/contrib/skins/mediawiki-monobook/main.css,
	  /trunk/css/style.css, /trunk/css/style_print.css,
	  /trunk/duplicate_manager.php, /trunk/duplicate_modify.php,
	  /trunk/duplicate_search.php, /trunk/error.php,
	  /trunk/export/bibutils/export_xml2bib.php,
	  /trunk/export/bibutils/export_xml2end.php,
	  /trunk/export/bibutils/export_xml2isi.php,
	  /trunk/export/bibutils/export_xml2ris.php,
	  /trunk/export/bibutils/export_xml2word.php,
	  /trunk/export/export_modsxml.php,
	  /trunk/export/export_odfxml.php, /trunk/export/export_srwxml.php,
	  /trunk/extract.php, /trunk/img/doi.gif, /trunk/img/link.gif,
	  /trunk/img/logo.jpg, /trunk/import.php,
	  /trunk/import/bibutils/import_bib2refbase.php,
	  /trunk/import/bibutils/import_copac2refbase.php,
	  /trunk/import/bibutils/import_end2refbase.php,
	  /trunk/import/bibutils/import_endx2refbase.php,
	  /trunk/import/bibutils/import_isi2refbase.php,
	  /trunk/import/bibutils/import_med2refbase.php,
	  /trunk/import/bibutils/import_modsxml2refbase.php,
	  /trunk/import/bibutils/import_ris2refbase.php,
	  /trunk/import/import_csa2refbase.php,
	  /trunk/import/import_isi2refbase.php,
	  /trunk/import/import_medline2refbase.php,
	  /trunk/import/import_refworks2refbase.php,
	  /trunk/import/import_ris2refbase.php,
	  /trunk/import/import_scifinder2refbase.php,
	  /trunk/import_csa.php, /trunk/import_csa_modify.php,
	  /trunk/import_modify.php, /trunk/includes/cite.inc.php,
	  /trunk/includes/classes/include.php,
	  /trunk/includes/classes/org/active-link/net/HTTPClient.php,
	  /trunk/includes/classes/org/active-link/net/HTTPServer.php,
	  /trunk/includes/classes/org/active-link/net/Socket.php,
	  /trunk/includes/classes/org/active-link/sys/File.php,
	  /trunk/includes/classes/org/active-link/xml/Branch.php,
	  /trunk/includes/classes/org/active-link/xml/Leaf.php,
	  /trunk/includes/classes/org/active-link/xml/RSS.php,
	  /trunk/includes/classes/org/active-link/xml/Tag.php,
	  /trunk/includes/classes/org/active-link/xml/Tree.php,
	  /trunk/includes/classes/org/active-link/xml/XML.php,
	  /trunk/includes/classes/org/active-link/xml/XMLBranch.php,
	  /trunk/includes/classes/org/active-link/xml/XMLDocument.php,
	  /trunk/includes/classes/org/active-link/xml/XMLLeaf.php,
	  /trunk/includes/classes/org/active-link/xml/XMLRPCClient.php,
	  /trunk/includes/classes/org/active-link/xml/XPath.php,
	  /trunk/includes/classes/org/bibliophile/MINIMALRTF.php,
	  /trunk/includes/classes/org/pdf-php/class.ezpdf.php,
	  /trunk/includes/classes/org/pdf-php/class.pdf.php,
	  /trunk/includes/classes/org/pdf-php/fonts/Courier-Bold.afm,
	  /trunk/includes/classes/org/pdf-php/fonts/Courier-BoldOblique.afm,
	  /trunk/includes/classes/org/pdf-php/fonts/Courier-Oblique.afm,
	  /trunk/includes/classes/org/pdf-php/fonts/Courier.afm,
	  /trunk/includes/classes/org/pdf-php/fonts/Helvetica-Bold.afm,
	  /trunk/includes/classes/org/pdf-php/fonts/Helvetica-BoldOblique.afm,
	  /trunk/includes/classes/org/pdf-php/fonts/Helvetica-Oblique.afm,
	  /trunk/includes/classes/org/pdf-php/fonts/Helvetica.afm,
	  /trunk/includes/classes/org/pdf-php/fonts/Symbol.afm,
	  /trunk/includes/classes/org/pdf-php/fonts/Times-Bold.afm,
	  /trunk/includes/classes/org/pdf-php/fonts/Times-BoldItalic.afm,
	  /trunk/includes/classes/org/pdf-php/fonts/Times-Italic.afm,
	  /trunk/includes/classes/org/pdf-php/fonts/Times-Roman.afm,
	  /trunk/includes/classes/org/pdf-php/fonts/ZapfDingbats.afm,
	  /trunk/includes/classes/org/pdf-php/fonts/php_Courier-Bold.afm,
	  /trunk/includes/classes/org/pdf-php/fonts/php_Courier-BoldOblique.afm,
	  /trunk/includes/classes/org/pdf-php/fonts/php_Courier-Oblique.afm,
	  /trunk/includes/classes/org/pdf-php/fonts/php_Courier.afm,
	  /trunk/includes/classes/org/pdf-php/fonts/php_Helvetica-Bold.afm,
	  /trunk/includes/classes/org/pdf-php/fonts/php_Helvetica-BoldOblique.afm,
	  /trunk/includes/classes/org/pdf-php/fonts/php_Helvetica-Oblique.afm,
	  /trunk/includes/classes/org/pdf-php/fonts/php_Helvetica.afm,
	  /trunk/includes/classes/org/pdf-php/fonts/php_Symbol.afm,
	  /trunk/includes/classes/org/pdf-php/fonts/php_Times-Bold.afm,
	  /trunk/includes/classes/org/pdf-php/fonts/php_Times-BoldItalic.afm,
	  /trunk/includes/classes/org/pdf-php/fonts/php_Times-Italic.afm,
	  /trunk/includes/classes/org/pdf-php/fonts/php_Times-Roman.afm,
	  /trunk/includes/classes/org/pdf-php/fonts/php_ZapfDingbats.afm,
	  /trunk/includes/classes/org/pdf-php/fonts/php_a0100131.afm,
	  /trunk/includes/classes/org/pdf-php/fonts/php_a010013l.afm,
	  /trunk/includes/execute.inc.php, /trunk/includes/export.inc.php,
	  /trunk/includes/footer.inc.php, /trunk/includes/header.inc.php,
	  /trunk/includes/import.inc.php, /trunk/includes/include.inc.php,
	  /trunk/includes/install.inc.php, /trunk/includes/locales.inc.php,
	  /trunk/includes/modsxml.inc.php, /trunk/includes/odfxml.inc.php,
	  /trunk/includes/openurl.inc.php,
	  /trunk/includes/results_header.inc.php,
	  /trunk/includes/srwxml.inc.php,
	  /trunk/includes/transtab_bibtex_refbase.inc.php,
	  /trunk/includes/transtab_latex_latin1.inc.php,
	  /trunk/includes/transtab_latex_unicode.inc.php,
	  /trunk/includes/transtab_latin1_ascii.inc.php,
	  /trunk/includes/transtab_latin1_bibtex.inc.php,
	  /trunk/includes/transtab_latin1_latex.inc.php,
	  /trunk/includes/transtab_refbase_ascii.inc.php,
	  /trunk/includes/transtab_refbase_bibtex.inc.php,
	  /trunk/includes/transtab_refbase_html.inc.php,
	  /trunk/includes/transtab_refbase_latex.inc.php,
	  /trunk/includes/transtab_refbase_markdown.inc.php,
	  /trunk/includes/transtab_refbase_pdf.inc.php,
	  /trunk/includes/transtab_refbase_rtf.inc.php,
	  /trunk/includes/transtab_refbase_unicode.inc.php,
	  /trunk/includes/transtab_unicode_ascii.inc.php,
	  /trunk/includes/transtab_unicode_bibtex.inc.php,
	  /trunk/includes/transtab_unicode_latex.inc.php,
	  /trunk/includes/unapi.inc.php,
	  /trunk/includes/webservice.inc.php, /trunk/includes/zip.inc.php,
	  /trunk/index.php, /trunk/initialize/db.inc.php,
	  /trunk/initialize/ini.inc.php, /trunk/install.php,
	  /trunk/install.sql, /trunk/install_utf8.sql,
	  /trunk/library_search.php, /trunk/locales/core.php,
	  /trunk/locales/de/common.inc, /trunk/locales/de/common_utf8.inc,
	  /trunk/locales/en/common.inc, /trunk/locales/en/common_utf8.inc,
	  /trunk/locales/fr/common.inc, /trunk/locales/fr/common_utf8.inc,
	  /trunk/modify.php, /trunk/note/GNU_general_public_license.txt,
	  /trunk/note/auth_table_info.txt,
	  /trunk/note/copyright_notice.txt, /trunk/note/db_field_info.txt,
	  /trunk/note/deleted_field_info.txt,
	  /trunk/note/depends_table_info.txt,
	  /trunk/note/formats_table_info.txt,
	  /trunk/note/grep_patterns.txt,
	  /trunk/note/group_permissions_table_info.txt,
	  /trunk/note/groups_table_info.txt,
	  /trunk/note/languages_table_info.txt,
	  /trunk/note/queries_table_info.txt,
	  /trunk/note/refbase_history.txt,
	  /trunk/note/styles_table_info.txt,
	  /trunk/note/types_table_info.txt,
	  /trunk/note/user_data_table_info.txt,
	  /trunk/note/user_formats_table_info.txt,
	  /trunk/note/user_options_table_info.txt,
	  /trunk/note/user_permissions_table_info.txt,
	  /trunk/note/user_styles_table_info.txt,
	  /trunk/note/user_types_table_info.txt,
	  /trunk/note/users_table_info.txt, /trunk/queries.php,
	  /trunk/query_manager.php, /trunk/query_modify.php,
	  /trunk/receipt.php, /trunk/record.php, /trunk/rss.php,
	  /trunk/search.php, /trunk/show.php, /trunk/simple_search.php,
	  /trunk/sql_search.php, /trunk/sru.php,
	  /trunk/srwExplainResponse2html.xsl, /trunk/srwmods2html.xsl,
	  /trunk/unapi.php, /trunk/update.php, /trunk/update.sql,
	  /trunk/user_details.php, /trunk/user_login.php,
	  /trunk/user_logout.php, /trunk/user_options.php,
	  /trunk/user_options_modify.php, /trunk/user_receipt.php,
	  /trunk/user_removal.php, /trunk/user_validation.php,
	  /trunk/users.php:
	  merged bleeding-edge branch changes r952 into the trunk

2007-05-19 19:37  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/modsxml.inc.php:
	  links to files were incorrect if '$filesBaseURL' did contain an absolute
	  path; fixed

2007-05-13 22:54  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/error.php,
	  /branches/bleeding-edge/record.php:
	  we now properly HTML encode user input, SQL queries and MySQL error
	  messages that may be displayed onscreen

2007-05-13 22:46  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/show.php:
	  we now strip HTML tags from the custom header message to prevent
	  cross-site scripting (XSS) attacks

2007-05-13 22:41  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/search.php:
	  - we now strip HTML tags from the custom header message to prevent
	    cross-site scripting (XSS) attacks
	  - improved detection of XSS attacks in SQL commands
	  - the title string of RSS links is now properly HTML encoded
	  - custom header messages are now HTML encoded, and refbase markup syntax
	    is now fully supported within header messages
	  - SQL commands are now properly HTML encoded before getting displayed
	    onscreen

2007-05-13 22:20  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/include.inc.php:
	  - function 'queryMySQLDatabase()': in case of an error, the SQL query is
	    now properly HTML encoded before outputting it to the screen
	  - function 'showErrorMsg()': for CLI clients, we now HTML encode the error
	    message returned by MySQL since a malicious user could use the "client"
	    parameter to perform a cross-site scripting (XSS) attack
	  - added function 'stripTags()' which strips HTML and PHP tags from the
	    input string

2007-05-13 14:03  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/import.inc.php:
	  - added a preprocessor feature where import routines can apply search &
	    replace actions to each record's raw source data
	  - renamed variable '$searchReplaceActionsArray' to
	    '$postprocessorActionsArray' to better reflect its purpose
	  - function 'medlineToRefbase()': if the 'FAU' field is not available in
	    the MEDLINE source data, we now extract author information from the 'AU'
	    field
	  - function 'parseRecords': fixed an incorrect comparison of field labels

2007-05-13 12:07  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/include.inc.php:
	  - function 'start_session()': we now attempt to set the system's locale
	  - added new function 'setSystemLocale()' which sets the system's locale
	    information so that string comparison, and character classification &
	    conversion correctly honours higher ASCII chars such as accented
	    characters or umlauts

2007-05-12 05:57  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/includes/modsxml.inc.php:
	  Add missing ';'

2007-05-02 22:40  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/includes/modsxml.inc.php:
	  URL shaping of file location as in search.php

2007-05-02 22:02  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/srwxml.inc.php:
	  the MODS version
	  number is now added to the <mods> tag by 'modsxml.inc.php'

2007-05-02 21:58  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/modsxml.inc.php:
	  - we now write an attribution string to the notes branch which contains
	    the URL to the refbase database record as well as the last modification
	    date
	  - each <mods> tag now includes the MODS version number (currently MODS
	    v3.2)
	  - we now include a link to any corresponding file if permissions allow so
	  - some changes to whitespace and comments

2007-05-02 21:43  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/search.php,
	  /branches/bleeding-edge/show.php,
	  /branches/bleeding-edge/sru.php:
	  for export, added fields 'modified_date' and 'modified_time' to SQL
	  queries

2007-04-24 18:52  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/includes/execute.inc.php:
	  Remove the redirection shell character from exec to make it more robust
	  with safe_mode=On

2007-04-16 22:08  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/styles/cite_APA.php:
	  - for newspaper articles, we now print the contents of the 'volume'
	    (=month) and 'issue' (=day) fields after the year, and page numbers get
	    prefixed with "p." or "pp."
	  - for journal/newspaper/conference articles and book chapters, single page
	    items are now recognized if specified as "XX-XX" (i.e. a page range with
	    equal start & end numbers); similarly, multi-page items where only a
	    start page number is given are now recognized if specified as "XX-".
	  - for conference articles and book chapters, contents of the 'edition' and
	    'volume' fields are now printed after the container title, alongside the
	    pages information
	  - for software, the title now prints in plain text (instead of italics)
	    and is appended with a "[Computer software]" label
	  - the software version number is now printed from the entry's 'edition'
	    field (though we'll need to change it's field type to 'VARCHAR')
	  - the software URL is now printed if given in the 'url' field (in which
	    case the final period character is omitted)

2007-04-15 16:48  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/transtab_latex_latin1.inc.php,
	  /branches/bleeding-edge/includes/transtab_latex_unicode.inc.php:
	  parentheses in "... PARENTHESIS" array items are now properly
	  escaped; this
	  fixes 'preg_match()' compilation errors when importing BibTeX
	  records into a
	  refbase UTF-8 database

2007-04-15 15:36  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/styles/cite_APA.php,
	  /branches/bleeding-edge/cite/styles/cite_AnnGlaciol_JGlaciol.php,
	  /branches/bleeding-edge/cite/styles/cite_DeepSeaRes.php,
	  /branches/bleeding-edge/cite/styles/cite_MLA.php,
	  /branches/bleeding-edge/cite/styles/cite_PolarBiol_MarBiol_MEPS.php:
	  function 'citeRecord()': added initial support for new resource types:
	  Manual, Miscellaneous, Newspaper Article, Report, Patent, Software;
	  newspaper articles will be formatted similar to journal articles while the
	  other new types (as well as records of unrecognized type) will be
	  currently formatted like whole books

2007-04-15 15:20  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/odfxml.inc.php:
	  - function 'initializeArrays()': added support for new resource types:
	    Manual, Miscellaneous, Report, Newspaper Article, Patent, Software (the
	    latter three don't seem to be supported by the current OpenOffice
	    version)
	  - changed/added some comments

2007-04-15 15:13  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/modsxml.inc.php:
	  - function 'modsRecord()': added support for new resource types: Manual,
	    Miscellaneous, Newspaper Article, Patent, Report, Software
	  - we now use 'marcgt' (instead of 'marc') as authority attribute for genre
	    according to <http://www.loc.gov/marc/sourcecode/genre/genresource.html>

2007-04-15 14:55  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/import.inc.php:
	  - functions 'risToRefbase()' and 'refworksToRefbase()': added support for
	    the new resource types: Miscellaneous, Newspaper Article, Patent,
	    Report, Software (Manual is not supported by RIS or Refworks as a
	    separate type)
	  - function 'medlineToRefbase()': added support for additional PubMed
	    resource types (Newspaper Article, Report, Patent)

2007-04-15 14:33  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/initialize/ini.inc.php:
	  added new export formats to variable '$defaultUserExportFormats': ISI,
	  Word XML

2007-04-15 14:15  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/locales/de/common.inc,
	  /branches/bleeding-edge/locales/de/common_utf8.inc,
	  /branches/bleeding-edge/locales/en/common.inc,
	  /branches/bleeding-edge/locales/en/common_utf8.inc,
	  /branches/bleeding-edge/locales/fr/common.inc,
	  /branches/bleeding-edge/locales/fr/common_utf8.inc:
	  added new locales to support the new resource types: Manual,
	  Miscellaneous, Newspaper Article, Patent, Report, Software

2007-04-15 14:07  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/cite.inc.php:
	  function 'generateTypeTitle()': added support for new resource types:
	  Manual, Miscellaneous, Newspaper Article, Patent, Report, Software

2007-04-15 14:04  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/search.php:
	  function 'generateExport()': added support for new export formats 'ISI'
	  and 'Word XML'

2007-04-15 13:50  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/install.inc.php:
	  function 'insertIfNotExists()' now uses an array to specify one or more
	  key column(s) and value(s) which allows for WHERE clauses that query
	  multiple columns

2007-04-15 13:41  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/update.php:
	  - adopted all calls to function 'insertIfNotExists()' which now uses an
	    array to specify key column(s) and value(s)
	  - added UPDATE queries for cite styles 'Ann Glaciol' and 'J Glaciol'
	  - updated queries for existing resource types and added code for the new
	    types: Manual, Miscellaneous, Newspaper Article, Patent, Report,
	    Software
	  - the 'ISI' and 'Word XML' export formats will now be enabled by default

2007-04-15 13:23  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/update.sql:
	  table 'types': updated existing resource types and added new types:
	  Manual, Miscellaneous, Newspaper Article, Patent, Report, Software

2007-04-15 13:12  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/install.sql,
	  /branches/bleeding-edge/install_utf8.sql:
	  - table 'types': updated existing resource types and added new types:
	    Manual, Miscellaneous, Newspaper Article, Patent, Report, Software
	  - updated tables 'user_formats' and 'user_types' to account for newly
	    added import/export formats and resource types

2007-04-15 13:00  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/install.php:
	  - changed case for some field labels
	  - changed URL, case and description for Bibutils

2007-04-12 14:57  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/formats/cite_pdf.php:
	  - the size of the PDF page is now defined in variable '$pdfPageSize' (in
	    file 'initialize/ini.inc.php')
	  - besides 'a4', 'letter' is now supported as PDF page size; all margins
	    and header/footer elements are now adjusted depending on the chosen page
	    size

2007-04-12 14:43  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/formats/cite_markdown.php:
	  if a custom header message was given, we decrease the heading level of
	  sections & subsections by one (since the header message has level 1)

2007-04-12 14:39  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/formats/cite_html.php,
	  /branches/bleeding-edge/cite/formats/cite_rtf.php:
	  just some changes to comments and whitespace

2007-04-12 13:36  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/formats/cite_latex.php:
	  - we now always use double slashes in front of LaTeX commands
	  - a given header message wasn't printed correctly (due to braces being
	    swallowed by PHP); fixed
	  - added '\maketitle' to the LaTeX output which ensures that a given header
	    message gets typeset by LaTeX

2007-04-12 13:12  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/formats/cite_ascii.php:
	  when returning results to CLI clients, the header message was outputted
	  twice; fixed

2007-04-12 12:15  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/initialize/ini.inc.php:
	  - added new resource types to variable '$defaultUserTypes': Manual,
	    Miscellaneous, Newspaper Article, Patent, Report, Software
	  - added new variable '$pdfPageSize' which defines the size of the PDF page
	    when outputting citations as PDF (either 'a4' or 'letter')

2007-04-12 11:18  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/include.inc.php:
	  function 'reArrangeAuthorContents()': we now remove excess spaces from the
	  end of the author string which avoids duplicate spaces in the formatted
	  APA citation (between authors and year)

2007-04-10 23:31  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/styles/cite_APA.php:
	  - multiple initials from a single author are now separated by a dot *and*
	    a space (this, and all changes below, are based on the "APA Research
	    Style Crib Sheet" available from <http://www.docstyles.com/apacrib.htm>)
	  - the contents of the 'issue' field are now printed in plain text (and not
	    in italics)
	  - removed the colon after "from" in the source info that's printed for
	    online publications
	  - the final period character is now omitted for online publications if a
	    DOI or URL is given
	  - for book chapters and conference articles, place and publisher are now
	    separated from the preceeding page info by a period character (instead
	    of a comma)
	  - if the author is actually the editor of the resource, we now append '
	    (Ed.)' or ' (Eds.)' instead of ', ed' or ', eds' printed in italics
	  - for editions other than the first one, we now print edition info after
	    the title
	  - changed formatting of thesis info and added place info
	  - the string "Author" is now used instead of the publisher's name when the
	    author and publisher are identical

2007-04-10 21:32  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/search.php,
	  /branches/bleeding-edge/show.php:
	  we now extract the value of the 'client' parameter before the call to the
	  'start_session()' function (since this function initiates database queries
	  that require the '$client' variable); this also fixes a bug where refbase
	  did return an HTML formatted error message (instead of plain ASCII) to CLI
	  clients if the connection to the host/database could not be established.

2007-04-10 21:13  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/search.php:
	  - 'file://' is now recognized in the 'file' field as indicator for a full
	    path spec to a local file; i.e., if the contents of the 'file' field
	    start with 'file://', we don't prefix them with the '$filesBaseURL'
	    given in 'ini.inc.php'
	  - functions 'extractFormElementsQueryResults()' &
	    'extractFormElementsExtract()': added 'edition' field to the SELECT
	    statement of SQL queries that generate citation output; this allows the
	    APA style to output the edition number.

2007-04-10 20:40  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/include.inc.php:
	  - function 'reArrangeAuthorContents()': a comma was appended to the author
	    name even if the 'author' field did contain a name that wasn't separated
	    by a comma into family name and given name (such as an organization's
	    name); fixed
	  - function 'reArrangeAuthorContents()': rearranged clean-up code to avoid
	    excess space before ", et al." in certain cases (such as in APA output)

2007-04-09 18:11  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/cite/styles/cite_APA.php:
	  Remove extraneous punctuation in book chapters (between publication and
	  page number)

2007-04-09 17:54  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/cite/styles/cite_APA.php:
	  Eds -> Eds.

2007-04-06 23:57  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/includes/modsxml.inc.php:
	  Moved DOI back to toplevel, as Zotero has been fixed.

2007-03-31 11:36  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/import.inc.php:
	  - function 'risToRefbase()': the contents of the 'SN' field from RIS
	    records with type 'STD' are now imported to the refbase 'isbn' field
	    (instead of the 'issn' field)
	  - function 'medlineToRefbase()': we now make sure that all journal title
	    words (with >3 characters) start with an upper case letter. Note that
	    this probably won't be beneficial for records which are not of type
	    "Journal Article" (i.e.  we might need to revert this change)
	  - function 'medlineToRefbase()': added support for additional PubMed
	    resource types (more to come...)
	  - some changes to comments

2007-03-22 00:56  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/install.sql,
	  /branches/bleeding-edge/install_utf8.sql,
	  /branches/bleeding-edge/update.php,
	  /branches/bleeding-edge/update.sql:
	  table 'formats': added 'Endnote XML' import format as well as 'ISI' and
	  'Word XML' export formats

2007-03-21 22:36  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/export/bibutils/export_xml2isi.php:
	  initial checkin (exports records to ISI Web of Science format)

2007-03-21 22:35  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/export/bibutils/export_xml2word.php:
	  initial checkin (exports records to Word 2007 bibliography XML
	  format)

2007-03-21 22:34  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/import/bibutils/import_endx2refbase.php:
	  initial checkin (imports records from Endnote XML-formatted
	  source data)

2007-03-20 02:10  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/includes/modsxml.inc.php:
	  Fix DOI location for Zotero (should be in related item host, not in
	  "part")

2007-03-20 01:58  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/includes/modsxml.inc.php:
	  Fixes to work with Zotero (minimally tested with anything else):
	  - Change extent type from 'page' to 'pages' (per suggestions in MODS
	    schema)
	  - Place DOI in related item, rather than in top-level (we may end up
	    changing this one back)

2007-03-19 13:12  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/include.inc.php:
	  - functions 'getPermissions()' and 'updateUserPermissions()': SQL queries
	    did use raw table names instead of the appropriate '$table*' variables
	    from 'initialize/db.inc.php'; fixed
	  - function 'generateRSS()': To avoid advertising email adresses in public
	    RSS output, we remove email addresses from contents of the 'modified_by'
	    field

2007-03-19 12:50  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/install.php:
	  UPDATE SQL queries did use raw table names instead of the appropriate
	  '$table*' variables from 'initialize/db.inc.php'; fixed

2007-03-19 12:41  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/initialize/db.inc.php:
	  added '$tablePrefix' variable to improve setup on shared hosts where
	  refbase tables may need to coexist with other tables in the same MySQL
	  database

2007-03-18 17:36  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/initialize/db.inc.php:
	  added note in comments: renaming of table names must be also done in files
	  'install.sql' and 'update.sql'

2007-03-10 15:32  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/show.php:
	  'thesis=no' did not return records where the thesis field contained the
	  empty string (i.e. where thesis was empty but NOT NULL); fixed

2007-02-18 16:51  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/import.php:
	  added SciFinder to list of supported import formats

2007-02-18 13:21  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/import.inc.php:
	  - added function 'scifinderToRefbase()' which converts records from
	    SciFinder tagged format into the standard "refbase" array format
	  - function 'identifySourceFormat()' now recognizes the SciFinder format
	  - some changes to whitespace in comments

2007-02-18 13:09  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/install.sql,
	  /branches/bleeding-edge/install_utf8.sql,
	  /branches/bleeding-edge/update.php,
	  /branches/bleeding-edge/update.sql:
	  added 'SciFinder' import format to table 'formats'

2007-02-18 12:41  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/import/import_scifinder2refbase.php:
	  initial checkin (imports SciFinder Tagged Format)

2007-02-17 01:10  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/advanced_search.php,
	  /branches/bleeding-edge/cite/formats/cite_ascii.php,
	  /branches/bleeding-edge/cite/formats/cite_html.php,
	  /branches/bleeding-edge/cite/formats/cite_latex.php,
	  /branches/bleeding-edge/cite/formats/cite_markdown.php,
	  /branches/bleeding-edge/cite/formats/cite_pdf.php,
	  /branches/bleeding-edge/cite/formats/cite_rtf.php,
	  /branches/bleeding-edge/cite/styles/cite_APA.php,
	  /branches/bleeding-edge/cite/styles/cite_AnnGlaciol_JGlaciol.php,
	  /branches/bleeding-edge/cite/styles/cite_DeepSeaRes.php,
	  /branches/bleeding-edge/cite/styles/cite_MLA.php,
	  /branches/bleeding-edge/cite/styles/cite_PolarBiol_MarBiol_MEPS.php,
	  /branches/bleeding-edge/cite/styles/cite_TextCitation.php,
	  /branches/bleeding-edge/contrib/import_templates/import_template_base.php,
	  /branches/bleeding-edge/css/style.css,
	  /branches/bleeding-edge/css/style_print.css,
	  /branches/bleeding-edge/duplicate_manager.php,
	  /branches/bleeding-edge/duplicate_modify.php,
	  /branches/bleeding-edge/duplicate_search.php,
	  /branches/bleeding-edge/error.php,
	  /branches/bleeding-edge/export/bibutils/export_xml2bib.php,
	  /branches/bleeding-edge/export/bibutils/export_xml2end.php,
	  /branches/bleeding-edge/export/bibutils/export_xml2ris.php,
	  /branches/bleeding-edge/export/export_modsxml.php,
	  /branches/bleeding-edge/export/export_odfxml.php,
	  /branches/bleeding-edge/export/export_srwxml.php,
	  /branches/bleeding-edge/extract.php,
	  /branches/bleeding-edge/import/bibutils/import_bib2refbase.php,
	  /branches/bleeding-edge/import/bibutils/import_copac2refbase.php,
	  /branches/bleeding-edge/import/bibutils/import_end2refbase.php,
	  /branches/bleeding-edge/import/bibutils/import_isi2refbase.php,
	  /branches/bleeding-edge/import/bibutils/import_med2refbase.php,
	  /branches/bleeding-edge/import/bibutils/import_modsxml2refbase.php,
	  /branches/bleeding-edge/import/bibutils/import_ris2refbase.php,
	  /branches/bleeding-edge/import/import_csa2refbase.php,
	  /branches/bleeding-edge/import/import_isi2refbase.php,
	  /branches/bleeding-edge/import/import_medline2refbase.php,
	  /branches/bleeding-edge/import/import_refworks2refbase.php,
	  /branches/bleeding-edge/import/import_ris2refbase.php,
	  /branches/bleeding-edge/import_csa.php,
	  /branches/bleeding-edge/import_modify.php,
	  /branches/bleeding-edge/includes/cite.inc.php,
	  /branches/bleeding-edge/includes/execute.inc.php,
	  /branches/bleeding-edge/includes/export.inc.php,
	  /branches/bleeding-edge/includes/footer.inc.php,
	  /branches/bleeding-edge/includes/header.inc.php,
	  /branches/bleeding-edge/includes/import.inc.php,
	  /branches/bleeding-edge/includes/install.inc.php,
	  /branches/bleeding-edge/includes/locales.inc.php,
	  /branches/bleeding-edge/includes/modsxml.inc.php,
	  /branches/bleeding-edge/includes/odfxml.inc.php,
	  /branches/bleeding-edge/includes/openurl.inc.php,
	  /branches/bleeding-edge/includes/results_header.inc.php,
	  /branches/bleeding-edge/includes/srwxml.inc.php,
	  /branches/bleeding-edge/includes/transtab_bibtex_refbase.inc.php,
	  /branches/bleeding-edge/includes/transtab_latex_latin1.inc.php,
	  /branches/bleeding-edge/includes/transtab_latex_unicode.inc.php,
	  /branches/bleeding-edge/includes/transtab_latin1_ascii.inc.php,
	  /branches/bleeding-edge/includes/transtab_latin1_bibtex.inc.php,
	  /branches/bleeding-edge/includes/transtab_latin1_latex.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_ascii.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_bibtex.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_html.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_latex.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_markdown.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_pdf.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_rtf.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_unicode.inc.php,
	  /branches/bleeding-edge/includes/transtab_unicode_ascii.inc.php,
	  /branches/bleeding-edge/includes/transtab_unicode_bibtex.inc.php,
	  /branches/bleeding-edge/includes/transtab_unicode_latex.inc.php,
	  /branches/bleeding-edge/includes/unapi.inc.php,
	  /branches/bleeding-edge/includes/webservice.inc.php,
	  /branches/bleeding-edge/index.php,
	  /branches/bleeding-edge/initialize/db.inc.php,
	  /branches/bleeding-edge/initialize/ini.inc.php,
	  /branches/bleeding-edge/install.php,
	  /branches/bleeding-edge/install.sql,
	  /branches/bleeding-edge/install_utf8.sql,
	  /branches/bleeding-edge/library_search.php,
	  /branches/bleeding-edge/locales/core.php,
	  /branches/bleeding-edge/modify.php,
	  /branches/bleeding-edge/queries.php,
	  /branches/bleeding-edge/query_manager.php,
	  /branches/bleeding-edge/query_modify.php,
	  /branches/bleeding-edge/receipt.php,
	  /branches/bleeding-edge/record.php,
	  /branches/bleeding-edge/rss.php,
	  /branches/bleeding-edge/search.php,
	  /branches/bleeding-edge/show.php,
	  /branches/bleeding-edge/simple_search.php,
	  /branches/bleeding-edge/sql_search.php,
	  /branches/bleeding-edge/sru.php,
	  /branches/bleeding-edge/unapi.php,
	  /branches/bleeding-edge/update.php,
	  /branches/bleeding-edge/update.sql,
	  /branches/bleeding-edge/user_details.php,
	  /branches/bleeding-edge/user_login.php,
	  /branches/bleeding-edge/user_logout.php,
	  /branches/bleeding-edge/user_options.php,
	  /branches/bleeding-edge/user_options_modify.php,
	  /branches/bleeding-edge/user_receipt.php,
	  /branches/bleeding-edge/user_removal.php,
	  /branches/bleeding-edge/user_validation.php,
	  /branches/bleeding-edge/users.php:
	  standardized file header: unified layout and added SVN keywords

2007-02-17 00:58  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/import.php:
	  - standardized file header: unified layout and added SVN keywords
	  - updated link for ISI Web of Science

2007-02-17 00:47  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/import_csa_modify.php:
	  - standardized file header: unified layout and added SVN keywords
	  - we now trim whitespace from poorly copied PubMed ID's

2007-02-17 00:35  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/include.inc.php:
	  - standardized file header: unified layout and added SVN keywords
	  - function 'showLogin()': added support for 'duplicate_search.php'

2007-02-16 15:12  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/import_modify.php:
	  added support for direct import capabilities from desktop client
	  "Bookends" (client="be-bookends_import-1.0")

2007-02-16 02:44  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/cite.inc.php,
	  /branches/bleeding-edge/includes/odfxml.inc.php,
	  /branches/bleeding-edge/initialize/ini.inc.php,
	  /branches/bleeding-edge/locales/de/common.inc,
	  /branches/bleeding-edge/locales/de/common_utf8.inc,
	  /branches/bleeding-edge/locales/en/common.inc,
	  /branches/bleeding-edge/locales/en/common_utf8.inc,
	  /branches/bleeding-edge/locales/fr/common.inc,
	  /branches/bleeding-edge/locales/fr/common_utf8.inc:
	  added support for the new Proceedings types 'Conference Article' and
	  'Conference Volume'

2007-02-16 02:35  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/modsxml.inc.php:
	  - added support for the new Proceedings types 'Conference Article' and
	    'Conference Volume'
	  - for types "Book Chapter", "Journal Article" and "Conference Article",
	    conference names are now associated with the host (instead of being
	    always listed at root level)
	  - added support for corporate names, which are treated similar to
	    conference names (i.e., for "Book Chapter", "Journal Article" or
	    "Conference Article", associate corp. names with host level, otherwise
	    with root level)

2007-02-16 01:54  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/modify.php:
	  - added support for the new Proceedings types 'Conference Article' and
	    'Conference Volume'
	  - readdressed bug that prevented correct directory creation/renaming
	    and/or PDF upload on some platforms; I'm confident that my changes work
	    equally well and will be more understandable for future readers.

2007-02-16 01:35  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/includes/import.inc.php:
	  - function 'isiToCsa()': improved matching of page number fields
	  - function 'risToRefbase()': added 'LP' as a recognized RIS field for
	    ending page number ('LP' is actually not part of the RIS specification
	    but gets used in the wild such as in RIS exports of <http://aps.org/>)
	  - functions 'function risToRefbase()' and 'refworksToRefbase()': changed
	    type mapping of conference proceedings from "Unsupported: Conference
	    Proceeding" to "Conference Article"

2007-02-16 00:49  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/styles/cite_APA.php,
	  /branches/bleeding-edge/cite/styles/cite_DeepSeaRes.php,
	  /branches/bleeding-edge/cite/styles/cite_MLA.php,
	  /branches/bleeding-edge/cite/styles/cite_PolarBiol_MarBiol_MEPS.php:
	  - the resource types "Conference Article" and "Conference Volume" are now
	    recognized and are currently formatted similar to types "Book Chapter"
	    and "Book Whole", respectively.
	  - added '?>' PHP end tag to citation style

2007-02-16 00:31  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/styles/cite_AnnGlaciol_JGlaciol.php:
	  - corrected the formatting of DOI numbers for online articles
	  - the resource types "Conference Article" and "Conference Volume" are now
	    recognized and are currently formatted similar to types "Book Chapter"
	    and "Book Whole", respectively.
	  - added '?>' PHP end tag to citation style

2007-02-16 00:19  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/cite/styles/cite_TextCitation.php:
	  added '?>' PHP end tag to citation style

2007-02-15 23:59  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/install.sql,
	  /branches/bleeding-edge/install_utf8.sql,
	  /branches/bleeding-edge/update.php,
	  /branches/bleeding-edge/update.sql:
	  added support for the new Proceedings types 'Conference Article' and
	  'Conference Volume': added code that inserts or updates entries in table
	  'types' and that enables entries from table 'types' for all users

2007-02-15 22:22  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/advanced_search.php,
	  /branches/bleeding-edge/cite/formats/cite_ascii.php,
	  /branches/bleeding-edge/cite/formats/cite_html.php,
	  /branches/bleeding-edge/cite/formats/cite_latex.php,
	  /branches/bleeding-edge/cite/formats/cite_markdown.php,
	  /branches/bleeding-edge/cite/formats/cite_pdf.php,
	  /branches/bleeding-edge/cite/formats/cite_rtf.php,
	  /branches/bleeding-edge/cite/styles/cite_APA.php,
	  /branches/bleeding-edge/cite/styles/cite_AnnGlaciol_JGlaciol.php,
	  /branches/bleeding-edge/cite/styles/cite_DeepSeaRes.php,
	  /branches/bleeding-edge/cite/styles/cite_MLA.php,
	  /branches/bleeding-edge/cite/styles/cite_PolarBiol_MarBiol_MEPS.php,
	  /branches/bleeding-edge/cite/styles/cite_TextCitation.php,
	  /branches/bleeding-edge/contrib/command_line/refbase,
	  /branches/bleeding-edge/contrib/command_line/refbase_import,
	  /branches/bleeding-edge/contrib/endnote/en-importer.sh,
	  /branches/bleeding-edge/contrib/endnote/endnote2mysql.php,
	  /branches/bleeding-edge/contrib/import_templates/import_template_base.php,
	  /branches/bleeding-edge/contrib/skins/mediawiki-monobook/footer.inc.php,
	  /branches/bleeding-edge/contrib/skins/mediawiki-monobook/header.inc.php,
	  /branches/bleeding-edge/duplicate_manager.php,
	  /branches/bleeding-edge/duplicate_modify.php,
	  /branches/bleeding-edge/duplicate_search.php,
	  /branches/bleeding-edge/error.php,
	  /branches/bleeding-edge/export/bibutils/export_xml2bib.php,
	  /branches/bleeding-edge/export/bibutils/export_xml2end.php,
	  /branches/bleeding-edge/export/bibutils/export_xml2ris.php,
	  /branches/bleeding-edge/export/export_modsxml.php,
	  /branches/bleeding-edge/export/export_odfxml.php,
	  /branches/bleeding-edge/export/export_srwxml.php,
	  /branches/bleeding-edge/extract.php,
	  /branches/bleeding-edge/import.php,
	  /branches/bleeding-edge/import/bibutils/import_bib2refbase.php,
	  /branches/bleeding-edge/import/bibutils/import_copac2refbase.php,
	  /branches/bleeding-edge/import/bibutils/import_end2refbase.php,
	  /branches/bleeding-edge/import/bibutils/import_isi2refbase.php,
	  /branches/bleeding-edge/import/bibutils/import_med2refbase.php,
	  /branches/bleeding-edge/import/bibutils/import_modsxml2refbase.php,
	  /branches/bleeding-edge/import/bibutils/import_ris2refbase.php,
	  /branches/bleeding-edge/import/import_csa2refbase.php,
	  /branches/bleeding-edge/import/import_isi2refbase.php,
	  /branches/bleeding-edge/import/import_medline2refbase.php,
	  /branches/bleeding-edge/import/import_refworks2refbase.php,
	  /branches/bleeding-edge/import/import_ris2refbase.php,
	  /branches/bleeding-edge/import_csa.php,
	  /branches/bleeding-edge/import_csa_modify.php,
	  /branches/bleeding-edge/import_modify.php,
	  /branches/bleeding-edge/includes/cite.inc.php,
	  /branches/bleeding-edge/includes/classes/include.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/net/HTTPClient.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/net/HTTPServer.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/net/Socket.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/sys/File.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/Branch.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/Leaf.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/RSS.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/Tag.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/Tree.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/XML.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/XMLBranch.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/XMLDocument.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/XMLLeaf.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/XMLRPCClient.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/XPath.php,
	  /branches/bleeding-edge/includes/classes/org/bibliophile/MINIMALRTF.php,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/class.ezpdf.php,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/class.pdf.php,
	  /branches/bleeding-edge/includes/execute.inc.php,
	  /branches/bleeding-edge/includes/export.inc.php,
	  /branches/bleeding-edge/includes/footer.inc.php,
	  /branches/bleeding-edge/includes/header.inc.php,
	  /branches/bleeding-edge/includes/import.inc.php,
	  /branches/bleeding-edge/includes/include.inc.php,
	  /branches/bleeding-edge/includes/install.inc.php,
	  /branches/bleeding-edge/includes/locales.inc.php,
	  /branches/bleeding-edge/includes/modsxml.inc.php,
	  /branches/bleeding-edge/includes/odfxml.inc.php,
	  /branches/bleeding-edge/includes/openurl.inc.php,
	  /branches/bleeding-edge/includes/results_header.inc.php,
	  /branches/bleeding-edge/includes/srwxml.inc.php,
	  /branches/bleeding-edge/includes/transtab_bibtex_refbase.inc.php,
	  /branches/bleeding-edge/includes/transtab_latex_latin1.inc.php,
	  /branches/bleeding-edge/includes/transtab_latex_unicode.inc.php,
	  /branches/bleeding-edge/includes/transtab_latin1_ascii.inc.php,
	  /branches/bleeding-edge/includes/transtab_latin1_bibtex.inc.php,
	  /branches/bleeding-edge/includes/transtab_latin1_latex.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_ascii.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_bibtex.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_html.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_latex.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_markdown.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_pdf.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_rtf.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_unicode.inc.php,
	  /branches/bleeding-edge/includes/transtab_unicode_ascii.inc.php,
	  /branches/bleeding-edge/includes/transtab_unicode_bibtex.inc.php,
	  /branches/bleeding-edge/includes/transtab_unicode_latex.inc.php,
	  /branches/bleeding-edge/includes/unapi.inc.php,
	  /branches/bleeding-edge/includes/webservice.inc.php,
	  /branches/bleeding-edge/includes/zip.inc.php,
	  /branches/bleeding-edge/index.php,
	  /branches/bleeding-edge/initialize/db.inc.php,
	  /branches/bleeding-edge/initialize/ini.inc.php,
	  /branches/bleeding-edge/install.php,
	  /branches/bleeding-edge/library_search.php,
	  /branches/bleeding-edge/locales/core.php,
	  /branches/bleeding-edge/modify.php,
	  /branches/bleeding-edge/queries.php,
	  /branches/bleeding-edge/query_manager.php,
	  /branches/bleeding-edge/query_modify.php,
	  /branches/bleeding-edge/receipt.php,
	  /branches/bleeding-edge/record.php,
	  /branches/bleeding-edge/rss.php,
	  /branches/bleeding-edge/search.php,
	  /branches/bleeding-edge/show.php,
	  /branches/bleeding-edge/simple_search.php,
	  /branches/bleeding-edge/sql_search.php,
	  /branches/bleeding-edge/sru.php,
	  /branches/bleeding-edge/unapi.php,
	  /branches/bleeding-edge/update.php,
	  /branches/bleeding-edge/user_details.php,
	  /branches/bleeding-edge/user_login.php,
	  /branches/bleeding-edge/user_logout.php,
	  /branches/bleeding-edge/user_options.php,
	  /branches/bleeding-edge/user_options_modify.php,
	  /branches/bleeding-edge/user_receipt.php,
	  /branches/bleeding-edge/user_removal.php,
	  /branches/bleeding-edge/user_validation.php,
	  /branches/bleeding-edge/users.php:
	  removed all occurrences of svn:executable from all files

2007-02-15 16:49  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/AUTHORS:
	  - added a missing colon
	  - added Hugh E. Williams and David Lane to thankyou section

2007-02-15 16:19  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/search.php:
	  - added & rearranged some code to better prevent cross-site scripting
	    (XSS) attacks
	  - functions 'displayColumns()' & 'displayDetails()': reverted the form
	    method of the 'queryResults' form back to POST in order to support
	    large-size SQL queries that would exceed the character limit of a GET
	    request
	  - added support for "duplicate_search.php"
	  - added function 'findDuplicates()' which locates duplicate records within
	    results of a given SQL query

2007-02-15 15:17  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/note/refbase_history.txt:
	  removed file 'note/refbase_history.txt' which is superseded by NEWS

2007-02-15 15:13  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/AUTHORS, /branches/bleeding-edge/BUGS,
	  /branches/bleeding-edge/COPYING,
	  /branches/bleeding-edge/ChangeLog,
	  /branches/bleeding-edge/INSTALL, /branches/bleeding-edge/NEWS,
	  /branches/bleeding-edge/README, /branches/bleeding-edge/TODO,
	  /branches/bleeding-edge/UPDATE,
	  /branches/bleeding-edge/advanced_search.php,
	  /branches/bleeding-edge/cite/formats/cite_ascii.php,
	  /branches/bleeding-edge/cite/formats/cite_html.php,
	  /branches/bleeding-edge/cite/formats/cite_latex.php,
	  /branches/bleeding-edge/cite/formats/cite_markdown.php,
	  /branches/bleeding-edge/cite/formats/cite_pdf.php,
	  /branches/bleeding-edge/cite/formats/cite_rtf.php,
	  /branches/bleeding-edge/cite/styles/cite_APA.php,
	  /branches/bleeding-edge/cite/styles/cite_AnnGlaciol_JGlaciol.php,
	  /branches/bleeding-edge/cite/styles/cite_DeepSeaRes.php,
	  /branches/bleeding-edge/cite/styles/cite_MLA.php,
	  /branches/bleeding-edge/cite/styles/cite_PolarBiol_MarBiol_MEPS.php,
	  /branches/bleeding-edge/cite/styles/cite_TextCitation.php,
	  /branches/bleeding-edge/contrib/command_line/README,
	  /branches/bleeding-edge/contrib/command_line/refbase,
	  /branches/bleeding-edge/contrib/command_line/refbase_import,
	  /branches/bleeding-edge/contrib/endnote/README,
	  /branches/bleeding-edge/contrib/endnote/en-importer.sh,
	  /branches/bleeding-edge/contrib/endnote/endnote2mysql.php,
	  /branches/bleeding-edge/contrib/import_templates/import_template_base.php,
	  /branches/bleeding-edge/contrib/skins/README,
	  /branches/bleeding-edge/contrib/skins/mediawiki-monobook/README,
	  /branches/bleeding-edge/contrib/skins/mediawiki-monobook/footer.inc.php,
	  /branches/bleeding-edge/contrib/skins/mediawiki-monobook/header.inc.php,
	  /branches/bleeding-edge/contrib/skins/mediawiki-monobook/main.css,
	  /branches/bleeding-edge/css/style.css,
	  /branches/bleeding-edge/css/style_print.css,
	  /branches/bleeding-edge/error.php,
	  /branches/bleeding-edge/export/bibutils/export_xml2bib.php,
	  /branches/bleeding-edge/export/bibutils/export_xml2end.php,
	  /branches/bleeding-edge/export/bibutils/export_xml2ris.php,
	  /branches/bleeding-edge/export/export_modsxml.php,
	  /branches/bleeding-edge/export/export_odfxml.php,
	  /branches/bleeding-edge/export/export_srwxml.php,
	  /branches/bleeding-edge/extract.php,
	  /branches/bleeding-edge/img/doi.gif,
	  /branches/bleeding-edge/img/link.gif,
	  /branches/bleeding-edge/img/logo.jpg,
	  /branches/bleeding-edge/import.php,
	  /branches/bleeding-edge/import/bibutils/import_bib2refbase.php,
	  /branches/bleeding-edge/import/bibutils/import_copac2refbase.php,
	  /branches/bleeding-edge/import/bibutils/import_end2refbase.php,
	  /branches/bleeding-edge/import/bibutils/import_isi2refbase.php,
	  /branches/bleeding-edge/import/bibutils/import_med2refbase.php,
	  /branches/bleeding-edge/import/bibutils/import_modsxml2refbase.php,
	  /branches/bleeding-edge/import/bibutils/import_ris2refbase.php,
	  /branches/bleeding-edge/import/import_csa2refbase.php,
	  /branches/bleeding-edge/import/import_isi2refbase.php,
	  /branches/bleeding-edge/import/import_medline2refbase.php,
	  /branches/bleeding-edge/import/import_refworks2refbase.php,
	  /branches/bleeding-edge/import/import_ris2refbase.php,
	  /branches/bleeding-edge/import_csa.php,
	  /branches/bleeding-edge/import_csa_modify.php,
	  /branches/bleeding-edge/import_modify.php,
	  /branches/bleeding-edge/includes/cite.inc.php,
	  /branches/bleeding-edge/includes/classes/include.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/net/HTTPClient.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/net/HTTPServer.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/net/Socket.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/sys/File.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/Branch.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/Leaf.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/RSS.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/Tag.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/Tree.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/XML.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/XMLBranch.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/XMLDocument.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/XMLLeaf.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/XMLRPCClient.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/XPath.php,
	  /branches/bleeding-edge/includes/classes/org/bibliophile/MINIMALRTF.php,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/class.ezpdf.php,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/class.pdf.php,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/fonts/Courier-Bold.afm,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/fonts/Courier-BoldOblique.afm,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/fonts/Courier-Oblique.afm,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/fonts/Courier.afm,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/fonts/Helvetica-Bold.afm,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/fonts/Helvetica-BoldOblique.afm,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/fonts/Helvetica-Oblique.afm,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/fonts/Helvetica.afm,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/fonts/Symbol.afm,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/fonts/Times-Bold.afm,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/fonts/Times-BoldItalic.afm,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/fonts/Times-Italic.afm,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/fonts/Times-Roman.afm,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/fonts/ZapfDingbats.afm,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/fonts/php_Courier-Bold.afm,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/fonts/php_Courier-BoldOblique.afm,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/fonts/php_Courier-Oblique.afm,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/fonts/php_Courier.afm,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/fonts/php_Helvetica-Bold.afm,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/fonts/php_Helvetica-BoldOblique.afm,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/fonts/php_Helvetica-Oblique.afm,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/fonts/php_Helvetica.afm,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/fonts/php_Symbol.afm,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/fonts/php_Times-Bold.afm,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/fonts/php_Times-BoldItalic.afm,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/fonts/php_Times-Italic.afm,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/fonts/php_Times-Roman.afm,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/fonts/php_ZapfDingbats.afm,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/fonts/php_a0100131.afm,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/fonts/php_a010013l.afm,
	  /branches/bleeding-edge/includes/execute.inc.php,
	  /branches/bleeding-edge/includes/export.inc.php,
	  /branches/bleeding-edge/includes/footer.inc.php,
	  /branches/bleeding-edge/includes/header.inc.php,
	  /branches/bleeding-edge/includes/import.inc.php,
	  /branches/bleeding-edge/includes/include.inc.php,
	  /branches/bleeding-edge/includes/install.inc.php,
	  /branches/bleeding-edge/includes/locales.inc.php,
	  /branches/bleeding-edge/includes/modsxml.inc.php,
	  /branches/bleeding-edge/includes/odfxml.inc.php,
	  /branches/bleeding-edge/includes/openurl.inc.php,
	  /branches/bleeding-edge/includes/results_header.inc.php,
	  /branches/bleeding-edge/includes/srwxml.inc.php,
	  /branches/bleeding-edge/includes/transtab_bibtex_refbase.inc.php,
	  /branches/bleeding-edge/includes/transtab_latex_latin1.inc.php,
	  /branches/bleeding-edge/includes/transtab_latex_unicode.inc.php,
	  /branches/bleeding-edge/includes/transtab_latin1_ascii.inc.php,
	  /branches/bleeding-edge/includes/transtab_latin1_bibtex.inc.php,
	  /branches/bleeding-edge/includes/transtab_latin1_latex.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_ascii.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_bibtex.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_html.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_latex.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_markdown.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_pdf.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_rtf.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_unicode.inc.php,
	  /branches/bleeding-edge/includes/transtab_unicode_ascii.inc.php,
	  /branches/bleeding-edge/includes/transtab_unicode_bibtex.inc.php,
	  /branches/bleeding-edge/includes/transtab_unicode_latex.inc.php,
	  /branches/bleeding-edge/includes/unapi.inc.php,
	  /branches/bleeding-edge/includes/webservice.inc.php,
	  /branches/bleeding-edge/includes/zip.inc.php,
	  /branches/bleeding-edge/index.php,
	  /branches/bleeding-edge/initialize/db.inc.php,
	  /branches/bleeding-edge/initialize/ini.inc.php,
	  /branches/bleeding-edge/install.php,
	  /branches/bleeding-edge/install.sql,
	  /branches/bleeding-edge/install_utf8.sql,
	  /branches/bleeding-edge/library_search.php,
	  /branches/bleeding-edge/locales/core.php,
	  /branches/bleeding-edge/locales/de/common.inc,
	  /branches/bleeding-edge/locales/de/common_utf8.inc,
	  /branches/bleeding-edge/locales/en/common.inc,
	  /branches/bleeding-edge/locales/en/common_utf8.inc,
	  /branches/bleeding-edge/locales/fr/common.inc,
	  /branches/bleeding-edge/locales/fr/common_utf8.inc,
	  /branches/bleeding-edge/modify.php,
	  /branches/bleeding-edge/note/GNU_general_public_license.txt,
	  /branches/bleeding-edge/note/auth_table_info.txt,
	  /branches/bleeding-edge/note/copyright_notice.txt,
	  /branches/bleeding-edge/note/db_field_info.txt,
	  /branches/bleeding-edge/note/deleted_field_info.txt,
	  /branches/bleeding-edge/note/depends_table_info.txt,
	  /branches/bleeding-edge/note/formats_table_info.txt,
	  /branches/bleeding-edge/note/grep_patterns.txt,
	  /branches/bleeding-edge/note/group_permissions_table_info.txt,
	  /branches/bleeding-edge/note/groups_table_info.txt,
	  /branches/bleeding-edge/note/languages_table_info.txt,
	  /branches/bleeding-edge/note/queries_table_info.txt,
	  /branches/bleeding-edge/note/styles_table_info.txt,
	  /branches/bleeding-edge/note/types_table_info.txt,
	  /branches/bleeding-edge/note/user_data_table_info.txt,
	  /branches/bleeding-edge/note/user_formats_table_info.txt,
	  /branches/bleeding-edge/note/user_options_table_info.txt,
	  /branches/bleeding-edge/note/user_permissions_table_info.txt,
	  /branches/bleeding-edge/note/user_styles_table_info.txt,
	  /branches/bleeding-edge/note/user_types_table_info.txt,
	  /branches/bleeding-edge/note/users_table_info.txt,
	  /branches/bleeding-edge/queries.php,
	  /branches/bleeding-edge/query_manager.php,
	  /branches/bleeding-edge/query_modify.php,
	  /branches/bleeding-edge/receipt.php,
	  /branches/bleeding-edge/record.php,
	  /branches/bleeding-edge/rss.php,
	  /branches/bleeding-edge/search.php,
	  /branches/bleeding-edge/show.php,
	  /branches/bleeding-edge/simple_search.php,
	  /branches/bleeding-edge/sql_search.php,
	  /branches/bleeding-edge/sru.php,
	  /branches/bleeding-edge/srwExplainResponse2html.xsl,
	  /branches/bleeding-edge/srwmods2html.xsl,
	  /branches/bleeding-edge/unapi.php,
	  /branches/bleeding-edge/update.php,
	  /branches/bleeding-edge/update.sql,
	  /branches/bleeding-edge/user_details.php,
	  /branches/bleeding-edge/user_login.php,
	  /branches/bleeding-edge/user_logout.php,
	  /branches/bleeding-edge/user_options.php,
	  /branches/bleeding-edge/user_options_modify.php,
	  /branches/bleeding-edge/user_receipt.php,
	  /branches/bleeding-edge/user_removal.php,
	  /branches/bleeding-edge/user_validation.php,
	  /branches/bleeding-edge/users.php:
	  standardized SVN properties for the different file types

2007-02-15 15:04  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/duplicate_manager.php,
	  /branches/bleeding-edge/duplicate_modify.php,
	  /branches/bleeding-edge/duplicate_search.php:
	  corrected layout of file header

2007-02-15 14:56  Matthias Steffens <refbase@extracts.de>

	* /branches/bleeding-edge/duplicate_manager.php,
	  /branches/bleeding-edge/duplicate_modify.php,
	  /branches/bleeding-edge/duplicate_search.php:
	  initial checkin (initial support for searching & managing duplicate
	  records)

2007-02-13 04:15  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/cite/formats/cite_ascii.php,
	  /branches/bleeding-edge/cite/formats/cite_html.php,
	  /branches/bleeding-edge/cite/formats/cite_latex.php,
	  /branches/bleeding-edge/cite/formats/cite_markdown.php,
	  /branches/bleeding-edge/cite/formats/cite_pdf.php,
	  /branches/bleeding-edge/cite/formats/cite_rtf.php:
	  - Add '?>' PHP end tags to citation formats
	  - Add headers to cite formats (No formatting performed; The PDF header can
	    be improved)

2007-02-13 01:41  Richard Karnesky <karnesky@gmail.com>

	* /trunk/AUTHORS, /trunk/NEWS, /trunk/cite/styles,
	  /trunk/cite/styles/cite_APA.php,
	  /trunk/cite/styles/cite_AnnGlaciol_JGlaciol.php,
	  /trunk/cite/styles/cite_DeepSeaRes.php,
	  /trunk/cite/styles/cite_MLA.php,
	  /trunk/cite/styles/cite_PolarBiol_MarBiol_MEPS.php,
	  /trunk/cite/styles/cite_TextCitation.php, /trunk/contrib/skins,
	  /trunk/contrib/skins/README,
	  /trunk/contrib/skins/mediawiki-monobook,
	  /trunk/contrib/skins/mediawiki-monobook/README,
	  /trunk/contrib/skins/mediawiki-monobook/footer.inc.php,
	  /trunk/contrib/skins/mediawiki-monobook/header.inc.php,
	  /trunk/contrib/skins/mediawiki-monobook/main.css,
	  /trunk/import.php, /trunk/includes/include.inc.php,
	  /trunk/initialize/ini.inc.php, /trunk/install.sql,
	  /trunk/install_utf8.sql, /trunk/locales/en/common.inc,
	  /trunk/locales/en/common_utf8.inc, /trunk/modify.php,
	  /trunk/update.php, /trunk/update.sql:
	  Merged bleeding-edge branch changes r872 into the trunk.

2006-12-11 01:02  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/TODO,
	  /branches/bleeding-edge/includes/include.inc.php,
	  /branches/bleeding-edge/initialize/ini.inc.php:
	  Sanitize PHP_SELF (per Matthias's suggestions) (Tested by RK and MS).

2006-12-10 20:54  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/TODO,
	  /branches/bleeding-edge/initialize/ini.inc.php:
	  - Fix auto-initialization of databaseBaseURL.
	  - Add comment to TODO concerning checking of PHP_SELF.

2006-12-09 20:44  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/initialize/ini.inc.php:
	  Reasonable guess for the databaseBaseURL
	  ('http://'.$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF'])

2006-12-09 20:37  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/includes/include.inc.php:
	  Changed to $_SERVER['PHP_SELF'] for compatibility with php cgi.

2006-11-17 19:28  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/AUTHORS, /branches/bleeding-edge/NEWS,
	  /branches/bleeding-edge/modify.php:
	  Fix the regex which renames directories files are stored in to support
	  more deployments.  Thanks to oleksa.

2006-11-14 01:20  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/cite/styles/cite_MLA.php:
	  HTMLencode URLs in MLA style.

2006-11-14 00:49  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/cite/styles/cite_MLA.php:
	  Add Book Chapter and Book Whole formats to MLA citation style.

2006-11-14 00:48  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/includes/include.inc.php:
	  Minor fix to avoid a NOTICE when authors don't seem to have given names

2006-11-13 23:33  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/update.php,
	  /branches/bleeding-edge/update.sql:
	  Fixes to update scripts to correctly assign MLA's cite order (thanks to
	  Matthias).

2006-11-13 22:04  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/cite/styles/cite_MLA.php,
	  /branches/bleeding-edge/initialize/ini.inc.php,
	  /branches/bleeding-edge/install.sql,
	  /branches/bleeding-edge/install_utf8.sql,
	  /branches/bleeding-edge/update.php,
	  /branches/bleeding-edge/update.sql:
	  Added skeleton for MLA style (doesn't yet work completely)

2006-11-12 02:20  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/cite/styles/cite_APA.php,
	  /branches/bleeding-edge/includes/include.inc.php:
	  List first six authors before ", et al." in APA citation style.

2006-11-07 20:36  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/initialize/ini.inc.php,
	  /branches/bleeding-edge/install.sql,
	  /branches/bleeding-edge/install_utf8.sql,
	  /branches/bleeding-edge/update.php,
	  /branches/bleeding-edge/update.sql:
	  - Set APA as default citation style
	  - Fixes to update.sql so that APA is added
	  - Update cite style ordering
	  - Remove unneeded AUTO_INCREMENT from SQL

2006-11-07 03:33  Richard Karnesky <karnesky@gmail.com>

	* /branches/bleeding-edge/advanced_search.php,
	  /branches/bleeding-edge/cite/formats/cite_ascii.php,
	  /branches/bleeding-edge/cite/formats/cite_html.php,
	  /branches/bleeding-edge/cite/formats/cite_latex.php,
	  /branches/bleeding-edge/cite/formats/cite_markdown.php,
	  /branches/bleeding-edge/cite/formats/cite_pdf.php,
	  /branches/bleeding-edge/cite/formats/cite_rtf.php,
	  /branches/bleeding-edge/cite/styles/cite_APA.php,
	  /branches/bleeding-edge/cite/styles/cite_AnnGlaciol_JGlaciol.php,
	  /branches/bleeding-edge/cite/styles/cite_DeepSeaRes.php,
	  /branches/bleeding-edge/cite/styles/cite_PolarBiol_MarBiol_MEPS.php,
	  /branches/bleeding-edge/cite/styles/cite_TextCitation.php,
	  /branches/bleeding-edge/contrib/endnote/endnote2mysql.php,
	  /branches/bleeding-edge/contrib/import_templates/import_template_base.php,
	  /branches/bleeding-edge/contrib/skins/mediawiki-monobook/footer.inc.php,
	  /branches/bleeding-edge/contrib/skins/mediawiki-monobook/header.inc.php,
	  /branches/bleeding-edge/error.php,
	  /branches/bleeding-edge/export/bibutils/export_xml2bib.php,
	  /branches/bleeding-edge/export/bibutils/export_xml2end.php,
	  /branches/bleeding-edge/export/bibutils/export_xml2ris.php,
	  /branches/bleeding-edge/export/export_modsxml.php,
	  /branches/bleeding-edge/export/export_odfxml.php,
	  /branches/bleeding-edge/export/export_srwxml.php,
	  /branches/bleeding-edge/extract.php,
	  /branches/bleeding-edge/import.php,
	  /branches/bleeding-edge/import/bibutils/import_bib2refbase.php,
	  /branches/bleeding-edge/import/bibutils/import_copac2refbase.php,
	  /branches/bleeding-edge/import/bibutils/import_end2refbase.php,
	  /branches/bleeding-edge/import/bibutils/import_isi2refbase.php,
	  /branches/bleeding-edge/import/bibutils/import_med2refbase.php,
	  /branches/bleeding-edge/import/bibutils/import_modsxml2refbase.php,
	  /branches/bleeding-edge/import/bibutils/import_ris2refbase.php,
	  /branches/bleeding-edge/import/import_csa2refbase.php,
	  /branches/bleeding-edge/import/import_isi2refbase.php,
	  /branches/bleeding-edge/import/import_medline2refbase.php,
	  /branches/bleeding-edge/import/import_refworks2refbase.php,
	  /branches/bleeding-edge/import/import_ris2refbase.php,
	  /branches/bleeding-edge/import_csa.php,
	  /branches/bleeding-edge/import_csa_modify.php,
	  /branches/bleeding-edge/import_modify.php,
	  /branches/bleeding-edge/includes/cite.inc.php,
	  /branches/bleeding-edge/includes/classes/include.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/net/HTTPClient.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/net/HTTPServer.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/net/Socket.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/sys/File.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/Branch.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/Leaf.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/RSS.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/Tag.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/Tree.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/XML.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/XMLBranch.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/XMLDocument.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/XMLLeaf.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/XMLRPCClient.php,
	  /branches/bleeding-edge/includes/classes/org/active-link/xml/XPath.php,
	  /branches/bleeding-edge/includes/classes/org/bibliophile/MINIMALRTF.php,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/class.ezpdf.php,
	  /branches/bleeding-edge/includes/classes/org/pdf-php/class.pdf.php,
	  /branches/bleeding-edge/includes/execute.inc.php,
	  /branches/bleeding-edge/includes/export.inc.php,
	  /branches/bleeding-edge/includes/footer.inc.php,
	  /branches/bleeding-edge/includes/header.inc.php,
	  /branches/bleeding-edge/includes/import.inc.php,
	  /branches/bleeding-edge/includes/include.inc.php,
	  /branches/bleeding-edge/includes/install.inc.php,
	  /branches/bleeding-edge/includes/locales.inc.php,
	  /branches/bleeding-edge/includes/modsxml.inc.php,
	  /branches/bleeding-edge/includes/odfxml.inc.php,
	  /branches/bleeding-edge/includes/openurl.inc.php,
	  /branches/bleeding-edge/includes/results_header.inc.php,
	  /branches/bleeding-edge/includes/srwxml.inc.php,
	  /branches/bleeding-edge/includes/transtab_bibtex_refbase.inc.php,
	  /branches/bleeding-edge/includes/transtab_latex_latin1.inc.php,
	  /branches/bleeding-edge/includes/transtab_latex_unicode.inc.php,
	  /branches/bleeding-edge/includes/transtab_latin1_ascii.inc.php,
	  /branches/bleeding-edge/includes/transtab_latin1_bibtex.inc.php,
	  /branches/bleeding-edge/includes/transtab_latin1_latex.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_ascii.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_bibtex.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_html.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_latex.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_markdown.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_pdf.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_rtf.inc.php,
	  /branches/bleeding-edge/includes/transtab_refbase_unicode.inc.php,
	  /branches/bleeding-edge/includes/transtab_unicode_ascii.inc.php,
	  /branches/bleeding-edge/includes/transtab_unicode_bibtex.inc.php,
	  /branches/bleeding-edge/includes/transtab_unicode_latex.inc.php,
	  /branches/bleeding-edge/includes/unapi.inc.php,
	  /branches/bleeding-edge/includes/webservice.inc.php,
	  /branches/bleeding-edge/includes/zip.inc.php,
	  /branches/bleeding-edge/index.php,
	  /branches/bleeding-edge/initialize/db.inc.php,
	  /branches/bleeding-edge/initialize/ini.inc.php,
	  /branches/bleeding-edge/install.php,
	  /branches/bleeding-edge/library_search.php,
	  /branches/bleeding-edge/locales/core.php,
	  /branches/bleeding-edge/modify.php,
	  /branches/bleeding-edge/queries.php,
	  /branches/bleeding-edge/query_manager.php,
	  /branches/bleeding-edge/query_modify.php,
	  /branches/bleeding-edge/receipt.php,
	  /branches/bleeding-edge/record.php,
	  /branches/bleeding-edge/rss.php,
	  /branches/bleeding-edge/search.php,
	  /branches/bleeding-edge/show.php,
	  /branches/bleeding-edge/simple_search.php,
	  /branches/bleeding-edge/sql_search.php,
	  /branches/bleeding-edge/sru.php,
	  /branches/bleeding-edge/unapi.php,
	  /branches/bleeding-edge/update.php,
	  /branches/bleeding-edge/user_details.php,
	  /branches/bleeding-edge/user_login.php,
	  /branches/bleeding-edge/user_logout.php,
	  /branches/bleeding-edge/user_options.php,
	  /branches/bleeding-edge/user_options_modify.php,
	  /branches/bleeding-edge/user_receipt.php,
	  /branches/bleeding-edge/user_removal.php,
	  /branches/bleeding-edge/user_validation.php,
	  /branches/bleeding-edge/users.php,
	  /tags/refbase-0.7/refbase/code/inc/ini.inc.php,
	  /tags/refbase-0.7/refbase/code/php/advanced_search.php,
	  /tags/refbase-0.7/refbase/code/php/error.php,
	  /tags/refbase-0.7/refbase/code/php/extract.php,
	  /tags/refbase-0.7/refbase/code/php/import_csa.php,
	  /tags/refbase-0.7/refbase/code/php/import_csa_modify.php,
	  /tags/refbase-0.7/refbase/code/php/index.php,
	  /tags/refbase-0.7/refbase/code/php/install.php,
	  /tags/refbase-0.7/refbase/code/php/library_search.php,
	  /tags/refbase-0.7/refbase/code/php/modify.php,
	  /tags/refbase-0.7/refbase/code/php/receipt.php,
	  /tags/refbase-0.7/refbase/code/php/record.php,
	  /tags/refbase-0.7/refbase/code/php/search.php,
	  /tags/refbase-0.7/refbase/code/php/show.php,
	  /tags/refbase-0.7/refbase/code/php/simple_search.php,
	  /tags/refbase-0.7/refbase/code/php/sql_search.php,
	  /tags/refbase-0.7/refbase/code/php/user_details.php,
	  /tags/refbase-0.7/refbase/code/php/user_login.php,
	  /tags/refbase-0.7/refbase/code/php/user_logout.php,
	  /tags/refbase-0.7/refbase/code/php/user_receipt.php,
	  /tags/refbase-0.7/refbase/code/php/user_removal.php,
	  /tags/refbase-0.7/refbase/code/php/user_validation.php,
	  /tags/refbase-0.7/refbase/code/php/users.php,
	  /tags/refbase-0.9.0/advanced_search.php,
	  /tags/refbase-0.9.0/cite/formats/cite_ascii.php,
	  /tags/refbase-0.9.0/cite/formats/cite_html.php,
	  /tags/refbase-0.9.0/cite/formats/cite_latex.php,
	  /tags/refbase-0.9.0/cite/formats/cite_markdown.php,
	  /tags/refbase-0.9.0/cite/formats/cite_pdf.php,
	  /tags/refbase-0.9.0/cite/formats/cite_rtf.php,
	  /tags/refbase-0.9.0/cite/styles/cite_AnnGlaciol_JGlaciol.php,
	  /tags/refbase-0.9.0/cite/styles/cite_DeepSeaRes.php,
	  /tags/refbase-0.9.0/cite/styles/cite_PolarBiol_MarBiol_MEPS.php,
	  /tags/refbase-0.9.0/cite/styles/cite_TextCitation.php,
	  /tags/refbase-0.9.0/contrib/endnote/endnote2mysql.php,
	  /tags/refbase-0.9.0/contrib/import_templates/import_template_base.php,
	  /tags/refbase-0.9.0/error.php,
	  /tags/refbase-0.9.0/export/bibutils/export_xml2bib.php,
	  /tags/refbase-0.9.0/export/bibutils/export_xml2end.php,
	  /tags/refbase-0.9.0/export/bibutils/export_xml2ris.php,
	  /tags/refbase-0.9.0/export/export_modsxml.php,
	  /tags/refbase-0.9.0/export/export_odfxml.php,
	  /tags/refbase-0.9.0/export/export_srwxml.php,
	  /tags/refbase-0.9.0/extract.php, /tags/refbase-0.9.0/import.php,
	  /tags/refbase-0.9.0/import/bibutils/import_bib2refbase.php,
	  /tags/refbase-0.9.0/import/bibutils/import_copac2refbase.php,
	  /tags/refbase-0.9.0/import/bibutils/import_end2refbase.php,
	  /tags/refbase-0.9.0/import/bibutils/import_isi2refbase.php,
	  /tags/refbase-0.9.0/import/bibutils/import_med2refbase.php,
	  /tags/refbase-0.9.0/import/bibutils/import_modsxml2refbase.php,
	  /tags/refbase-0.9.0/import/bibutils/import_ris2refbase.php,
	  /tags/refbase-0.9.0/import/import_csa2refbase.php,
	  /tags/refbase-0.9.0/import/import_isi2refbase.php,
	  /tags/refbase-0.9.0/import/import_medline2refbase.php,
	  /tags/refbase-0.9.0/import/import_refworks2refbase.php,
	  /tags/refbase-0.9.0/import/import_ris2refbase.php,
	  /tags/refbase-0.9.0/import_csa.php,
	  /tags/refbase-0.9.0/import_csa_modify.php,
	  /tags/refbase-0.9.0/import_modify.php,
	  /tags/refbase-0.9.0/includes/cite.inc.php,
	  /tags/refbase-0.9.0/includes/classes/include.php,
	  /tags/refbase-0.9.0/includes/classes/org/active-link/net/HTTPClient.php,
	  /tags/refbase-0.9.0/includes/classes/org/active-link/net/HTTPServer.php,
	  /tags/refbase-0.9.0/includes/classes/org/active-link/net/Socket.php,
	  /tags/refbase-0.9.0/includes/classes/org/active-link/sys/File.php,
	  /tags/refbase-0.9.0/includes/classes/org/active-link/xml/Branch.php,
	  /tags/refbase-0.9.0/includes/classes/org/active-link/xml/Leaf.php,
	  /tags/refbase-0.9.0/includes/classes/org/active-link/xml/RSS.php,
	  /tags/refbase-0.9.0/includes/classes/org/active-link/xml/Tag.php,
	  /tags/refbase-0.9.0/includes/classes/org/active-link/xml/Tree.php,
	  /tags/refbase-0.9.0/includes/classes/org/active-link/xml/XML.php,
	  /tags/refbase-0.9.0/includes/classes/org/active-link/xml/XMLBranch.php,
	  /tags/refbase-0.9.0/includes/classes/org/active-link/xml/XMLDocument.php,
	  /tags/refbase-0.9.0/includes/classes/org/active-link/xml/XMLLeaf.php,
	  /tags/refbase-0.9.0/includes/classes/org/active-link/xml/XMLRPCClient.php,
	  /tags/refbase-0.9.0/includes/classes/org/active-link/xml/XPath.php,
	  /tags/refbase-0.9.0/includes/classes/org/bibliophile/MINIMALRTF.php,
	  /tags/refbase-0.9.0/includes/classes/org/pdf-php/class.ezpdf.php,
	  /tags/refbase-0.9.0/includes/classes/org/pdf-php/class.pdf.php,
	  /tags/refbase-0.9.0/includes/execute.inc.php,
	  /tags/refbase-0.9.0/includes/export.inc.php,
	  /tags/refbase-0.9.0/includes/footer.inc.php,
	  /tags/refbase-0.9.0/includes/header.inc.php,
	  /tags/refbase-0.9.0/includes/import.inc.php,
	  /tags/refbase-0.9.0/includes/include.inc.php,
	  /tags/refbase-0.9.0/includes/install.inc.php,
	  /tags/refbase-0.9.0/includes/locales.inc.php,
	  /tags/refbase-0.9.0/includes/modsxml.inc.php,
	  /tags/refbase-0.9.0/includes/odfxml.inc.php,
	  /tags/refbase-0.9.0/includes/openurl.inc.php,
	  /tags/refbase-0.9.0/includes/results_header.inc.php,
	  /tags/refbase-0.9.0/includes/srwxml.inc.php,
	  /tags/refbase-0.9.0/includes/transtab_bibtex_refbase.inc.php,
	  /tags/refbase-0.9.0/includes/transtab_latex_latin1.inc.php,
	  /tags/refbase-0.9.0/includes/transtab_latex_unicode.inc.php,
	  /tags/refbase-0.9.0/includes/transtab_latin1_ascii.inc.php,
	  /tags/refbase-0.9.0/includes/transtab_latin1_bibtex.inc.php,
	  /tags/refbase-0.9.0/includes/transtab_latin1_latex.inc.php,
	  /tags/refbase-0.9.0/includes/transtab_refbase_ascii.inc.php,
	  /tags/refbase-0.9.0/includes/transtab_refbase_bibtex.inc.php,
	  /tags/refbase-0.9.0/includes/transtab_refbase_html.inc.php,
	  /tags/refbase-0.9.0/includes/transtab_refbase_latex.inc.php,
	  /tags/refbase-0.9.0/includes/transtab_refbase_markdown.inc.php,
	  /tags/refbase-0.9.0/includes/transtab_refbase_pdf.inc.php,
	  /tags/refbase-0.9.0/includes/transtab_refbase_rtf.inc.php,
	  /tags/refbase-0.9.0/includes/transtab_refbase_unicode.inc.php,
	  /tags/refbase-0.9.0/includes/transtab_unicode_ascii.inc.php,
	  /tags/refbase-0.9.0/includes/transtab_unicode_bibtex.inc.php,
	  /tags/refbase-0.9.0/includes/transtab_unicode_latex.inc.php,
	  /tags/refbase-0.9.0/includes/unapi.inc.php,
	  /tags/refbase-0.9.0/includes/webservice.inc.php,
	  /tags/refbase-0.9.0/includes/zip.inc.php,
	  /tags/refbase-0.9.0/index.php,
	  /tags/refbase-0.9.0/initialize/db.inc.php,
	  /tags/refbase-0.9.0/initialize/ini.inc.php,
	  /tags/refbase-0.9.0/install.php,
	  /tags/refbase-0.9.0/library_search.php,
	  /tags/refbase-0.9.0/locales/core.php,
	  /tags/refbase-0.9.0/modify.php, /tags/refbase-0.9.0/queries.php,
	  /tags/refbase-0.9.0/query_manager.php,
	  /tags/refbase-0.9.0/query_modify.php,
	  /tags/refbase-0.9.0/receipt.php, /tags/refbase-0.9.0/record.php,
	  /tags/refbase-0.9.0/rss.php, /tags/refbase-0.9.0/search.php,
	  /tags/refbase-0.9.0/show.php,
	  /tags/refbase-0.9.0/simple_search.php,
	  /tags/refbase-0.9.0/sql_search.php, /tags/refbase-0.9.0/sru.php,
	  /tags/refbase-0.9.0/unapi.php, /tags/refbase-0.9.0/update.php,
	  /tags/refbase-0.9.0/user_details.php,
	  /tags/refbase-0.9.0/user_login.php,
	  /tags/refbase-0.9.0/user_logout.php,
	  /tags/refbase-0.9.0/user_options.php,
	  /tags/refbase-0.9.0/user_options_modify.php,
	  /tags/refbase-0.9.0/user_receipt.php,
	  /tags/refbase-0.9.0/user_removal.php,
	  /tags/refbase-0.9.0/user_validation.php,
	  /tags/refbase-0.9.0/users.php, /trunk/advanced_search.php,
	  /trunk/cite/formats/cite_ascii.php,
	  /trunk/cite/formats/cite_html.php,
	  /trunk/cite/formats/cite_latex.php,
	  /trunk/cite/formats/cite_markdown.php,
	  /trunk/cite/formats/cite_pdf.php,
	  /trunk/cite/formats/cite_rtf.php,
	  /trunk/cite/styles/cite_AnnGlaciol_JGlaciol.php,
	  /trunk/cite/styles/cite_DeepSeaRes.php,
	  /trunk/cite/styles/cite_PolarBiol_MarBiol_MEPS.php,
	  /trunk/cite/styles/cite_TextCitation.php,
	  /trunk/contrib/endnote/endnote2mysql.php,
	  /trunk/contrib/import_templates/import_template_base.php,
	  /trunk/error.php, /trunk/export/bibutils/export_xml2bib.php,
	  /trunk/export/bibutils/export_xml2end.php,
	  /trunk/export/bibutils/export_xml2ris.php,
	  /trunk/export/export_modsxml.php,
	  /trunk/export/export_odfxml.php, /trunk/export/export_srwxml.php,
	  /trunk/extract.php, /trunk/import.php,
	  /trunk/import/bibutils/import_bib2refbase.php,
	  /trunk/import/bibutils/import_copac2refbase.php,
	  /trunk/import/bibutils/import_end2refbase.php,
	  /trunk/import/bibutils/import_isi2refbase.php,
	  /trunk/import/bibutils/import_med2refbase.php,
	  /trunk/import/bibutils/import_modsxml2refbase.php,
	  /trunk/import/bibutils/import_ris2refbase.php,
	  /trunk/import/import_csa2refbase.php,
	  /trunk/import/import_isi2refbase.php,
	  /trunk/import/import_medline2refbase.php,
	  /trunk/import/import_refworks2refbase.php,
	  /trunk/import/import_ris2refbase.php, /trunk/import_csa.php,
	  /trunk/import_csa_modify.php, /trunk/import_modify.php,
	  /trunk/includes/cite.inc.php,
	  /trunk/includes/classes/include.php,
	  /trunk/includes/classes/org/active-link/net/HTTPClient.php,
	  /trunk/includes/classes/org/active-link/net/HTTPServer.php,
	  /trunk/includes/classes/org/active-link/net/Socket.php,
	  /trunk/includes/classes/org/active-link/sys/File.php,
	  /trunk/includes/classes/org/active-link/xml/Branch.php,
	  /trunk/includes/classes/org/active-link/xml/Leaf.php,
	  /trunk/includes/classes/org/active-link/xml/RSS.php,
	  /trunk/includes/classes/org/active-link/xml/Tag.php,
	  /trunk/includes/classes/org/active-link/xml/Tree.php,
	  /trunk/includes/classes/org/active-link/xml/XML.php,
	  /trunk/includes/classes/org/active-link/xml/XMLBranch.php,
	  /trunk/includes/classes/org/active-link/xml/XMLDocument.php,
	  /trunk/includes/classes/org/active-link/xml/XMLLeaf.php,
	  /trunk/includes/classes/org/active-link/xml/XMLRPCClient.php,
	  /trunk/includes/classes/org/active-link/xml/XPath.php,
	  /trunk/includes/classes/org/bibliophile/MINIMALRTF.php,
	  /trunk/includes/classes/org/pdf-php/class.ezpdf.php,
	  /trunk/includes/classes/org/pdf-php/class.pdf.php,
	  /trunk/includes/execute.inc.php, /trunk/includes/export.inc.php,
	  /trunk/includes/footer.inc.php, /trunk/includes/header.inc.php,
	  /trunk/includes/import.inc.php, /trunk/includes/include.inc.php,
	  /trunk/includes/install.inc.php, /trunk/includes/locales.inc.php,
	  /trunk/includes/modsxml.inc.php, /trunk/includes/odfxml.inc.php,
	  /trunk/includes/openurl.inc.php,
	  /trunk/includes/results_header.inc.php,
	  /trunk/includes/srwxml.inc.php,
	  /trunk/includes/transtab_bibtex_refbase.inc.php,
	  /trunk/includes/transtab_latex_latin1.inc.php,
	  /trunk/includes/transtab_latex_unicode.inc.php,
	  /trunk/includes/transtab_latin1_ascii.inc.php,
	  /trunk/includes/transtab_latin1_bibtex.inc.php,
	  /trunk/includes/transtab_latin1_latex.inc.php,
	  /trunk/includes/transtab_refbase_ascii.inc.php,
	  /trunk/includes/transtab_refbase_bibtex.inc.php,
	  /trunk/includes/transtab_refbase_html.inc.php,
	  /trunk/includes/transtab_refbase_latex.inc.php,
	  /trunk/includes/transtab_refbase_markdown.inc.php,
	  /trunk/includes/transtab_refbase_pdf.inc.php,
	  /trunk/includes/transtab_refbase_rtf.inc.php,
	  /trunk/includes/transtab_refbase_unicode.inc.php,
	  /trunk/includes/transtab_unicode_ascii.inc.php,
	  /trunk/includes/transtab_unicode_bibtex.inc.php,
	  /trunk/includes/transtab_unicode_latex.inc.php,
	  /trunk/includes/unapi.inc.php,
	  /trunk/includes/webservice.inc.php, /trunk/includes/zip.inc.php,
	  /trunk/index.php, /trunk/initialize/db.inc.php,
	  /trunk/initialize/ini.inc.php, /trunk/install.php,
	  /trunk/library_search.php, /trunk/locales/core.php,
	  /trunk/modify.php, /trunk/queries.php, /trunk/query_manager.php,
	  /trunk/query_modify.php, /trunk/receipt.php, /trunk/record.php,
